<?php

/*
	*** Please read !!!

	$contacts is 2D array.
	$contacts:
			$contacts[0]["Name"], $contacts[0]["Email"],
			$contacts[1]["Name"], $contacts[1]["Email"],
			$contacts[2]["Name"], $contacts[2]["Email"],
			...
			$contacts[...]["Name"], $contacts[...]["Email"]
	$emailfile is absolute/ complete path to combined pdf document
	$emailfile:
			/var/www/archiv/uploads/2021-04-14_160735775570/

root@archivpi:/var/www/archiv/uploads# ls 2021-04-14_160735775570 -l
insgesamt 4692
-rw-r--r-- 1 www-data www-data  700951 Apr 14 16:08 crypt_webarchiv_DrsMaierSchulze_2021-04-14_16:07_35775570.zip
-rw-r--r-- 1 www-data www-data    2245 Apr 14 16:11 FaxCover_2021-04-14_160735775570.txt
-rw-r--r-- 1 www-data www-data    2228 Apr 14 16:11 FaxCover_2021-04-14_160735775570.txt.iso88
-rw-r--r-- 1 www-data www-data     340 Apr 14 16:08 Password_2021-04-14_160735775570.html
-rw-r--r-- 1 www-data www-data   19209 Apr 14 16:08 Password_2021-04-14_160735775570.pdf
-rw-r--r-- 1 www-data www-data 3361228 Mär 30 23:33 testDocument_2021-03-30.pdf
-rw-r--r-- 1 www-data www-data  701219 Apr 14 16:08 webarchiv_DrsMaierSchulze_2021-04-14_16:07_35775570.zip

*/
function SendEmail($contacts, $CCcemail, $Attachment, $archivefile, $archiveurl, $Archivemimetype, $textsubject, $textmessage, $Footer, $settings) {

	$ccemail = $CCcemail;
	$bccemail = "egerlach@aiai.de";
	//global $Emailcovertemplatefile;
	$emails = "";
    GLOBAL $emailAttachMax;
	foreach($contacts as $contact) {
		$name = $contact["Name"]; // can be empty
		$email = $contact["EMail"]; // not empty
		$emailfile = $archivefile;  // /var/www/archiv/uploads/2021-04-14_180127277472/webarchiv_DrsMaierSchulze_2021-04-14_18:01_27277472.zip
		$success = false;
		if (file_exists($emailfile) && (!is_dir($emailfile)) && ($Attachment)) {
			$attachmentvalid = true;
			$exp = explode(DIRECTORY_SEPARATOR, $emailfile);
			$fname = end($exp);  /*
			$protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";

			//$fileurl = $protocol . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
			$fileurl = $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
			$expurl = explode("/", $fileurl);
			$tmpurl = "";
			for($i=0; $i<(count($expurl)-1); $i++) {
				if ($tmpurl != "") {
					$tmpurl = $tmpurl . "/";
				}
				$tmpurl = $tmpurl . $expurl[$i];
			}
			$tmpurl = $protocol . $tmpurl . "/" . $archiveurl;
			$fileurl = $tmpurl;  */
            // hack: webarchiv_MusterMueller123_2020-12-11_233502976386.zip ->  webarchiv_MusterMueller123_2020-12-11_23:35_02.zip
            //$fname="webarchiv_DrsMusterMueller123_2020-12-11_13:35_02.zip";
			$fileurl = "http://arc4.zeitprax.com:32323/maildownload/" . $fname;
            $cmd="sudo /usr/local/bin/scpToWebserver " . $emailfile;
            exec("$cmd");
		} else {
			$attachmentvalid = false;
			$fname = "";
			$fileurl = "";
		}

		if (trim($email) != "") { // check if email valid etc
			// Send Email command - Number: $email, Document: $emailfile
			//$success = true;
		    $from_email         = 'praxis-MusterMeier@zeitprax.com'; //from mail, sender email addrress
		    $recipient_email    = $email; //recipient email addrress

		    //Load POST data from HTML form
            //$sender_name    = "Praxis Muster Maier"; //sender name
            //global $Email_sender_name;
            $sender_name    = $settings["OfficeName"]; //  $FaxReplaceValues["OfficeName"] = "Dr. Muster"; (database.php) Email_sender_name;
		    $reply_to_email = $settings["Email_reply_to_email"]; // = $FaxReplaceValues["Email_reply_to_email"]  (database.php)
		    $subject        = "[web@rchiv] " . $textsubject; //subject for the email
            // file in: http://zeitprax.liburg.de:31880/maildownload/<file>
            if ($attachmentvalid) {
 		         $message  = "<strong>Dokumenten-Übermittlung (verschlüsselt):</strong><br /><br />xzxDocument file URL: <a href=\"$fileurl\">" . $fileurl . "</a>";
   		         $message .= "<br />xzxHelp Software: <a href=https://webarchiv.zeitprax.com/dokumente-mit-verschluesseltem-email-anhang-versenden/#extractZIP>https://webarchiv.zeitprax.com/extractZIP</a>";
                 if (filesize($emailfile) < $emailAttachMax) {
                     $message .= "<br />xzxSize of file is smaller than " . $emailAttachMax/1000 ." KiloByte. Its additionally appended.<br />";
                 }
                 else  {
                     $filesizeMB_100kilobyte=(int)(filesize($emailfile)/100000);  // 1.311.111 KB = 1,3 MB , result with /100000 and (int):  13   ==>>  "1.3" wanted! MB + 1 digit
                     $filesizeMB_oneDigit = substr($filesizeMB_100kilobyte,0,strlen($filesizeMB_100kilobyte)-1) . "," . substr($filesizeMB_100kilobyte,strlen($filesizeMB_100kilobyte-1,1));
                     if (substr($filesizeMB_oneDigit,0,1) == ",") $addNull="0"; else $addNull="";  // ,4 MB is not nice -> 0,4MB is nice :)
                     $message .= "<br />xzxFile size is " . $addNull . $filesizeMB_oneDigit . " xzxMB. Maybe you have to wait some time, File upload lasts about 5 seconds per MB.<br /><br />";
                 }
                 // $message .= "<br> fsize: " . filesize($emailfile) . " Max: " .$emailAttachMax . "<br>";  for Debug only
            }
		    $message .= $textmessage;
		    $message .= "";

		    // Footer
		    /*if (file_exists($EmailFooterExample)) {
			    $message .= "<br />" . file_get_contents($EmailFooterExample);
		    }*/

			// Customer text at bottom
			$message .= "<br />" . $Footer;

   		    // Advertisement
		    if (file_exists("webarchiv-advert-email.html")) {
			    $message .= "<br />" . file_get_contents("webarchiv-advert-email.html");
		    }

		    //read from the uploaded file & base64_encode content
		    if ($attachmentvalid) {
			    $handle = fopen($emailfile, "r");  // set the file handle only for reading the file
			    $content = fread($handle, filesize($emailfile)); // reading the file
			    fclose($handle);                  // close upon completion
			    $encoded_content = chunk_split(base64_encode($content));
		    }
		    $boundary = md5("random"); // define boundary with a md5 hashed value
		    if (trim($name) != "") {
				$recipient = $name . " <" . $email . ">";
			} else {
				$recipient = $email;
			}
		    //header
		    //$headers = "MIME-Version: 1.0\r\n"; // Defining the MIME version
		    $headers = "From: " . $sender_name . " <" . $from_email . ">\r\n"; // Sender Email
		    //$headers .= "To: " . $recipient . "\r\n"; // Email address to reach back
		    $headers .= "Date: " . date("r") . "\r\n"; // Date
		    $headers .= "Reply-To: " . $sender_name . " <" . $reply_to_email . ">\r\n"; // Email addrress to reach back
		    $headers .= "Cc: " . $ccemail . "\r\n"; // Email addrress to cc
		    $headers .= "Bcc: " . $bccemail . "\r\n"; // Email addrress to cc
		    //$headers .= "Subject: $subject\r\n"; // Defining the MIME version
		    $headers .= "MIME-Version: 1.0\r\n"; // Defining the MIME version
		    $headers .= "Content-Type: multipart/mixed; "; // Defining Content-Type
		    $headers .= "boundary=$boundary\r\n\r\n"; //Defining the Boundary --

			//plain text
			$body = "--$boundary\r\n";
			$body .= "Content-Type: text/html; charset=UTF-8\r\n";
			$body .= "Content-Transfer-Encoding: base64\r\n\r\n";
			$body .= chunk_split(base64_encode($message)). ""; //--
			//$body .= "--$boundary--";
			//$headers .= "boundary = $boundary\r\n"; //Defining the Boundary
			//$body .= $encoded_content; // Attaching the encoded file with email
		    //echo ">>>>>>>>>>" . $headers;
			/*
			//attachment
			$body .= $pdf->Output(getcwd() . '\\voucher.pdf', 'EF');
			*/
			//if ($attachmentvalid) {

            if (($attachmentvalid) && (filesize($emailfile) < $emailAttachMax)) {
			    $body .= "--$boundary\r\n";
			    $body .="Content-Type: $Archivemimetype; name=".$fname."\r\n";
			    $body .="Content-Disposition: attachment; filename=".$fname."\r\n";
			    $body .="Content-Transfer-Encoding: base64\r\n";
			    $body .="X-Attachment-Id: ".rand(1000, 99999)."\r\n\r\n";
			    $body .= $encoded_content; // Attaching the encoded file with email
		    }
		    $body .= "\r\n";
		    $body .= "--$boundary--";

			//echo "<textarea cols=100 rows=7>" . $headers . "" . $body . "</textarea>";
		    $success = mail($recipient_email, $subject, $body, $headers);
		    if ($success)
		    {
			    if (strlen($emails) > 0) {
			    	$emails .= "<br />";
		    	}
		    	$emails .= $email;
	    	}
		    // copy to server
		    $cpcmd = "cp " . $archivefile . " /var/www/maildownload/";
            //$cpcmd = "scp " . $archivefile . " root@zeitprax.liburg.de:/var/www/maildownload/tmp";
            //$cpcmd = "ssh root@zeitprax.liburg.de 'mv /var/www/maildownload/tmp/" . $archivefile . " /var/www/maildownload/'";
		    //exec($cpcmd);

		    //$success = true;//mail($recipient, $subject, $body, $headers);
		    //$success = mail("", "", $body, $headers);
		}
	}

	$ret = array();
	if ($success) {
		$ret[0] = true;
		$ret[1] = 0; // Modify Process.php line ~843 to remove displaying return code
		//$ret[2] = "xzxEmail sent to " . count($contacts) . " email address(es):<br />" . $emails;
        $ret[2] = "xzxEmail sent to " . $emails;
	} else {
		$ret[0] = false;
		$ret[1] = "E-123";
		$ret[2] = "<br /><strong>Type: </strong>" . error_get_last()["type"] . "<br /><strong>Message: </strong>" . error_get_last()["message"] . "<br />";
	}
	// return array [ (bool) success, (number/ string) error_code, (string) error_description ];
	return $ret;
}

?>
