<?php
	$SearchCharLength = 3;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="de">

<head>
    <title>Patienten-Archiv</title>
    <meta name="robots" content="nofollow">
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="style_bulkUpload.css" />
    <link rel="stylesheet" type="text/css" href="style_archiv.css" />
    <?php if($_GET['mob'] == 1) echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"style_archiv_mobile.css\" />"; ?>
    <style type="text/css">
    :root {
        --contentbgcolor: #ffffff;
        --lbval1: 5px;
        --lbval2: 20px;
        --lbval3: 50px;
        --lbval4: 75px;
        --color: #404040;
        --bgcolor: #ffffff;
        --bodybgcolor: #eee;
        /* 00cc0018 */
        --dialogbgcolor: #ffffff;
        --themecolor: #f0f080;
        /*#ff807b; #8050f0; #00807b; 00605b*/
        --themecoloralt: #00504b;
        --dialogtitlebgcolor: var(--themecolor);
        --acolor: var(--themecoloralt);
        /*00504b*/
        --ahrefcolor: var(--themecolor);
        --dialogtoptitlecolor: #000;
        --dialogtoptitlecontrolscolor: #000;
        --dialogtoptitleclosecolor: #fff;
        --dialogtoptitleclosehovercolor: #ee0000;
        --dialogendtitlecolor: #000;
        --dialogendtitlebgcolor: #88880055;
        /* #00a0a0; */
        --dialogendtitleacolor: #900;
        /*var(--themecoloralt);*/
        --dialogendtitleahovercolor: #900;
        /*var(--themecoloralt);*/
        --bgc: #fffd9e;
    }

    body {
        background: var(--bgc);
    }
    </style>
    <script>
    /*
				Error codes used by Javascript code:

				JEC - Javascript Error Code			(INSHAALLAH any javascript errors that are not caught in places are notified as jec-1. If this fails, error
																is output as alert() and console.log())
				CEC - Critical Error Code 				(Something wrong with Javascript xmlhttprequest function)
				SEC - Server Error Code 				(HTTP Server errors, http server did not return 200, instead returned 301, 404 etc)
				BEC - Backend (PHP) Error Code 	(Server request/ response successful ALHAMDOLILLAH, however, there has been PHP error,
																so need to check why php failed, check php code)
			*/

        window.onerror = function(message, source, lineno, colno,
        error) { // Catches uncaught Javascript errors globally
        try {
            var err = "this is error <br /><div class=\"table\">	\
										<div class=\"rowsimple\">	\
											<div class=\"colerrorcategory\">Message:</div><div class=\"colerrordetails\"> " + message + "	</div>	\
										</div>	\
										<div class=\"rowsimple\">	\
											<div class=\"colerrorcategory\">Source:</div><div class=\"colerrordetails\"> " + source + "	</div>	\
										</div>	\
										<div class=\"rowsimple\">	\
											<div class=\"colerrorcategory\">Line:</div><div class=\"colerrordetails\"> " + lineno + "	</div>	\
										</div>	\
										<div class=\"rowsimple\">	\
											<div class=\"colerrorcategory\">Column:</div><div class=\"colerrordetails\"> " + colno + "	</div>	\
										</div>	\
										<div class=\"rowsimple\">	\
											<div class=\"colerrorcategory\">Error:</div><div class=\"colerrordetails\"> " + error + "</div>	\
										</div>	\
									</div>";
            ShowNotice("error", "Error (JEC-1)",
                "Uncaught Javascript error occurred. Please notify technical support.",
                "<span class=\"errordetails\">" + err + "</span>");
        } catch (e) {
            alert(e);
            console.log(e);
        }
    };

    function DOMLoaded() {
        //--var docwidth = document.body.clientWidth;
        //--var dialog = document.getElementById("loading");
        //document.getElementById("loading").style.visibility = "visible";
        //--document.getElementById("loading").style.width = docwidth + "px";
    }

    function loaded() {
        aligndialog();
        /*var docwidth = document.body.clientWidth;
        var dialog = document.getElementById("dialog");
        var rect = dialog.getBoundingClientRect();
        dialog.style.left = ((docwidth - rect.width) / 2) + "px";*/
        LoadHousesList();
        LoadPatientsList();
        //LoadPatientData();
        /*if (FetchGETVars()["HID"] > 0) {
        	LoadPatientData();
        } else {
        	//LoadPatientDescription();
        }*/
        //console.log(document.location.search);
    }

    function aligndialogcenter() {
        // Align dialog box
        var docwidth = document.body.clientWidth;
        var dialog = document.getElementById("dialog");
        var rect = dialog.getBoundingClientRect();
        dialog.style.left = ((docwidth - rect.width) / 2) + "px";
    }

    function aligndialog() {
        // Align dialog box
        var docwidth = document.body.clientWidth;
        var dialog = document.getElementById("dialog");
        var rect = dialog.getBoundingClientRect();
        //dialog.style.left = ((docwidth - rect.width) / 2) + "px";
        dialog.style.left = ((docwidth - rect.width)) + "px";
    }
    document.addEventListener("DOMContentLoaded", DOMLoaded);
    window.addEventListener("load", loaded);

    function divminimize(div, id = "", classname = "contentdiv") {
        //div.closest("div .contentdiv").children[1].classList.add("minimize");
        var element, name, arr;
        element = div.closest("." + classname).children[1];
        name = "minimize";
        arr = element.className.split(" ");
        if (arr.indexOf(name) == -1) {
            element.className += " " + name;
        }
    }

    function divexpand(div, id = "", classname = "contentdiv") {
        //div.closest("div .contentdiv").children[1].classList.remove("minimize");
        //var cn = "/\bminimize\b/g";
        var cn = new RegExp("minimize", "g");
        div.closest("." + classname).children[1].className = div.closest("." + classname).children[1].className.replace(
            cn, "");
    }

    function divclose(div, id = "", classname = "contentdiv") {
        if (id == "DialogTitle") {
            CloseDialog();
        } else {
            div.closest("div .contentdiv").classList.add("close");
        }
    }

    function ShowDialog(horizontalalign = "false") {
        //HideDialogNotice();
        var dialog = document.getElementById("dialog");
        //var scrollx = document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft;
        var scrolly = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop;
        //this.orx = scrolly;
        var docwidth = document.body.clientWidth;
        var rect = dialog.getBoundingClientRect();

        // dialog.style.left = scrollx + "px";
        if (horizontalalign) {
            dialog.style.left = ((docwidth - rect.width) / 2) + "px";
        } else {
            dialog.style.left = ((docwidth - rect.width)) + "px";
        }
        dialog.style.top = scrolly + "px";
        dialog.style.visibility = "visible";
        dialog.style.opacity = "1";
    }

    function DisplayItem(Item, ItemType, id = "") {
        document.getElementById("DialogTitle").className
        document.getElementById("DialogAction").value = "";
        document.getElementById("DialogNotice").innerText = "";
        var winnegoffset = 30;
        if (ItemType == "pdf") {
            // Align dialog box
            var docheight = document.body.clientHeight;
            var dialog = document.getElementById("dialog");
            var dialogheight = window.innerHeight - winnegoffset; //docheight;
            //--dialog.style.height = dialogheight + "px";
            dialog.style.height = "0px";
            dialog.style.height = "";
            //var rect = dialog.getBoundingClientRect();
            //dialog.style.top = "";
            document.getElementById("DialogData").innerHTML = '';
            document.getElementById("DialogControls").innerHTML = '<a href="' + Item + '" target="_blank">Download</a>';
            //&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	\
            //<a href="javascript:GetFaxContacts();">Send Fax</a>	\
            ';//<input type="button" class="buttongeneral" name="Close" id="Close" value="Close" onclick="CloseDialog();" />';

            var dcrect = document.getElementById("DialogControls").getBoundingClientRect();
            var dtrect = document.getElementById("DialogTitle").getBoundingClientRect();
            var cetrect = document.getElementsByClassName("contentendtitle")[0].getBoundingClientRect();
            document.getElementById("DialogData").style.height = (dialogheight - dtrect.height - dcrect.height - cetrect
                .height) + "px";
            document.getElementById("DialogData").style.height = "auto"; //(dialogheight - 60) + "px";
            document.getElementById("DialogTitle").innerHTML = "PDF Preview";
            document.getElementById("DialogData").innerHTML = '<object data="' + Item +
                '" type="application/pdf" width="100%" height="' + (dialogheight - dtrect.height - dcrect.height -
                    cetrect.height) + '" class="pdfviewer"></object>';
            //<br /><a href="' + Item + '">Download</a>';
            ShowDialog();
        }
    }

    function ShowNotice(NType, NTitle, Notice = "", NData = "") {
        if (Notice == "") {
            Notice = NType;
        }
        document.getElementById("DialogTitle").className = NType;
        document.getElementById("DialogAction").value = "";
        document.getElementById("DialogTitle").innerText = NTitle;
        document.getElementById("DialogNotice").innerText = Notice;
        document.getElementById("DialogData").innerHTML = NData;
        document.getElementById("DialogControls").innerHTML =
            '<input type="button" class="buttongeneral" name="Close" id="Close" value="Close" onclick="CloseDialog();" />';
        ShowDialog();
    }

    function CloseDialog() {
        document.getElementById("dialog").style.visibility = "hidden";
        document.getElementById("dialog").style.opacity = "0";
    }

    function Confirmation(CType, CAction, CTitle, CNotice, CData, CID = 0) {
        document.getElementById("DialogControls").innerHTML = '<input type="button" class="buttonadd" name="Confirm" id="Confirm" value="Confirm" onclick="ConfirmApprove();" />	\
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	\
			<input type="button" class="buttongeneral" name="Cancel" id="Cancel" value="Cancel" onclick="CloseDialog();" />';
        document.getElementById("DialogTitle").className = CType;
        document.getElementById("DialogAction").value = CAction;
        document.getElementById("DialogID").value = CID;
        document.getElementById("DialogTitle").innerText = CTitle;
        document.getElementById("DialogNotice").innerText = CNotice;
        document.getElementById("DialogData").innerHTML = CData;
        switch (CAction) {
            case "SaveHouse":
                document.getElementById("Confirm").value = "Save";
                document.getElementById("Cancel").value = "Cancel";
        }
        //document.getElementById("DialogTitle").focus();
        ShowDialog();
    }

    function ConfirmationCheck(CAction, CID = 0) {
        var HID = document.getElementById("HID").value;
        var House = document.getElementById("House").value;
        switch (CAction) {
            case "SaveHouse":
                if (House.trim().length > 0) {
                    if (HID > 0) {
                        Confirmation("save", CAction, "Save House?", "Please click confirm to save data for house:",
                            House);
                    } else {
                        Confirmation("add", CAction, "Add House?",
                            "Please click confirm to add a new house entry named:", House);
                    }
                } else {
                    ShowNotice("error", "Error", "House name is empty.",
                        ""); //ShowNotice(NType, NTitle, Notice = "", NData = "");
                }
                break;
            case "DeleteHouse":
                Confirmation("delete", CAction, "Delete House?",
                    "Are you sure you want to delete House and associated Patients data for house:", House, CID);
        }
    }

    function ConfirmApprove() { // Call function according to Action saved in DialogAction hidden field, example: "AddAction" calls AddAction() INSHAALLAH
        window[document.getElementById("DialogAction").value.trim()]();
    }

    function Process(obj, gparams = "") { // Internally calls xmlhttpreq to send http request to Process.php
        var url;
        if (gparams != "") {
            url = "houselist.php?" + gparams;
        } else {
            url = "houselist.php";
        }
        method = "POST";
        params = JSON.stringify(
            obj); // Prepare JSON, use console.log(obj) or console.log(params) to view in browser f-12 -> console.
        var ret = xmlhttpreq(url, method, params);
        if (!ret[0]) { // http request error, AOOZOBILLAH
            alert("Error: " + ret[1]);
            ShowNotice("error", "Error (CEC-1)", "Critical error: xmlhttp did not succeed.", ret[1]);
            console.log(ret);
        } else { // http request successful, ALHAMDOLILLAH
            //console.log("else");
            try {
                ret[1].onreadystatechange = function() {
                    if (ret[1].readyState == 4) // http request final stage/ response complete ALHAMDOLILLAH
                    {
                        console.log(ret[1].responseText);
                        if (this.status == 200) // http server responded 200 ALHAMDOLILLAH
                        {
                            try {
                                obj = JSON.parse(ret[1].responseText); // Convert response from JSON to array
                                if (obj["status"] ==
                                    true) { // php script completed request successfully, ALHAMDOLILLAH
                                    window[obj["Action"].trim() + "Completed"](obj);
                                } else { // php script encountered error, display error
                                    if (obj["message"]) {
                                        ShowNotice("fail", "Error (BEC-2)", "Error occurred. Process response: ",
                                            "<span class=\"errordetails\">" + obj["message"] + "</span>");
                                    } else {
                                        ShowNotice("fail", "Error (BEC-3)",
                                            "Error occurred. Process did not return any error message.", "");
                                    }
                                }
                            } catch (e) {
                                ShowNotice("error", "Error (BEC-1)",
                                    "Javascript error. This could be due to an unexpected response by backend script.",
                                    "<span class=\"errordetails\"><span class=\"errorcategory\">Javascript error:</span><br />" +
                                    e.name + "<br />" + e.message +
                                    "<br /><br /><span class=\"errorcategory\">PHP response:</span><br />" +
                                    ret[1].responseText + "</span>");
                            }
                        } else { // http did not respond 200
                            ShowNotice("fail", "Error (SEC-1)", "Error occurred. Server response: ", this.status);
                        }
                    }
                };
            } catch (e) {
                ShowNotice("error", "Error (CEC-2)", "Critical error:", e.message);
                alert("Javascript Error: " + e.message);
            }
        }
    }

    function xmlhttpreq(url, method, params) { // backend function, not to modify INSHAALLAH
        try {
            var bparams;
            if (method == "GET") {
                url = url + "?" + params;
                bparams = "";
            } else { // POST
                bparams = params;
            }
            if (window.XMLHttpRequest) {
                XMLHTTP = new XMLHttpRequest();
            } else {
                XMLHTTP = new ActiveXObject("Microsoft.XMLHTTP");
            }
            /*
            XMLHTTP.onreadystatechange = function() {
            	if (XMLHTTP.readyState == 4 && this.status == 200)
            	{
            		return [true, XMLHTTP.responseText];
            	}
            };*/
            //h = "Ftype=" + document.getElementById("Ftype").value + "&Username=" + document.getElementById("Username").value + "&Password=" + document.getElementById("Password").value;
            XMLHTTP.open(method, url, true);
            XMLHTTP.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
            XMLHTTP.setRequestHeader('X-Requested-With', 'XMLHttpRequest'); // To let Django/ ROR know its AJAX request
            XMLHTTP.send(bparams);
            return [true, XMLHTTP];
        } catch (err) {
            return [false, err];
        }
    }

    function FetchGETVarsString() {
        var param = "";
        var urlsearch = document.location.search;
        if (urlsearch != "") {
            var getvars = urlsearch.split("?");
            if (getvars.length == 2) {
                var params = getvars[1].split("&");
                var p = {};
                Object.keys(params).forEach(function(key) {
                    p = params[key].split("=");
                    if (p.length == 2) {
                        //param[p[0]] = p[1];
                        if (param == "") {
                            param = p[0] + "=" + p[1];
                        } else {
                            param = param + "&" + p[0] + "=" + p[1];
                        }
                    }
                });
            }
        }
        return param;
    }

    function FetchGETVars() {
        var param = {};
        var urlsearch = document.location.search;
        if (urlsearch != "") {
            var getvars = urlsearch.split("?");
            if (getvars.length == 2) {
                var params = getvars[1].split("&");
                var p = {};
                Object.keys(params).forEach(function(key) {
                    p = params[key].split("=");
                    if (p.length == 2) {
                        param[p[0]] = p[1];
                    }
                });
            }
        }
        return param;
    }

    function Redirect(url, gobj = {}, preserve = true) {
        var gvars = "";
        Object.keys(gobj).forEach(function(key) {
            if (gvars.length > 0) {
                gvars = gvars + "&";
            }
            gvars = gvars + key + "=" + gobj[key];
        });
        var getparams = "";
        if (preserve == true) {
            var param = FetchGETVars();
            Object.keys(param).forEach(function(key) {
                //console.log(key + "=>" + param[key]);
                if (!gobj[key]) { // if GET variable same as the new one being set, ignore INSHAALLAH
                    getparams = getparams + key + "=" + param[key] + "&";
                }
            });
        }
        window.location = url + "?" + getparams + gvars;
    }
    // **************** Above functions almost standard INSHAALLAH ****************
    function LoadHousesList() {
        // Prepare array for JSON
        var obj = {
            Action: "LoadHousesList"
        };
        Process(obj);
    }

    function LoadHousesListCompleted(obj) {
        var HID = FetchGETVars()["HID"];
        var HousesList = obj["data"];
        House = document.getElementById("House");
        while (House.options.length > 0) {
            House.remove(0);
        }
        //var Hcount = 0;
        Object.keys(HousesList).forEach(function(key) {
            //Hcount = Hcount + 1;
            opt = document.createElement("option");
            opt.value = HousesList[key]["HID"];
            opt.text = HousesList[key]["House"];
            House.add(opt);
        });
        if (HID > 0) {
            var i = 0;
            Object.keys(House.options).forEach(function(key) {
                if (House.options[i].value == HID) {
                    House.selectedIndex = i;
                }
                i = i + 1;
            });
        } else {
            House.selectedIndex = -1;
        }
        //ShowNotice("success", "Success", obj["message"], Hcount + " houses found.");
    }

    function ClearHouse() {
        var gobj = {
            HID: "-1"
        };
        Redirect("patarch.php", gobj, true);
        //document.getElementById("House").selectedIndex = -1;
    }

    function SelectHouse() {
        var House = document.getElementById("House");
        if (House.selectedIndex >= 0) {
            var gobj = {
                HID: House.options[House.selectedIndex].value
            };
            Redirect("patarch.php", gobj, true); // false, do not preserve current GET variables
        }
    }

    function LoadPatientsList() {
        var HID = FetchGETVars()["HID"];
        if (HID > 0) {
            // Prepare array for JSON
            var obj = {
                HID: HID,
                Action: "LoadPatientsList"
            };
            Process(obj);
        } else {
            if (document.getElementById("patientselectdiv")) {
                document.getElementById("patientselectdiv").style.visibility = "hidden";
                document.getElementById("patientselectdiv").style.opacity = 0;
            }
        }
    }

    function LoadPatientsListCompleted(obj) {
        //var PID = FetchGETVars()["PID"];
        var PID = FetchGETVars()["patNr"];
        var PatientsList = obj["data"]["Patients"];
        Patient = document.getElementById("Patient");
        while (Patient.options.length > 0) {
            Patient.remove(0);
        }
        //var Pcount = 0;
        opt = document.createElement("option");
        opt.value = "";
        opt.disabled = true;
        opt.selected = true;
        opt.text = "Patienten ausw\u00e4hlen";
        Patient.add(opt);
        Object.keys(PatientsList).forEach(function(key) {
            //Pcount = Pcount + 1;
            opt = document.createElement("option");
            opt.value = PatientsList[key]["PID"];
            opt.text = PatientsList[key]["Patient"];
            Patient.add(opt);
        });
        if (PID > 0) {
            var i = 0;
            Object.keys(Patient.options).forEach(function(key) {
                if (Patient.options[i].value == PID) {
                    Patient.selectedIndex = i;
                }
                i = i + 1;
            });
        } //else
        //Patient.selectedIndex = -1;
        //
        //console.log(Patient);
        //Patient.selectedIndex = -1;
        //ShowNotice("success", "Success", obj["message"], Hcount + " houses found.");
    }

    function LoadPatientData() {
        var PID = 0;
        var HID = 0;
        if ("patNr" in FetchGETVars()) {
            PID = FetchGETVars()["patNr"];
            if ("HID" in FetchGETVars()) {
                HID = FetchGETVars()["HID"];
            }
        }
        if (PID > 0) {
            // Prepare array for JSON
            var obj = {
                PID: PID,
                HID: HID,
                Action: "LoadPatientData"
            };
            Process(obj);
        }
    }

    function LoadPatientDataCompleted(obj) {
        //var PID = FetchGETVars()["PID"];
        var PID = FetchGETVars()["patNr"];

        var PatientDataLine = "";
        if (obj["data"]["Patient"]) {
            PatientDataLine = obj["data"]["Patient"];
        }
        document.getElementById("PatientDescription").innerHTML = "<h4>" + PatientDataLine + "</h4>";
        console.log(PatientDataLine);
        //ShowNotice("success", "Success", obj["message"], obj["data"]["Patient"]);
    }

    function LoadPatientDescription() {
        if ((!("HID" in FetchGETVars())) || (FetchGETVars()["HID"] <= 0)) { // normal mode, not house mode
            var obj = {
                wsid: document.getElementById("wsid").value,
                Action: "LoadPatientDescription"
            };
            Process(obj);
        }
        document.getElementById("PatientDescription").innerHTML = "";
    }

    function LoadPatientDescriptionCompleted(obj) {
        var PatientDataLine = "";
        if (obj["data"]["Patient"]) {
            PatientDataLine = obj["data"]["Patient"];
        }
        document.getElementById("PatientDescription").innerHTML = "<h4>" + PatientDataLine + "</h4>";
        console.log(PatientDataLine);
        //ShowNotice("success", "Success", obj["message"], obj["data"]["Patient"]);
    }

    function SelectPatient() {
        var Patient = document.getElementById("Patient");
        if (Patient.selectedIndex >= 0) {
            //var gobj = {	PID : Patient.options[Patient.selectedIndex].value };
            var gobj = {
                patNr: Patient.options[Patient.selectedIndex].value
            };
            Redirect("patarch.php", gobj, true); // false, do not preserve current GET variables
        }
    }

    function SearchPatient(mode = "Timer") {
        var rect = document.getElementById("searchpatientform").getBoundingClientRect();
        var sdiv = document.getElementById("searchdiv");
        var data = document.getElementById("newPatNr").value;
        var xpos = rect.left - 300;
        var ypos = rect.top + rect.height + 5;
        var width = rect.width + 300;
        var height = 500;
        //console.log(data);
        //console.log(data.trim().length);
        if ((mode == "Manual") || (data.trim().length >= <?php echo $SearchCharLength; ?>)) {
            sdiv.style.position = "absolute";
            sdiv.style.zIndex = 30;
            sdiv.style.left = xpos + "px";
            sdiv.style.top = ypos + "px";
            sdiv.style.width = width + "px";
            sdiv.style.height = "auto";
            sdiv.style.maxHeight = height + "px";
            sdiv.style.overflow = "auto";
            sdiv.style.background = "#fff";
            sdiv.style.visibility = "visible";
            sdiv.style.opacity = 1;
            sdiv.style.border = "1px solid #00807b";
            //sdiv.style.boxShadow = "0px 0px 5px 5px #8050c0";
            sdiv.style.boxShadow = "0px 0px 5px 5px #888";
            //sdiv.innerHTML = "";
            var obj = {
                Action: "SearchPatient",
                Search: data
            };
            Process(obj);
            sdiv.innerHTML = '<div class="searchdivtext">Loading...</div>';
        } else {
            sdiv.style.position = "absolute";
            sdiv.style.zIndex = 30;
            sdiv.style.left = xpos + "px";
            sdiv.style.top = ypos + "px";
            sdiv.style.width = "0px";
            sdiv.style.height = "0px";
            sdiv.style.overflow = "auto";
            sdiv.style.background = "#fff";
            sdiv.style.visibility = "hidden";
            sdiv.style.opacity = 0;
            sdiv.style.border = "none";
            sdiv.style.boxShadow = "none";
            sdiv.innerHTML = "";
            if (timerattempts < 10) {
                setTimeout(() => {
                    SearchPatientCheck();
                }, 1000);
                timerattempts = timerattempts + 1;
            } else {
                timerattempts = 0;
                searchtimeractive = false; // allow timer once again
                //-console.log("Timer attempts out.");
            }
        }
    }

    function SearchPatientCompleted(obj) {
        var divhtml = "";
        var list = {};
        var i = 0;
        divhtml = '';
        Object.keys(obj["data"]).forEach(function(key) {
            list[i] = obj["data"][key]["patNrP"] + ": " + obj["data"][key]["laName"] + ", " + obj["data"][key][
                "fiName"
            ];
            i = i + 1;
            //divhtml = divhtml + '<div class="searchdivitems">' + obj["data"][key]["patNrP"] + ": " + obj["data"][key]["laName"] + ", " + obj["data"][key]["fiName"] + '</div>';
            divhtml = divhtml + '	\
						<div class="searchdivitemsrownarrow" onclick="GoPatient(' + obj["data"][key]["patNrP"] + ');">	\
							<div class="searchdivitemscolsmallnarrow">	\
								' + obj["data"][key]["patNrP"] + '	\
							</div>	\
							<div class="searchdivitemscolbignarrow">	\
								' + obj["data"][key]["laName"] + ', ' + obj["data"][key]["fiName"] + ' ' + obj["data"][key]["sexP"] + ' ' +
                obj["data"][key]["dateBirth"] + '	\
							</div>	\
						</div>	\
			';
            /*
            						<div class="searchdivitemsrow" onclick="GoPatient(' + obj["data"][key]["patNrP"] + ');">	\
            				<div class="searchdivitemscolsmall">' + obj["data"][key]["patNrP"] + '<br />	\
            					' + obj["data"][key]["sexP"] + ' : ' + obj["data"][key]["dateBirth"] + '	\
            				</div>	\
            				<div class="searchdivitemscolbig">' + obj["data"][key]["laName"] + ", " + obj["data"][key]["fiName"] + '<br />	\
            					' + obj["data"][key]["streetP"] + ', ' + obj["data"][key]["zipCity"] + '. Tel: ' + obj["data"][key]["telephoneP"] + '	\
            				</div>	\
            			</div>	\
            */
        });
        if (divhtml.length > 0) {
            divhtml = '<div class="searchdivtable">' + divhtml + '</div>';
        } else {
            divhtml = '<div class="searchdivtext">No match found.</div>';
        }
        document.getElementById("searchdiv").innerHTML = divhtml;
        searchtimeractive = false; // allow timer once again
        timeroverride = false;
    }
    var searchtimeractive = false;
    var searchtime = "";
    var searchstring = "";
    var timeroverride = false;
    var timerattempts = 0;
    var skipsearchkeys = [17, 18, 35, 36, 37, 38, 39, 40];

    function SearchPatientActive(e) {
        e = e || window.event;
        var x = e.which || e.keyCode;
        console.log("SearchPatientActive();");
        console.log(skipsearchkeys.includes(x));
        if (!(skipsearchkeys.includes(x))) { // skip ctrl, alt, home, end, arrow keys etc
            if (searchtimeractive == false) {
                searchtimeractive = true;
                timerattempts = 0;
                setTimeout(() => {
                    SearchPatientCheck();
                }, 1000);
            }
            var d = new Date();
            searchtime = d.getTime();
            searchstring = document.getElementById("newPatNr").value;
        }
        if (x == 13) {
            if (isNaN(document.getElementById("newPatNr").value)) {
                if (timeroverride == false) {
                    if (searchtimeractive == true) {
                        timeroverride = true;
                    }
                    SearchPatient("Manual");
                }
            } else {
                document.getElementById("GoSearchPatient").click();
            }
        }
    }

    function SearchPatientCheck() {
        var d = new Date();
        var t = d.getTime();
        var data = document.getElementById("newPatNr").value;
        //-console.log("SearchPatientCheck();");
        //if ((data.trim().length >= 1) && ((t - searchtime) > 2000)) { // 2s (2000ms)
        if (searchtimeractive == true) {
            if ((t - searchtime) > 2000) { // 2s (2000ms)
                if (timeroverride == false) {
                    //-console.log("SearchPatient();");
                    SearchPatient();
                } else {
                    //-console.log("Timer override detected.");
                    //timeroverride = false;
                }
            } else {
                //-console.log("reset");
                setTimeout(() => {
                    SearchPatientCheck();
                }, 1000);
            }
        }
    }

    function GoPatient(patNr) {
        document.getElementById("newPatNr").value = patNr;
        document.getElementById("GoSearchPatient").click();
    }


    var StateCheckBoxSelected = false;  // global variable for function ToggleCheckBoxAll
    function ToggleCheckBoxAll() {
        // select all or clear all
        var cb = document.querySelectorAll('[name="sel_it"]');
        //var cbb = document.querySelectorAll('[name="sel_it_dummy"]');
        if ( StateCheckBoxSelected == true ) {
            for (var i = 0; i < cb.length; i++) {
                //cbb[i].value = "";
                //cbb[i].style.backgroundColor = "lightgrey";
                cb[i].checked = false;
            }
            StateCheckBoxSelected = false;
        }
        else {
            for (var i = 0; i < cb.length; i++) {
                //cbb[i].value = "X";
                //cbb[i].style.backgroundColor = "green";
                cb[i].checked = true;
            }
            StateCheckBoxSelected = true;
        }
    }

    function LoadDocuments() {
        // document.getElementById("DialogTitle").className = "general";
        // document.getElementById("DialogAction").value = "";
        // document.getElementById("DialogTitle").innerText = "xzxLoad documents?";
        // document.getElementById("DialogNotice").innerText = "xzxYou want to download latest documents of that houselist? (6 Months or younger, at least 10 documents)";
        // document.getElementById("DialogData").innerHTML = "";
        // document.getElementById("DialogControls").innerHTML = '<input type="button" class="buttonadd" name="DownloadDocuments" id="DownloadDocuments" value="xzxDownload" onclick="CloseDialog();" />	\
        // &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	\
        // <input type="button" class="buttongeneral" name="Cancel" id="Cancel" value="xzxCancel" onclick="CloseDialog();" />';
        // ShowDialog();
        var HID = document.getElementById("House").value;
        if (HID != '') {
            //window.location.href = "http://zeitprax2.liburg.de:31880/archiv/houselist_downl_button_ger.php?TimeInterval=6&HID=" + HID;
            window.top.location.href = "houselist_downl_button_ger.php?TimeInterval=6&HID=" + HID;
        }
    }
    </script>
</head>

<body>
    <div id="body">
        <?php
	function dialogdivcontrols($title, $id = "", $classname = "contentdiv") {
		echo '<div class="contenttoptitleoffset"></div>
				<div class="contenttoptitletitle" id="' . $id . '">' . $title . '</div>
				<div class="contenttoptitlecontrols">
					<div class="contenttoptitleminimize" onclick="divminimize(this, \'' . $id . '\', \'' . $classname . '\');">
						<div class="contenttoptitleminimizeshape"></div>
					</div>
					<div class="contenttoptitleexpand" onclick="divexpand(this, \'' . $id . '\', \'' . $classname . '\');">
						<div class="contenttoptitleexpandshape"></div>
					</div>
					<div class="contenttoptitleclose" onclick="divclose(this, \'' . $id . '\', \'' . $classname . '\');">x</div>
				</div>
				';
		return 1;
	}
?>
        <div class="contents" id="contentsdiv">
            <br />
            <!--<div id="dialog">-->
            <div class="dialogcontentdiv" id="dialog">
                <div class="contenttoptitle">
                    <?php dialogdivcontrols("Documents details", "DialogTitle", "dialogcontentdiv"); ?>
                </div>
                <div class="content">
                    <!--<div id="DialogTitle">PDF</div>-->
                    <form>
                        <div class="table">
                            <div class="rowsimple">
                                <div class="colsimple">
                                    <input type="hidden" name="DialogAction" id="DialogAction" value="" />
                                    <input type="hidden" name="DialogID" id="DialogID" value="" />
                                    <span id="DialogNotice">Are you sure you want to delete selected house?</span>
                                </div>
                            </div>
                            <div class="rowsimple">
                                <div class="colsimple">
                                    <span id="DialogData">sdf dsf jdfj df</span>
                                </div>
                            </div>
                            <div class="rowsimple">
                                <div class="colsimple">
                                </div>
                            </div>
                            <div class="rowsimple">
                                <div class="colsimple">
                                    <span id="DialogControls">
                                        <input type="button" class="buttongeneral" name="Close" id="Close" value="Close"
                                            onclick="CloseDialog();" />
                                        <!--
									<input type="button" class="buttondel" name="Confirm" id="Confirm" value="Confirm" onclick="ConfirmApprove();" />
									&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
									<input type="button" class="buttongeneral" name="Cancel" id="Cancel" value="Cancel" onclick="CloseDialog();" />
									-->
                                    </span>
                                </div>
                            </div>
                        </div><?php /* End <div class="table"> */ ?>
                    </form>
                    <div id="DialogControls">
                        <!--<input type="button" class="buttongeneral" name="Close" id="Close" value="Close" onclick="CloseDialog();" />
					<input type="button" class="buttondel" name="Confirm" id="Confirm" value="Confirm" onclick="ConfirmApprove();" />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<input type="button" class="buttongeneral" name="Cancel" id="Cancel" value="Cancel" onclick="CloseDialog();" />
					-->
                    </div>
                </div>
                <div class="contentendtitle"><a href="javascript:CloseDialog();">Close</a></div>
            </div><?php /* End <div class="contentdiv"> */ ?>
            <!--</div>--><?php /* End <div id="dialog"> */ ?>
            <?php

error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING); //-- Disable notices and warning, but show errors INSHAALLAH

$TelAreaCode = "0761"; // Area code to add to tel numbers

// in case of houselist dropdown menu , the patient number is send with POST! POST is set, so patNr is read later to patNr9  variable

//$wsid = workstation id (PC). Different persons ($pers) with their individual Inbox work here
$wsid = $_GET['wsid'];   //do not lose the id, alway the same, sometimes used
//$wsid=t1;  // =t5  =t0  =r1

$patNr9 = $_GET['patNr']; // patient number , GET if added &patNr=25700 to URL
         //$patNr=20232   =1234 =25700

// "pat_export" = patient number is exported in text file. patN_mode='pat_export'  or  ='manually'
if ($patNr9 == '') { $patN_mode="pat_export"; } else { $patN_mode="manually"; }

//echo "<br>rfrf1 GET-wsid: ".$wsid;
//echo "<br>rfrf2 GET-patNr: ".$patNr9;

// if "POST"-data present from sel_arch.php -> override GET-settings:
if (isset($_POST['work'])) {
     $work = $_POST['work'];    // work = what is todo, origin from felder.php
     $wsid = $_POST['wsid'];    // if isset work , then GET wsid was empty
     $patNr9 = $_POST['patNr'];    //
     $patN_mode = $_POST['patN_mode'];    // manually input of patNr or automatic by export file; here always="manually"
                                        // if comes with POST from sel_arch.php then always "manually"
                                        // houselist dropdown "re-uses" the archForm. archForm is always "manually"
                                         //                   so if POST is set, then mode is always "manually" (like before without houselist)
     $zUpdate = $_POST['zUpdate']; // Update SQL-String
     $numbers = $_POST['numbers']; // numbers to handle: delete, merge, fax, ...
     //echo "<br>plpl0 POST-wsid: ".$wsid." patNr: ".$patNr9;
     //echo "<br>plpl1 POST-work: ".$work;
     //echo "<br>plpl2 POST-zUpdate: ".$zUpdate;
     //echo "<br>plpl3 POST-patnr: ".$patNr9;
     //echo "<br>pypy2 POST numbers: ".$numbers;
     //print_r($_POST);
}

$stoggle = (!empty($_POST['stoggle']) ? $_POST['stoggle'] : 'ASC'); // toggle ASC / DESC

//$patN_mode="manually";
include("./db72.php");
include("./functions.php");
//echo "<br>klkl dbname: ".$dbname; // check if include works
       // *********************************************
       // ************* Sortierbuttons ****************
       // *********************************************

if (isset($work)) {
   switch ($work) :
     case "edit":
         //$u= str_replace("°^§","'",$zUpdate);
         //$u= str_replace("°^§","'",$zUpdate);
         $u= str_replace("^^^^^","'",$zUpdate);
         //echo "SQL-u: ".$u;
         $result= mysqli_query($connect,$u);
         $err=mysqli_error();
         log_sql($u,$err,basename(__FILE__,'ZZ'),$connect);  // ZZ is dummy
     	 echo "<br>".$err; //printed if not empty
      break;

    default:
       //echo ("<br><b> unbekannter Wert in  Variable $work </b> ");
    endswitch;
}
      ?>

            <?php
     //echo "<br>slsl patN_mode: ".$patN_mode;
     //echo "<br>slsl wsid: ".$wsid;
     //echo "<br>slsl patNr: ".$patNr9;

// the workstations have a second ID $wsid2 to access export data from AIS
// with AIS  EL solved by Windows-shares that are mounted in directory C, D, E, ..
// Attention!!!! Synchonize with exactly same switch ... in inbox.php !!!
switch ($wsid) {
      case "t0":
          // room Dr. Thum with Assistent Dr. Seuthe
          $wsid2="C";
          break;
      case "t1":
          // room Dr. Deissler with Assistent Dr. Mack
          $wsid2="D";
          break;
      case "t5":
          // echo "Fenster-PC";
          $wsid2="B";
          break;
      case "r1":
          //echo "Empfang Tresen";
          $wsid2="E";
          break;
      case "t4":
          // echo "Labor";
          $wsid2="F";
          break;
      case "t6":
          // echo "Keller";
          $wsid2="H";
          break;
      case "a0":
          // echo "ekg";
          $wsid2="A";
          break;
      default:
          $wsid2="E";
}

$pNamA1_initial="S";
$pNamA2_initial="D";
$pNamA3_initial="M";
$pNamA4_initial="F";
$pNamA5_initial="X";   // not used
$pNamA6_initial="Y";   // not used
$pNamMFP_initial="M";  //Manager ("MFP") are not displayed here in patarch.php

?>
            <?php
/*
<h4>Web@rchiv &nbsp;&nbsp;&nbsp;
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Patient Nr. <?php echo $patNr9 ?>
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            */
            ?>
            <?php
	$tmpwsid = "";
	if (array_key_exists("wsid", $_GET)) {
		$tmpwsid = "?wsid=" . $_GET["wsid"];
	}
	if (array_key_exists("wsid", $_POST)) {
		$tmpwsid = "?wsid=" . $_POST["wsid"];
	}
?>
            <form action="patarch.php<?php echo $tmpwsid; ?>" name="ArchForm" target="f_patarch"
                onSubmit="return check_null(self.document.ArchForm)" method="POST">
                <input type="submit" disabled style="display: none" aria-hidden="true" />
                <div id="topbar">
                    <div id="header">
                        <div class="segmentsmall">
                            <span class="logo"><a href="">Web@rchiv</a></span>
                        </div>
                        <div class="segmentwide">
                            <div class="table">
                                <?php /*<div class="rowsimplesmall">
						<div class="colformlabel">
							<!--<button class="buttonsimple" onclick="window.top.location.href = 'box.php';">Manage</button>-->
						</div>
					</div>*/ ?>
                                <?php if (intval($_GET["HID"]) < 1) { ?>
                                <div class="rowsimplebuffer">
                                    <div class="colformlabel">
                                    </div>
                                </div>
                                <?php } ?>
                                <div class="rowsimplesmall">
                                    <div class="colformlabel">
                                        Pat.Nr:
                                    </div>
                                    <div class="colformfield">
                                        <span class="data">
                                            <!-- echo $patNr9; -->

                                            <?php

    switch ($patN_mode) {
      case "manually":
          //echo "<br>nyny case manually ...";
          // if a user calls a patient number manually, then its not necessary to check the export file,
          // because I can assume, that in export file is NOT the same patient.
          // check: patient number is already in table patimport:
          $SQL="select * from patimport where patNrP=".$patNr9;
          //echo "<br>smsm  patimport SQL: ".$SQL;
          $res= mysqli_query($connect,$SQL); $err=mysqli_error(); // bei 'Empty Set' gibt es keine Fehlermeldung
          if ($row=mysqli_fetch_array($res)) {
              //--echo "   ".$row[laName].", ".$row[fiName]." (".$row[sexP].")   geb.:".$row[dateBirth]."</h4>";
              //echo " ".$row[laName].", ".$row[fiName]." (".$row[sexP].")</span></div><div class=\"segment\">geb.: <span class=\"data\">".$row[dateBirth]."</span></div>";
              echo $patNr9 . ", ".$row[laName].", ".$row[fiName]." (".$row[sexP].")</span> geb.: <span class=\"data\">".$row[dateBirth]."</span>";

              // following variables need to be set because of patient information unter the document table:
              $lstName=$row[laName];
              $fstName=$row[fiName];
              $datBirth9=$row[dateBirth];
              $street9=$row[streetP];
              $zip_city=$row[zipCity];
              $telphone=$row[telephoneP];
              /*echo " ".$row[laName].", ".$row[fiName]." (".$row[sexP].")</span>
			              </div><!-- End col -->
			    			</div><!-- End row -->
			    			<div id=\"patientselectdiv\" class=\"rowsimple\">
			    				<div class=\"colformlabel\">
			         				geb.:
			         			</div>
								<div class=\"colformfield\">
									<span class=\"data\">".$row[dateBirth]."</span>";*/
  		  } else {
              // name of patient of that number is unknown in archive. please call medical program with that patient, then open archive.
              //--echo "</h4>   Patientenname dieser Nr ist dem Archiv noch unbekannt. Bitte im Arztprogramm aufrufen, dann Archiv öffnen";
              echo "</span><span class=\"noticesmall\">Patientenname dieser Nr ist dem Archiv noch unbekannt. Bitte im Arztprogramm aufrufen, dann Archiv öffnen</span>";
          }
          //echo "</div>"; //-- added...... end header div
          break;
    case "pat_export":
         $fpath="/var/samba/trp/".$wsid2."/";   // path to export file
         //echo "xcxc <br>Pfad: ".$fpath;   // e.g. /var/samba/trp/E
         //$cmd="     egrep '^[0-9]{3}3000' ".$fpath."pat.bdt_utf8 | cut -c 8-  >  ".$fpath."pat-archiv.txt;"; //nr
         //$cmd=$cmd."egrep '^[0-9]{3}3101' ".$fpath."pat.bdt_utf8 | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //nname
         //$cmd=$cmd."egrep '^[0-9]{3}3102' ".$fpath."pat.bdt_utf8 | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //vname
         //$cmd=$cmd."egrep '^[0-9]{3}3110' ".$fpath."pat.bdt_utf8 | cut -c 8 - >> ".$fpath."pat-archiv.txt;"; //sex  1=male  2=female
         //$cmd=$cmd."egrep '^[0-9]{3}3103' ".$fpath."pat.bdt_utf8 | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; // date birth e.g. 25051981  without points
         //$cmd=$cmd."egrep '^[0-9]{3}3107' ".$fpath."pat.bdt_utf8 | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //Street
         //$cmd=$cmd."egrep '^[0-9]{3}3106' ".$fpath."pat.bdt_utf8 | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //PLZ Ort   ZIP  City
         //$cmd=$cmd."egrep '^[0-9]{3}3626' ".$fpath."pat.bdt_utf8 | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; // telephone number
         //$sedstring="sed 's/\([0-9]\{2\}\)\([0-9]\{2\}\)\([0-9]\{4\}\)/\1.\2.\3/g'";  // ... does NOT work: result special chars :(
         //$cmd=$cmd."cat ".$fpath."pat-geb.txt | ".$sedstring." >>".$fpath."pat-archiv.txt;"; //geb-dat mit Punkte z.B. 25.05.1981
         $REM_HOST=exec("$cmd");
         $f=$fpath."pat-archiv.txt";
         $fp=fopen($f, "r");
         //patNr9  is empty ="" until now!
         $patNr9=rtrim(fgets($fp,10));   // first 10 chars are enough, patient not bigger than 9 millionen
	     //echo "<br>gpgp Pat-Nr: ".$patNr9;
      	 $lstName=chop(fgets($fp,50));
         $fstName=chop(fgets($fp,50));
         $sexNr=chop(fgets($fp,10));
         if ($sexNr=="1") $sex="M"; else $sex="W";
     	 //echo "zmzm  <br>FirstName: ".$fstName." sexNr: ".$sexNr."  sex: ".$sex;
     	 $datBirthNoPoints=rtrim(fgets($fp,11));
         $datBirth9=substr($datBirthNoPoints,0,2).".".substr($datBirthNoPoints,2,2).".".substr($datBirthNoPoints,4,4);
         $street9=chop(fgets($fp,50));
         $zip_city=chop(fgets($fp,50));
         $telphone=chop(fgets($fp,50));
    	 //echo "slsl  Birth: ".$datBirth9;    // e.g.  25.05.1981
         fclose($fp);
         //echo "same patient -> insert/ update";
         $SQL="select patNrP from patimport where patNrP=".$patNr9;
         $res= mysqli_query($connect,$SQL);
         $err=mysqli_error();
         // if 'Empty Set' then no error message
         if ($row=mysqli_fetch_array($res)) {
             //echo " record exist -> update";
             $SQL="update patimport set fiName='".$fstName."',laName='".$lstName."',";
             $SQL.="dateBirth='".$datBirth9."',sexP='".$sex."',";
             $SQL.="streetP='".$street9."',zipCity='".$zip_city."',";
             $SQL.="telephoneP='".$telphone."' where patNrP=".$patNr9;
             //echo "<br>SQL: ".$SQL;
             $dummy= mysqli_query($connect,$SQL);
             $err=mysqli_error();
         } else {
             //echo " record noch exist -> insert";
             $SQL="insert into patimport (patNrP,fiName,laName,dateBirth,sexP,streetP,zipCity,telephoneP) values";
             $SQL.=" (".$patNr9.",'".$fstName."','".$lstName."','".$datBirth9."','".$sex."','".$street9."','".$zip_city."','".$telphone."')";
             $dummy= mysqli_query($connect,$SQL);
             $err=mysqli_error();
         }
         //--echo "   ".$lstName.", ".$fstName." (".$sex.")   geb.:".$datBirth9."</h4>";
         echo $patNr9 . ", ".$lstName.", ".$fstName." (".$sex.")</span> geb.: <span class=\"data\">".$datBirth9."</span>";

         /*echo " ".$lstName.", ".$fstName." (".$sex.")</span>
         				</div><!-- End col -->
    			</div><!-- End row -->
    			<div id=\"patientselectdiv\" class=\"rowsimple\">
    				<div class=\"colformlabel\">
         				geb.:
         			</div>
					<div class=\"colformfield\">
						<span class=\"data\">".$datBirth9."</span>";*/
         break;

    default:
          echo "error: patN_mode not set! (Or: from feld_arch.php?)</span>";
    }  // of switch
    echo "
    				</div><!-- End col -->
    			</div><!-- End row -->

    			"; //<br /><h4><div id=\"PatientDescription\"></div></h4>
    			/*    			<div class=\"rowsimplesmall\">
    				<div class=\"colformlabel\">
					</div>
    				<div class=\"colformfield\">
    					<span id=\"PatientDescription\"></span>
    				</div>
    			</div>
    			*/
    if ($_GET["HID"] > 0) {
		echo "<div id=\"patientselectdiv\" class=\"rowsimplesmall\">
    				<div class=\"colformlabel\">
						Haus/Liste:
    				</div>
					<div class=\"colformfield\">
						<select class=\"inputpatient\" id=\"Patient\" name=\"Patient\" onchange=\"SelectPatient();\">
						</select>
						<input type=\"button\" class=\"buttoncancel\" name=\"HouseMode\" id=\"HouseMode\" value=\"X\" onclick=\"ClearHouse();\" />
					</div>
    			</div><!-- End row -->";
	}
    echo "</div><!-- End table -->
    	</div><!-- <div class=\"segment\"> -->
    	<div class=\"segmentmedium\" name=\"House\">
	    	<div class=\"table\">
	    		<div class=\"rowsimplesmall\">
					<div class=\"colformlabelsmall\">
						Haus/Liste:
					</div>
					<div class=\"colformfield\">
						<select name=\"House\" id=\"House\" class=\"inputmediumsmall\" onchange=\"SelectHouse();\">
						</select>
						<input type=\"button\" name=\"ButtonLoad\" id=\"ButtonLoad\" class=\"buttonsimple\" value=\"&nbsp;L&nbsp;\" onclick=\"LoadDocuments();\" />
					</div>
				</div><!-- End row -->
				<div id=\"searchpatientform\" class=\"rowsimplesmall\">
					<div class=\"colformlabelsmall\">
						<!--Wechsel zu Pat.-Nr:-->
						zu Pat.:
					</div>
					<div class=\"colformfield\">
						<input id=\"newPatNr\" name=\"newPatNr\" class=\"inputmediumsmall\" size=\"10\" autocomplete=\"off\" onkeydown=\"SearchPatientActive(event);\" />
						<input id=\"GoSearchPatient\" type=\"submit\" class=\"buttonsimple\" value=\">>\" />
					</div>
				</div><!-- End row -->
			</div><!-- End table -->
		</div><!-- <div class=\"segment\"> -->";
	echo "</div>"; //-- added end "header" div
	echo "</div>"; //-- added end "topbar" div
	echo "<div id=\"searchdiv\"></div>";
	/*<div class=\"rowsimple\">
					<div class=\"colformlabelsmall\">
						House:
					</div>
					<div class=\"colformfield\">
						<select class=\"inputmedium\">
							<option>dsfsdfsdf</option>
						</select>
					</div>
				</div><!-- End row -->
				<div class=\"rowsimple\">
					<div class=\"colformlabelsmall\">
						Wechsel zu Pat.-Nr:
					</div>
					<div class=\"colformfield\">
						<input name=\"newPatNr\" class=\"inputsmall\" size=\"10\">
						<input type=\"submit\" class=\"submitsmall\" value=\">>\">
					</div>
				</div><!-- End row -->
	*/
?>


                                            <?php
	//--</h2>
?>


                                            <?php
         // =============== form  ArchForm =================
         // ================================================

//echo "<br>lmlm PHP_SELF: ".$_SERVER['PHP_SELF'];
?>


                                            <?php

/***************************************************************************************************************************
****************************************************************************************************************************
****************************************************************************************************************************
****************************************************************************************************************************
****************************************************************************************************************************
****************************************************************************************************************************
****************************************************************************************************************************
****************************************************************************************************************************
***************************************************************************************************************************/

?>



                                            <script>
                                            function check_null(myForm) {
                                                //alert("check_null:"+myForm.patNr.value);
                                                if (myForm.newPatNr.value == '') {
                                                    //alert('false');
                                                    return false;
                                                }
                                                myForm.patNr.value = myForm.newPatNr.value;
                                                parent.document.getElementsByTagName('frameset')[0].rows = '100%,*';
                                                return true;
                                            }
                                            </script>

                                            <?php /* <form action="patarch.php" name="ArchForm" target="f_patarch"
  onSubmit="return check_null(self.document.ArchForm)" method="POST"> */ ?>
                                            <input name="patN_mode" type="hidden" value="manually">
                                            <input name="wsid" id="wsid" type="hidden" value="<?php echo $wsid;?>">
                                            <?php
         // preserve wsid always because of functionalities of this PC/ workstation (export, import, fax, mail,
         ?>
                                            <?php
//--<div id="neuerPatient">
?>
                                            <?php
//--</div>
?>
                                            <?php    // Attention! Hack! ArchForm includes hundreds of further elements (fields, buttons, ..) but these
         // elements are only in the form to address/access them by e.g.  top.f_patarch.document.ArchForm.sel_it[i])
         // and they need not to be transported to $PHP_SELF = this page, if a user types in manually a new patient no.
         // Only sid=$wsid  and  patNr=$patNr"  have to be sent , so method GET is used to send these two variables
?>

                                            <?php
	//-- <div id="tabelle">
?>

                                            <?php
//echo "<br> Work: ".$work;
?>



                                            <?php



// entity "archFirst" was necessary to indicate that at least one person
// hat archived the document. Its set to "1" (=yes) when the first person
// archives the document. BTW: Then its guaranteed that the document is merged to
// one PDF and document has a patient number.


$SQL= "select doarch.* from doarch where patNr=".$patNr9." and archFirst=1 ";  // order by ... follows
//$SQL= "select doarch.* from doarch where patNr=25700 and archFirst=1 ";
// echo "<br>4444  SQL: ".$SQL;
//echo "<br>5o5o Work: ".$work;

// New Toggle Condition
if ($stoggle == "ASC") {
    $stoggle = "DESC";
}
else if ($stoggle == "DESC") {
    $stoggle = "ASC";
}
else {
    $stoggle = "ASC";
}

switch ($work) {
  case "sort_id":
     $SQL.="order by id $stoggle";
    break;
  case "s_dtypUser":
     $SQL.="order by dtypUser $stoggle, dateIn $stoggle";
    break;
  case "s_patNr":
     $SQL.="order by patNr, datUser";
     //echo $SQL;
    break;
  case "s_fromTo":
     $SQL.="order by fromTo $stoggle, dateIn $stoggle";
     //echo $SQL;
    break;
  case "s_fromToName":
     $SQL.="order by fromToName $stoggle, dateIn $stoggle";
     //echo $SQL;
    break;
  case "s_discipl":
     $SQL.="order by discipl $stoggle, dateIn $stoggle";
     //echo $SQL;
    break;
  case "s_datUser":
     $SQL.="order by datUser $stoggle";
     //echo $SQL;
    break;
  case "deleteX":    // delete from database completely (delete for all, also for colleagues )
      //echo "<br> sisi  delete-all: ".$numbers;
      $nr=preg_split("/;/",$numbers,100);
      $i=0;
      while ( $nr[$i] ) {
          //echo $nr[$i].";";
          $SQL2="select docFileName from doarch where id=".$nr[$i];
          //echo "<br>d9d9  SQL: ".$SQL2;
          $res = mysqli_query($connect,$SQL2);
          $row=mysqli_fetch_array($res);
          if ($row[docFileName] == "") {
              //echo "<br>nxnx  es liegen tifs in Tabelle scans ";
              $SQL2="select scanPage from scans where id_d=".$nr[$i];
              $res = mysqli_query($connect,$SQL2);
              while ($row = mysqli_fetch_array($res)) {
                  //echo " löschen: ".$row[scanPage];
                  unlink("process/".$row[scanPage]);
                  echo "<br>";
                  $thumb=strrev("gnp".substr(strrev($row[scanPage]),3,100));
                  unlink("process/thumb/".$thumb);
                  //echo " thumb löschen: ".$thumb;
              }
              $SQL2="delete from scans where id_d=".$nr[$i];
              //echo "<br> ".$SQL2;
              $dummy=mysqli_query($connect,$SQL2);
              echo mysqli_error();
              $SQL2="delete from doarch where id=".$nr[$i];
              //echo "<br> ".$SQL2;
              $dummy=mysqli_query($connect,$SQL2);
              echo mysqli_error();
          } else {
              //echo "<br>jaja  keine tifs in scans, nur aus doarch löschen: ".$row[docFileName];
              unlink("docc/".$row[docFileName]);
              $SQL2="delete from doarch where id=".$nr[$i];
              //echo "<br> jxjx  Tab. d. Zeile ".$nr[$i]." löschen";
              $dummy=mysqli_query($connect,$SQL2);
              echo mysqli_error();
          }
          $i++;
      }
      $SQL.="order by datUser";  // für die kommende Anzeige
      break;
  case "fax":
      $REM_HOST=$_SERVER['REMOTE_HOST'];  // A, B, C, H, ... (Eintrag in /etc/hosts)
      // funktioniert nicht, trotz Eintrag in /etc/hosts!!
      if( empty($_SERVER['REMOTE_HOST'] == FALSE) ){  //check
          $REM_HOST = $_SERVER['REMOTE_HOST'];
          echo "<br>cbcb REMOTE HOST erkannt: ".$_SERVER['REMOTE_HOST'];
      }else{
          $ipremote = $_SERVER['REMOTE_ADDR']; // real IP address
          $cmd="grep ".$ipremote." /etc/hosts | awk '{print $2}'";
          // Annahme: /etc/hosts sieht so aus:  192.168.128.108  E
          $REM_HOST = exec("$cmd");  // = A, B, C, ...
          // fehlt: if $REM_HOST not in { A, B, C, ... }  then Fehlermeldung auf den Schirm drucken!
          //echo "<br>gbgb ipremote: ".$ipremote."   REMOTE HOST der hosts entnommen: ".$REM_HOST;
      }
      //echo "<br>fnfn  fax to remoteHost: ".$REM_HOST;

     $nr=preg_split("/;/",$numbers);
     $i=0;
     //$REM_HOST=$REMOTE_HOST;  // A, B, C, H, ... (Eintrag in /etc/hosts)


     if (empty($REM_HOST)) { $REM_HOST="client_in_hosts_eintragen"; }
     if ($REM_HOST == "localhost") {
         $cmd="hostname -as";  // den echten Namen des Server bestimmen, i.d.R. "pserver"
         $REM_HOST=exec("$cmd");
         //echo "<br>flfl REM_HOST == localhost, hostname -as: ".$REM_HOST ;
     }
     // REM_HOST  gibt Hosts mit Kleinbuchstaben aus, warum? -> in Grossbuchstaben wandeln
     $dummy=exec("echo '".$REM_HOST."' >/tmp/dummy.txt");
     $REM_HOST=strtoupper($REM_HOST);
     $dummy=exec("echo '".$REM_HOST."' >/tmp/dummy_upper.txt");
     //  /home/faxuser/archivfax/b.txt  leeren
     // User ist: wwwrun. in /etc/passwd /bin/false -> /bin/bash, ssh-key erzeugen, key -> faxuser@lennyfax

     // RPD-Clients empf und labor
     //switch ($wsid) {
     //          case "r1":
     //              // RDP-Client empf (prax2)
     //              $fdisplay=1;
     //              break;
     //          case "t4":
     //              // RDP-Client labor (prax1)
     //              $fdisplay=2;
     //              break;
     //          default:
     //              $fdisplay=0;
     //}

     // in eine F0.txt, H0.txt, F0.txt, .. kommen die Namen der zu faxenden Dateien rein, z.B. F0_20190717100014_scan_5.pdf
     $fdisplay=0;
     //$cmd="ssh faxuser@lennyfax '> /home/faxuser/archivfax/".$REM_HOST.$fdisplay.".txt' 2>&1";
     $cmd="> archivfax/".$REM_HOST.$fdisplay.".txt 2>&1 >>archivfax/archivfax.log;";
     $dummy=exec("$cmd");
     //echo "<br>urur command: ".$cmd."   ".$dummy;

     while ( $nr[$i] ) {    //  $i  are  record numbers (z.B. 20635), not document numbers
         // here: copy fax-files to specific directory (maybe even to a remote machine)
         //echo "<br>jbjb record numbers:".$nr[$i].", ";
         $SQL2="select patNr, docFileName from doarch where id=".$nr[$i];
         $res = mysqli_query($connect,$SQL2);
         $row=mysqli_fetch_array($res);

         //$cmd="scp docc/".$row[docFileName]." faxuser@lennyfax:/home/faxuser/archivfax/".$REM_HOST.$fdisplay."_".$row[docFileName];
         $docNameFax = $REM_HOST.$fdisplay."_".$row[patNr]."_".$nr[$i]."_".$row[docFileName];  // e.g. H0_25700_130755__20181016154558_scan_11.pdf
         $cmd="cp docc/".$row[docFileName]." archivfax/".$docNameFax;

         // z.B. ssh faxuser@lennyfax 'echo b__20101125180522_scan3.pdf >> /home/faxuser/archivfax/b.txt
         //$cmd.="; ssh faxuser@lennyfax 'echo ".$REM_HOST.$fdisplay."_".$row[docFileName]." >> /home/faxuser/archivfax/".$REM_HOST.$fdisplay.".txt;'";
         $cmd.="; echo '".$docNameFax."' >> archivfax/".$REM_HOST.$fdisplay.".txt";
         $dummy=exec("$cmd");
         //echo "<br>fifi  command: ". $cmd;
         //echo "<br>Remote Host: ".$REMOTE_HOST;
         //echo "<br>Remote Addr: ".$REMOTE_ADDR;
         $i++;;
     }
     if ( $i > 0 ) {  // es wurde mind. ein Fax kopiert -> kfax starten
         //$cmd="ssh faxuser@lennyfax 'export DISPLAY=".$REM_HOST.":".$fdisplay.".0;";
         //$cmd="echo 'who am i'; whoami";
         // $dummy=exec("$cmd");
         //echo "<br>cece who am i: ".$dummy;
         $cmd="export DISPLAY=".$REM_HOST.":".$fdisplay.".0;";
         $cmd.="cd /var/archivfax;sudo -u faxuser /var/archivfax/pfax.py ".$row[patNr]." ".$REM_HOST." ".$fdisplay;
         //echo "<br>fsfs command: pfax.py <patnr> <rem-host> <display> ".$cmd;
         $dummy=exec("$cmd");
         //$dummy=system($cmd);  // achtung: system-Aufruf statt exec verursacht jede Menge Text-Ausgaben.
         //echo "<br>sysy  pfax.py-Aufruf: ".$dummy;
         //$dummy=exec("echo '".$dummy."' >/tmp/dummy.txt");
         // delete fax files and empty H0.txt:
         //$cmd="rm archivfax/".$REM_HOST.$fdisplay."_*; > archivfax/".$REM_HOST.$fdisplay.".txt";
         //echo $cmd." - ";
     }
     echo "<h3 style='color:red;'>Das Fax kann unter 'faxj'(PRO-Menu 'Geräte') oder mit Avantfax(Ausgang/Archiv) beobachtet/abgebrochen werden</h3>";

     //$SQL.="order by discipl,datUser";  // für die kommende Anzeige
     $SQL.="order by datUser";  // für die kommende Anzeige
     //echo $SQL;
    break;
  case "collect":
     //echo "=========== collect (german: sammeln ) ============='".$REMOTE_HOST."': ";
     $nr=preg_split("/;/",$numbers,100);
     $i=0;

     $REM_HOST=$_SERVER['REMOTE_HOST'];  // A, B, C, H, ... (Eintrag in /etc/hosts)
      // funktioniert nicht, trotz Eintrag in /etc/hosts!!
      if( empty($_SERVER['REMOTE_HOST'] == FALSE) ){  //check
          $REM_HOST = $_SERVER['REMOTE_HOST'];
          echo "<br>cbcb REMOTE HOST erkannt: ".$_SERVER['REMOTE_HOST'];
      }else{
          $ipremote = $_SERVER['REMOTE_ADDR']; // real IP address
          $cmd="grep ".$ipremote." /etc/hosts | awk '{print $2}'";
          // Annahme: /etc/hosts sieht so aus:  192.168.128.108  E
          $REM_HOST = exec("$cmd");  // = A, B, C, ...
          // fehlt: if $REM_HOST not in { A, B, C, ... }  then Fehlermeldung auf den Schirm drucken!
          //echo "<br>gbgb ipremote: ".$ipremote."   REMOTE HOST der hosts entnommen: ".$REM_HOST;
      }
      //echo "<br>fnfn  gefaxt wird an remoteHost: ".$REM_HOST;
      //if ($REM_HOST == "localhost") {    // linux-XDMCP oder -nx Sitzung auf dem Server
      //   $cmd="hostname -as";  // den echten Namen des Server bestimmen, i.d.R. "pserver"
      //   $REM_HOST=exec("$cmd");
      //}
     // REM_HOST  gibt Hosts mit Kleinbuchstaben aus, warum? -> in Grossbuchstaben wandeln
     $REM_HOST=strtoupper($REM_HOST);

     //$fdisplay=0;
     //$cmd="ssh faxuser@lennyfax '> /home/faxuser/archivfax/".$REM_HOST.$fdisplay.".txt' 2>&1";
     //$cmd="rm /home/david/trpword/archiv-sammeln/".$REM_HOST."/alleDokumente/* 2>&1";
     //$dummy=exec("$cmd");
     //$cmd="rm /home/david/trpword/archiv-sammeln/".$REM_HOST."/gewaehlteDokumente/* 2>&1";
     //$dummy=exec("$cmd");
     //$dummy=exec("echo '".$dummy."' >/tmp/dummy.txt");
     $specialchars=array("!","|","#","*","<",">"," ", "'",",", "/", "\\", "\"", "\:","°",".","`","^");  // special chars in  remark, name

     // Ordner mit Pat-Namen anlegen
     $SQL2="select * from patimport where patNrP=".$patNr9;
     $res= mysqli_query($connect,$SQL2);
     $err=mysqli_error();
     $row=mysqli_fetch_array($res);
     // bei 'Empty Set' gibt es keine Fehlermeldung

     $ordnerName2=str_replace($specialchars,"_",substr($row[laName],0,18))."_".str_replace($specialchars,"_",substr($row[fiName],0,8))."_".$row[dateBirth];
     //echo "<br>mlml Ordner-Name: ".$ordnerName2;
     //$ordnerName=utf8_encode($ordnerName2);
     $ordnerName=$ordnerName2;
     //echo $ordnerName."<br>";
     //$ordnerName=utf8_encode(str_replace($specialchars,"_",substr($row[laName],0,18))."_".str_replace($specialchars,"_",substr($row[fiName],0,8))."_".$row[dateBirth]);
     //$REM_HOST="B"; // wenn ich per -L 8088:192.168.128.78:88 aufs Archiv gehe , dann geht die Host-Aufloesung nicht mehr
     $cmd="mkdir -m 777 -p /var/samba/trp/".$REM_HOST."/archiv-sammeln/alleDokumente/".$ordnerName;
     //echo $cmd."<br>";  // REM_HOST ist A, B, C, ...
     $dummy=exec("$cmd");
     $cmd="mkdir -m 777 -p /var/samba/trp/".$REM_HOST."/archiv-sammeln/gewaehlteDokumente/".$ordnerName;
     $dummy=exec("$cmd");

     // ======== selected documents =================
     while ( $nr[$i] ) {    //  $i are record numbers, not the numbers of collected documents
         // copy selected documents to specific directory (maybe even to remote machine)
         //echo $nr[$i].", ";
         $SQL2="select docFileName,discipl,datUser,rem5 from doarch where id=".$nr[$i];
         $res = mysqli_query($connect,$SQL2);
         $row=mysqli_fetch_array($res);

         $cmd="cp -a docc/".$row[docFileName]." /var/samba/trp/".$REM_HOST."/archiv-sammeln/gewaehlteDokumente/".$ordnerName."/";
         // datUser z.B. = 20120717091120 ->  touch -d "2012-07-17" file
         //echo $row[datUser]."<br>";
         $ddatum=substr($row[datUser],0,4)."-".substr($row[datUser],5,2)."-".substr($row[datUser],8,2);  //  e.g. 2012-07-17
         $cmd.=";touch -d ".$ddatum." "."/var/samba/trp/".$REM_HOST."/archiv-sammeln/gewaehlteDokumente/".$ordnerName."/".$row[docFileName];
         $dummy=exec("$cmd");

         $cmd="mv /var/samba/trp/".$REM_HOST."/archiv-sammeln/gewaehlteDokumente/".$ordnerName."/".$row[docFileName]."  ";
         $cmd.="/var/samba/trp/".$REM_HOST."/archiv-sammeln/gewaehlteDokumente/".$ordnerName."/";
         //$cmd.=str_replace($specialchars,"_",utf8_encode($row[discipl]))."_".substr($row[datUser],8,2).".".substr($row[datUser],5,2).".".substr($row[datUser],0,4);
         $cmd.=str_replace($specialchars,"_",$row[discipl])."_".substr($row[datUser],8,2).".".substr($row[datUser],5,2).".".substr($row[datUser],0,4);
         $parts=explode(".",$row[docFileName]);                                  // file extension pdf, jpg, ...

         // append 18 chars of remarks of documents
         //$myrem=utf8_encode(substr($row[rem5],0,18));
         //$myrem=substr($row[rem5],0,18);
         $cmd.="_".str_replace($specialchars,"_",substr($row[rem5],0,18)).".".$parts[count($parts)-1];   // remark plus extension e.g. pdf
         $dummy=exec("$cmd");
         //echo $cmd."<br>";
         //echo $cmd." - ";
	 //echo "<br>Remote Host: ".$REMOTE_HOST;
	 //echo "<br>Remote Addr: ".$REMOTE_ADDR;
	 $i++;;
     }
     // ==================== copy all documents of patient to '/archiv-sammeln/alleDokumente/'  =========================
     $SQL2= "select docFileName,discipl,datUser,rem5 from doarch where patNr=".$patNr9." and archFirst=1 ";
     $res = mysqli_query($connect,$SQL2);
     echo mysqli_error();
     while ($row = mysqli_fetch_array($res)) {
             $cmd="cp -a docc/".$row[docFileName]." /var/samba/trp/".$REM_HOST."/archiv-sammeln/alleDokumente/".$ordnerName."/";
             // datUser z.B. = 20120717091120 ->  touch -d "2012-07-17" file
             //echo $row[datUser]."<br>";
             $ddatum=substr($row[datUser],0,4)."-".substr($row[datUser],5,2)."-".substr($row[datUser],8,2);  //  z.B. 2012-07-17
             $cmd.=";touch -d ".$ddatum." "."/var/samba/trp/".$REM_HOST."/archiv-sammeln/alleDokumente/".$ordnerName."/".$row[docFileName];
             $dummy=exec("$cmd");
             $parts=explode(".",$row[docFileName]);
             $cmd="mv  /var/samba/trp/".$REM_HOST."/archiv-sammeln/alleDokumente/".$ordnerName."/".$row[docFileName]."  ";
             $cmd.="/var/samba/trp/".$REM_HOST."/archiv-sammeln/alleDokumente/".$ordnerName."/";
             //$cmd.=str_replace($specialchars,"_",utf8_encode($row[discipl]))."_".substr($row[datUser],8,2).".".substr($row[datUser],5,2).".".substr($row[datUser],0,4);
             $cmd.=str_replace($specialchars,"_",$row[discipl])."_".substr($row[datUser],8,2).".".substr($row[datUser],5,2).".".substr($row[datUser],0,4);
             $parts=explode(".",$row[docFileName]);                                  // file extension pdf, jpg, ...
             // Bemerkung für Dokumente an Patienten herausgenommen
             //$cmd.="_".str_replace($specialchars,"_",utf8_encode(substr($row[rem5],0,18))).".".$parts[count($parts)-1];  // remark  plus extension e.g. pdf
             $cmd.=".".$parts[count($parts)-1];  // extension z.B. pdf
             $dummy=exec("$cmd");
             //echo $cmd."<br>";

     }
     $cmd="chmod -R 777 /var/samba/trp/".$REM_HOST."/archiv-sammeln/";
     $dummy=exec("$cmd");
     echo "<h3 style='color:red;'>* Ausgewählte Dokumente im X-Laufwerk unter 'archiv-sammeln => gewaehlteDokumente' <br>* Alle Dokumente des Patienten unter 'archiv-sammeln => alleDokumente'<br>* Der Ordner 'archiv-sammeln' darf jederzeit gelöscht werden ('reset').</h3>";
     // end of: ============== copy all documents of patient to '/archiv-sammeln/alleDokumente/'
     $SQL.="order by discipl,datUser";  //
     //echo $SQL;
    break;

  default:
    //$SQL.="order by discipl,datUser";
    $SQL.="order by datUser desc";
}


?>





                                            <div class="contentsarchiv">
                                                <div class="table">
                                                    <div class="rowtop">
                                                        <div class="col"></div>
                                                        <div class="col">
                                                            <button
                                                                class="<?php if ($work == "sort_id") echo "buttontopactive"; else echo "buttontop";?>"
                                                                onclick="{self.document.ArchForm.work.value='sort_id';
                                                                self.document.ArchForm.stoggle.value='<?php echo $stoggle;?>';
					parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
					self.document.ArchForm.patN_mode.value='manually';document.ArchForm.submit();}"> Lfd-Nr </button>
                                                        </div>
                                                        <div class="col">
                                                            <button
                                                                class="<?php if ($work == "s_dtypUser") echo "buttontopactive"; else echo "buttontop";?>"
                                                                onclick="{self.document.ArchForm.work.value='s_dtypUser';
                                                                self.document.ArchForm.stoggle.value='<?php echo $stoggle;?>';
					parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
					self.document.ArchForm.patN_mode.value='manually';document.ArchForm.submit();}"> Dok.</button>
                                                        </div>
                                                        <div class="col">
                                                            <button
                                                                class="<?php if ($work == "s_fromTo") echo "buttontopactive"; else echo "buttontop";?>"
                                                                onclick="{self.document.ArchForm.work.value='s_fromTo';
                                                                self.document.ArchForm.stoggle.value='<?php echo $stoggle;?>';
					parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
					self.document.ArchForm.patN_mode.value='manually';document.ArchForm.submit();}"> von/an </button>
                                                        </div>
                                                        <div class="col">
                                                            <button
                                                                class="<?php if ($work == "s_fromToName") echo "buttontopactive"; else echo "buttontop";?>"
                                                                onclick="{self.document.ArchForm.work.value='s_fromToName';
                                                                self.document.ArchForm.stoggle.value='<?php echo $stoggle;?>';
					parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
					self.document.ArchForm.patN_mode.value='manually';document.ArchForm.submit();}"> von/an Name </button>
                                                        </div>
                                                        <div class="col">
                                                            <button
                                                                class="<?php if ($work == "s_discipl") echo "buttontopactive"; else echo "buttontop";?>"
                                                                onclick="{self.document.ArchForm.work.value='s_discipl';
                                                                self.document.ArchForm.stoggle.value='<?php echo $stoggle;?>';
					parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
					self.document.ArchForm.patN_mode.value='manually';document.ArchForm.submit();}"> Fachgebiet </button>
                                                        </div>
                                                        <div class="col">
                                                            <button
                                                                class="<?php if ($work == "s_datUser") echo "buttontopactive"; else echo "buttontop";?>"
                                                                onclick="{self.document.ArchForm.work.value='s_datUser';
                                                                self.document.ArchForm.stoggle.value='<?php echo $stoggle;?>';
					parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
					self.document.ArchForm.patN_mode.value='manually';document.ArchForm.submit();}"> Datum Archiv </button>
                                                        </div>
                                                        <div class="col">
                                                            Bemerkung
                                                        </div>
                                                        <div class="col">
                                                            <?php echo $pNamA1_initial; ?>
                                                        </div>
                                                        <div class="col">
                                                            <?php echo $pNamA2_initial; ?>
                                                        </div>
                                                        <div class="col">
                                                            <?php echo $pNamA3_initial; ?>
                                                        </div>
                                                        <div class="col">
                                                            <?php echo $pNamA4_initial; ?>
                                                        </div>
                                                    </div>

                                                    <?php


// ================================================  building table ==========================================
// ===========================================================================================================

// emaxmple:  $SQL="select doarch.* from doarch where patNr=25700 and archFirst=1 order by datUser desc;"
//echo "<br><br>8l8l SQL: ".$SQL;
$res = mysqli_query($connect,$SQL);  // doppelt???
echo mysqli_error();

//--$tabtrenner="</td><td>";
//--$zeilenende="</td></tr>\n";
$tabtrennercenter="</div>\n<div class=\"colcenter\">";
$tabtrenner="</div>\n<div class=\"col\">";
$zeilenende="</div>\n</div>\n";

$farbwechsel=0;
while ($row = mysqli_fetch_array($res)) {
    if ($farbwechsel == 0) {
       //--echo "<tr bgcolor=\"#dce2ea\"><td>\n";
       echo "<div class=\"rowalt\">\n\t<div class=\"col\">\n";
       $farbwechsel=1;
    } else {
	    //--echo "<tr><td>\n";
       echo "<div class=\"row\">\n\t<div class=\"col\">\n";
       $farbwechsel=0;
    }
    //$row=mysqli_fetch_array($res); // nächster Satz auslesen
    // im folgenden 2 Techniken für ein hash der jeweiligen Zeile:
    //  zum einen die mit der function hash123() für jede Zeile,
    //  (die Ausgliederung war notwendig, weil das zweite " von Timeout(" ...")
    //   auch trotz \"  nicht angezeigt wurde),
    //  zum anderen der Aufruf
    //  top.f_eingang.location=\"inbox.php#marke".$row[id].....
    //  der in bilder.php nicht mit einem reload gemeinsam ausführbar war.
    //  Hier hatte ich versucht ein location.reload vor den jeweiligen hash
    //  zu setzen, was mißlingt, es wird inbeiden Fällen kein hash mehr aus-
    //  geführt. Das steht im Wiederspruch zu dem reload und hash in bilder.php
    //  Die einzige Erklärung dafür ist m.e., daß ein reload und ein Timeout(...hash ..)
    //  nur dann funktioniert, wenn es in einem ANDEREN Frame ausgeführt wird,
    //  wie in bilder.php, und nicht AUF SICH SELBER. Das wäre auch logisch, in
    //  dem Fall eines reload auf sich selber ist ja der Code neu geladen und
    //  die Verbindung zum vorherigen Code unterbrochen.
    $ro1=$ro2;
    $ro2=$ro3;  // collect history of row[id]  , example  ro2=140399
    $ro3=$ro4;  // aim: jump with hash markXXXX not to TOP but 2 rows underneath
    $ro4=$row[id];  // set as hash in following script the third-previous row[id]
    //echo $ro2;   // debug
    echo "<script>";
    echo "function hash".$row[id]."()";
    echo "{";
    echo "  setTimeout(\"top.frames['f_patarch'].location.hash='marke".$ro1."'\",0);";
    // ekkard: for video presentation set hash='111111'\",0);";    normal: hash='marke".$row[id]."'\",0);";
    echo "}";
    echo "</script>";

    $s="<input type=\"checkbox\" class=\"sel_it\" name=\"sel_it\"";
    $s.=" onClick='parent.document.getElementsByTagName(\"frameset\")[0].rows=\"60%,*\";";
    $s.="top.f_control.location=\"sel_arch.php?patNr=".$patNr9."&wsid=".$wsid."\";hash".$row[id]."()' />".$tabtrennercenter;
    $s.="<input type=\"button\" class=\"buttonsimple\" name='rowNr' value='".$row[id]."'";
    $s.=" onClick='parent.document.getElementsByTagName(\"frameset\")[0].rows=\"60%,*\";";
    $s.="top.f_control.location=\"feld_arch.php?aiNr=".$row[id]."&wsid=".$wsid."\";";
    $s.="top.f_patarch.location=\"patarch.php?patNr=".$patNr9."&wsid=".$wsid."&patN_mode=manually#marke".$row[id]."\";' />".$tabtrennercenter;
    echo $s;
    //$dd=substr($row[dateIn],8,2).".".substr($row[dateIn],5,2).".".substr($row[dateIn],0,4);
    //$dd.=" - ".substr($row[dateIn],8,2).".".substr($row[dateIn],10,2).".".substr($row[dateIn],12,2);
    //echo $dd.$tabtrenner;
    //---echo "<a name=\"marke".$row[id]."\" />";
    echo "<a name=\"marke".$row[id]."\"></a>";

    // following: field "anz" does not exist! Old code without function??
    // anz = sumTiffs of documents of a scan (several tiffs) in table scans. But thats not evaluated in code before. Is code line deleted?
    // see $SQL= "create temporary table tmp2 SELECT id, count(*) as anz from tmp group by id;";  in  inbox.php.
    $s="\n<input name='docFileName' size=\"2\" value='".$row[anz]."' type='hidden' />";
    $s.="<input type=\"button\" class=\"buttonsimpleextended\" value='".$row[dtypUser];

    $rr=$row[anz];
    if ($rr == NULL) $rr=1;
    if ($row[dtypUser] == "") $s.="(".$rr." S.)";
       else
         if ($row[anz] > 1) $s.="(".$row[anz]." S.)";

    if ($row[anz] != NULL)
       if ($row[dtypUser] == "") $s.="(".$row[anz]." S.)";
       else
         if ($row[anz] > 1) $s.="(".$row[anz]." S.)";

    ///////////////////////////////////
    // Pfad zum Davidarchiv ermitteln
    // $davidarchiv = "/home/david/trpword/pat_nr/A/";
    //$patNrpath = $patNr9;

    ////////////////////////////////
    // Länge der patNr ermitteln
    // und auf 8 Stellen erweitern
    //$patNrlength = strlen($patNrpath);
    //for ($i = $patNrlength; $i < 8; $i++) {
    //  $patNrpath = "0".$patNrpath;
    //}

    ///////////////////////////////////////
    // patNr => Verzeichnis Konvertierung
    //for ($i = 1; $i <= 8; $i++) {
    //  $count = 2*$i-1;
    //  $patNrpath = substr_replace($patNrpath, '/', $count, 0);
      //echo $patNr."<br>";
    //}
    //$davidarchiv = $davidarchiv.$patNrpath;
	if (intval($row[anz]) > 0) {
	    $noTif = 0;
	} else {
		$noTif = 1;
	}
    $s.="'";
    //echo "<br>typ: ".$row[dtype];
        $s.=" onClick='parent.document.getElementsByTagName(\"frameset\")[0].rows=\"100%,*\";";
        $s.=" document.location.href=\"docc/".$row[docFileName]."\";'";

    echo $s;
    echo " />";
    // noTif means, document is pdf, png, jpg, odt, doc etc
    echo "<input type='hidden' name='noTif' value='" . $noTif . "' />";
    echo "\n".$tabtrenner;
    //echo $row[patNr].$tabtrenner;
    echo "<input name='patNrS' size=10 type='hidden' value=".$row[patNr].">"; //für Zugriff von select.php
    echo $row[fromTo].$tabtrenner;
    echo $row[fromToName].$tabtrenner;
    echo $row[discipl].$tabtrenner."\n";
    $dd=substr($row[datUser],8,2).".".substr($row[datUser],5,2).".".substr($row[datUser],0,4);
    echo $dd.$tabtrenner;
    echo $row[rem5].$tabtrenner;
    if ($row[archA1]==0)  echo "_"; else if ($row[archA1]==1) echo "A"; else echo "L";
    echo $tabtrenner;
    if ($row[archA2]==0)  echo "_"; else if ($row[archA2]==1) echo "A"; else echo "L";
    echo $tabtrenner;
    if ($row[archA3]==0)  echo "_"; else if ($row[archA3]==1) echo "A"; else echo "L";
    echo $tabtrenner;
    if ($row[archA4]==0)  echo "_"; else if ($row[archA4]==1) echo "A"; else echo "L";
    echo $zeilenende;

 } // while
//--echo "</table>";
echo "</div>"; /* End <div class="table"> */
//if ($_GET["patNr"] > 0) {
//echo "<br>fvfv patNr: ".$patNr9;
//if ( $patNr9 == "" ) $patNr9=$_GET['patNr'];
//echo "<br>fwfw patNr: ".$patNr9;
//if ($patNr9 > 0) {
	//echo "<div class=\"rightdiv\">&nbsp;&nbsp;&nbsp;<input type=\"button\" class=\"buttoncancel\" name=\"BulkUpload\" id=\"BulkUpload\" value=\"Dokumente hochladen\" onclick=\"window.open('bulkUpload.php?patNr=" . $patNr9 . "', '_blank');\" /></div>";
echo "<div class=\"rightdiv\"><input type=\"button\" style=\"background: lightgrey; width: 30px; height: 30px; float: left;\" id=\"CheckBoxButtonALL\" onclick='ToggleCheckBoxAll();' value='A' />";
echo "&nbsp;&nbsp;&nbsp;";
echo "<input type=\"button\" class=\"buttoncancel\" name=\"SingleUpload\" id=\"SingleUpload\" value=\"xzxLoad up Documents\" onclick=\"window.open('singleUpload.php?patNr=" . $patNr9 . "', '_blank');\" /></div>";
//}
   ?>

                                                    <div id="PatientDescription">
                                                        <h4>
                                                            <?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/*
$filehouseslist = "houseslist.txt";
$fdelimiter = "*|*";
$filehouseprefix = "house";	// For example: $filehouseprefix . $filehousesuffix is "house.txt" or "house"[HID]".txt"
$filehousesuffix = ".txt";		// Script generates file names for houses "house1.txt", "house2.txt" etc

$housepatidseparator = " "; // "00100{$housepatidseparator}Last_Name, First_Name, dd.mm.yyyy"  // "00100  Last_Name, First_Name, dd.mm.yyyy"
$pathworkstation = "/var/samba/trp"; // "/var/samba/trp"
$fileworkstation = "pat-archiv.txt";
$TelAreaCode = "0761"; // Area code to add to tel numbers

$workstations = [	"t0" => "C",
							"t1" => "D",
							"r1" => "E",
							"t5" => "B"	];
//if ($_GET["HID"] <= 0) {
//if ($jdata["Action"] == "LoadPatientDescription") {
	try {
		//
		//	$f					file (handle)
		//	$fcontents		file contents
		//	$fline			file line (current line being read)
		//	$flcount			file line count (file contents line count)
		//
		$patient["PID"] = 0;
		$patient["PatientData"] = [];
		///////////////////////////////// Read samba workstation file
		$wpatient = []; // workstation patient
		//$wpatient[0] = 0;
		$filename = $fileworkstation;
		//if ((!array_key_exists("wsid", $_GET)) || ($_GET["wsid"] == "")) {
			//echo "Error: wsid not set, eg. box.php?wsid=t0";
			//die;
		//}
		$wfound = false;
		$i = 0;
		if (trim($wsid) != "") {
			$file = join(DIRECTORY_SEPARATOR, array($pathworkstation, $workstations[$wsid], $filename));
			if (file_exists($file)) {
				$f = fopen($file, "r");
				if ($f) {
					//throw new Exception("Could not open patients file: " . basename($file) . "<br />Please check directory/ file permissions");
					$fs = filesize($file);
					if ($fs > 0) {
						$wfound = true;
						rewind($f); // just in case
						//$patientslist = fread($f, $fs);
						$i = 0;
						//while ($fline = fgets($f)) $fline = trim($fline);
						while (($fline = fgets($f)) && ($i < 10)) {
							$fline = trim($fline);
							$wpatient[$i] = $fline;
							$i = $i + 1;
						}
					}
				}
				fclose($f);
			}
			$pfound = false; // patient found
			if ($i > 4) {
				if (strlen($wpatient[4]) >= 8) {
					$wtmpd = substr($wpatient[4], 0, 2);
					$wtmpm = substr($wpatient[4], 2, 2);
					$wtmpy = substr($wpatient[4], 4, 4);
					$wpatient[4] = $wtmpd . "." . $wtmpm . "." . $wtmpy;
				}
			}
			$i = 0;
			$wpdata = "";
			$locationtext = "";
			$locationquery = "";
			while(array_key_exists($i, $wpatient) && ($i < 10)) {
				if (trim($wpatient[$i]) != "") {
					switch($i) {
						case 0:
							//$wpdata = intval($wpatient[$i]);
							break;
						case 1:
							//$wpdata = $wpdata . $housepatidseparator . $wpatient[$i];
							$wpdata = $wpatient[$i];
							break;
						case 3:
							break;
						case 5:
							if (strlen($wpatient[$i]) > 20) {
								$locationtext = substr($wpatient[$i], 0, 20);
							} else {
								$locationtext = $wpatient[$i];
							}
							$locationquery = $wpatient[$i];
							//if (strlen($wpatient[$i]) > 20) {
							//	$wpdata = $wpdata . ", <a href=https://maps.google.com/?q=" . urlencode($wpatient[$i]) . ">" . substr($wpatient[$i], 0, 20) . "</a>";
							//} else {
							//	$wpdata = $wpdata . ", <a href=https://maps.google.com/?q=" . urlencode($wpatient[$i]) . ">" . $wpatient[$i] . "</a>";
							//}
							break;
						case 6:
							if (strlen($wpatient[$i]) > 20) {
								$locationtext = $locationtext . ", " . substr($wpatient[$i], 0, 20);
							} else {
								$locationtext = $locationtext . ", " . $wpatient[$i];
							}
							$locationquery = $locationquery . ", " . $wpatient[$i];
							//if (strlen($wpatient[$i]) > 20) {
							//	$wpdata = $wpdata . ", " . substr($wpatient[$i], 0, 20);
							//} else {
							//	$wpdata = $wpdata . ", " . $wpatient[$i];
							//}
							break;
						case 7: // telephone	Tel: 4626282 (area code missing? 0761-4626282)</h4>
								if (strlen($wpatient[$i]) <= 8) {
									$wpdata = $wpdata . ", Tel: " . trim($wpatient[$i]) . " (Fehlt die Vorwahl?" . $TelAreaCode . "-" . trim($wpatient[$i]) . ")";
								} else {
									$wpdata = $wpdata . ", Tel: " . trim($wpatient[$i]);
								}
							break;
						default:
							$wpdata = $wpdata . ", " . $wpatient[$i];
					}
					if ($i == 6) {
						if (trim($locationtext) != "") {
							$wpdata = $wpdata . ", " . $locationtext . "<a href=https://maps.google.com/?q=" . urlencode($locationquery) . "><img src=\"gmaps.png\" alt=\"Link to map\"></a>";
						}
					}
					$i = $i + 1;
				}
				//$wpdata = intval($wpatient[0]) . $housepatidseparator . $wpatient[1] . ", " . $wpatient[2] . ", " . $wpatient[4]; // Gender . $wpatient[3];
			}
			//$pat = explode($housepatidseparator, $p);
			// $pat[0] = 026391
			// $pat[1] = Biehler, Torsten, 16.05.1939
			//$pid = $pat[0];
			// End date format verification
			//$PatientFields = [	"FName",
			//							"LName",
			//							"BDate",
			//							"Street",
			//							"ZipCity",
			//							"Telephone"	];
			if (array_key_exists(0, $wpatient)) {
				$patient["PID"] = $wpatient[0];
			}
			//$house["Patients"][$i]["FName"] = $pfname;
			//$house["Patients"][$i]["LName"] = $plname;
			//$house["Patients"][$i]["FullName"] = $plname . ", " . $pfname;
			//$house["Patients"][$i]["BDate"] = $pddate;
			$patient["Patient"] = $wpdata;
			if (array_key_exists(0, $wpatient)) {
				$patient["PatientData"][0] = $wpatient[0];
			}
			for ($j = 0; $j < count($wpatient); $j++) {
				$patient["PatientData"][$j] = $wpatient[$j];
				//$patient[$PatientFields[$j]] = $wpatient[$j];
			}
		}
		if ($wfound == true) {
			//$ret["status"] = true;
			//$ret["message"] = "ALHAMDOLILLAH wsid patient data data found.";
			echo $patient["Patient"];
		} else {
			//$ret["status"] = false;
			//$ret["status"] = true;
			//$ret["message"] = "Patient data not found with wsid.";
			//echo "not found";
		}
	}
	catch (Exception $e) {
	//	$ret["status"] = false;
	//	$ret["message"] = "PHP Exception:<br />
	//	<div class=\"table\">
	//		<div class=\"rowsimple\">
	//			<div class=\"colerrorcategory\">File:</div>
	//			<div class=\"colerrordetails\">" . basename($e->getFile()) . "</div>
	//		</div>
	//		<div class=\"rowsimple\">
	//			<div class=\"colerrorcategory\">Line:</div>
	//			<div class=\"colerrordetails\">" . $e->getLine() . "</div>
	//		</div>
	//		<div class=\"rowsimple\">
	//			<div class=\"colerrorcategory\">Message:</div>
	//			<div class=\"colerrordetails\">" . $e->getMessage() . "</div>
	//		</div>
	//	</div>";
	}
*/

//}
//}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$wpdata = $lstName . ", " . $fstName;
$streetzipcity = "";
if (strlen(trim($datBirth9)) > 0) {
	$wpdata = $wpdata . ", " . $datBirth9;
}
if (strlen(trim($street9)) > 0) {
	$streetzipcity = $street9;
}
if (strlen(trim($zip_city)) > 0) {
	if (strlen($streetzipcity) > 0) {
		$streetzipcity = $streetzipcity . ", " . $zip_city;
	} else {
		$streetzipcity = $zip_city;
	}
}
if (strlen($streetzipcity) > 0) {
	$wpdata = $wpdata . ", " . $streetzipcity . " " . "<a href=\"https://maps.google.com/?q=" . urlencode($streetzipcity) . "\" target=\"_blank\"><img src=\"gmaps.png\" alt=\"Link to map\"></a>";
}
if (strlen(trim($telphone)) > 0) {
	if (strlen(trim($telphone)) <= 8) {
		$wpdata = $wpdata . ", Tel: " . trim($telphone) . " (Fehlt die Vorwahl? " . $TelAreaCode . "-" . trim($telphone) . ")";
	} else {
		$wpdata = $wpdata . ", Tel: " . trim($telphone);
	}
}
//$wpdata = $lstName . ", " . $fstName . ", " . $datBirth9 . ", " . $street9 . ", " . $zip_city . "<a href=\"https://maps.google.com/?q=" . urlencode($street9 . ", " . $zip_city) . "\"><img src=\"gmaps.png\" alt=\"Link to map\"></a>, " . $telphone;

echo $wpdata;


?>
                                                        </h4>
                                                    </div>
                                                    <Input name=sid size=6 type=hidden value="<?php echo $wsid ?>">
                                                    <input name="patNr" size=30 type="hidden"
                                                        value="<?php echo $patNr9; ?>">
                                                    <input name="work" size=30 type="hidden" value="">
                                                    <input name="stoggle" id="stoggle" size=30 type="hidden" value="">
                                                    <input name="eID" size=30 type="hidden" value="">
                                                </div><?php /* End <div class="contentsarchiv"> */ ?>
                                                <?php /* </form> */ ?>
                                                <?php
	//--</div> // End <div id="tabelle">
?>
                                                <script>
                                                //document.ArchForm.patNr.focus();
                                                //document.ArchForm.patNr.focus();
                                                </script>

            </form>
        </div><?php /* End <div class="contentsarchiv"> */ ?>
    </div><?php /* End <div id="body"> */ ?>



</body>

</html>
