<?php //
//$t = 120;
//ini_set("max_execution_time", $t);
set_time_limit(120); // Script timeout in seconds, need some high value for LibreOffice etc
include("engine.php");
if ($EnableUTF8) {
	header('Content-Type: application/json; charset=utf-8');
}

////$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
$gdata = $_GET; // Parameters

$ret["status"] = ""; // status, true on success, false on failure/ error
$ret["Action"] = $gdata["Action"]; // returns the Action/ Action code, same as request
$ret["data"] = ""; // contains payload/ return data
$ret["message"] = ""; // contains error message, if any

$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
if ($EnableUTF8) {
	$jdata = deutf8ize($jdata);
}


if ($gdata["Action"] == "GetUploadDirectory") {
	$updirname = $Nowprecise;
	$uploaddir = join(DIRECTORY_SEPARATOR, array($uploadlocation, $updirname));
	$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));
	$i = 0;
	while (is_dir(join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir)))) {
		$r = rand(1, 10000);
		$dd = new DateTime();
		$Nowpreciseupdated = $dd->format("Y-m-d_Hisu"); // $Nowpreciseupdated = $dd->format("YmdHisu");
		$updirname = $Nowpreciseupdated . $i . $r;
		$uploaddir = join(DIRECTORY_SEPARATOR, array($uploadlocation, $updirname));
		$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));
		$i = $i + 1;
		if ($i > 100) {
			// timeout? ... // exit;
		}
	}
	$rr = mkdir($uploaddircomplete);
	// Prepare unknown images
	$arr = ["Unknownnopreviewnopdfimage" => $Unknownnopreviewnopdfimage,
			"Unknownnopreviewpdfpresentimage" => $Unknownnopreviewpdfpresentimage	];
	foreach ($arr as $k => $a) {
		$exp = explode(".", $a);
		$file_ext = strtolower(end($exp));
		if ($file_ext == "png") {
			$imgtype = "png";
		} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
			$imgtype = "jpeg";
		} else {
			echo "Error: Incorrect image file extension.\n\n";
			exit; // --
		}
		$str = "";
		for ($i = 0; $i < (count($exp)-1); $i++) {
			$str .= $exp[$i];
		}
		$fileoriginalpath = join(DIRECTORY_SEPARATOR, array(getcwd(), $a));
		$file = $str . "-" . $ThumbnailSize . "." . $file_ext;
		$filepath = join(DIRECTORY_SEPARATOR, array(getcwd(), $file));
		$tmp = $k . "thumbnail";
		$$tmp = $file;
		if (!file_exists($filepath)) {
			if (file_exists($fileoriginalpath)) {
				$func = "imagecreatefrom" . $imgtype;
				$img = $func($fileoriginalpath);
				$func = "image" . $imgtype;
				$imgs = imagescale($img, $ThumbnailSize);
				$func($imgs, $file);
			}
		}
		$rdata[$tmp] = $file;
	}
	// Placeholder common output files...
	/*$fa = [	$PDFname . "_" . $updirname . "." . $PDFext,
			$Passwordfilename . "_" . $updirname . "." . $Passwordext,
			$Archivename . "_" . $updirname . "." . $Archiveext	];
	foreach ($fa as $file) {
		$fpath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file));
		$f = fopen($fpath, "w");
		if (!$f) {
			throw new Exception("Could not open file: " . basename($file) . "<br />Please check directory/ file permissions.");
		}
		fputs($f, " ");
		fclose($f);
	}*/
	$rdata["PDFPreview"] = $PDFPreview;
	if ($rr) {
		$rdata["Directory"] = str_replace("\\", "/", $uploaddir);
		$rdata["Password"] = random_str($passwordlength);
		$ret["status"] = true; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = "mkdir(\"" . $uploaddir . "\"); successful. Work directory for this session is: <strong>" . $uploaddir . "</strong>"; // contains error message, if any
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = ""; // contains payload/ return data
		$ret["message"] = "Unable to mkdir(\"" . $uploaddir . "\"); Please check permissions to <strong>" . $uploadlocation . "</strong> directory."; // contains error message, if any
	}
	$dnow = date("YmdHi");
	$dirs = scandir(join(DIRECTORY_SEPARATOR, array(getcwd(), $uploadlocation)));
	foreach($dirs as $dir) {
		$ft = 0;
		$dircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploadlocation, $dir));

		if ((trim($dir) != ".") && (trim($dir) != "..") && (is_dir($dircomplete)) && (trim($dircomplete) != $uploaddircomplete)) {
			$dircontents = scandir($dircomplete);
			//echo "dir: \t" . $dircomplete . "\n";
			//print_r($dircontents);
			foreach($dircontents as $f) {
				$fcomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploadlocation, $dir, $f));
				if ((trim($f) != ".") && (trim($f) != "..") && (!is_dir($f))) {
					$fd = date("YmdHi", filemtime($fcomplete));
					//echo "fd:	\t" . $fd . "\n";
					//echo "ft:	\t" . $ft . "\n";
					if ($fd >= $ft) {
						$ft = $fd;
					}
				}
			}
			if (($dnow - $ft) > 100) { // more than 100 minutes old
				//echo "yes	\t" . $dir . "\n";
				//echo "Now: \t\t" . $dnow . "\n";
				//echo "Filetime: \t" . $ft . "\n";
				if (DIRECTORY_SEPARATOR == "\\") {
					$ex = "rmdir /S /Q \"" . trim($dircomplete) . "\"";
				} else {
					$ex = "rm -rf \"" . trim($dircomplete) . "\"";
				}
				//echo $dircomplete . "\n";
				$r = 0;
				exec($ex, $output, $r);
				if ($r) {
					echo $ex . "\n";
					print_r($output);
					echo "Return code: " . $r . "\n";
				}
			}
			//echo $dir . "	\t" . $dnow . "	\t" . $fd . "\n";
		}
	}
}

if ($gdata["Action"] == "GetNewPassword") {
	$rdata["Option"] = $jdata["Option"];
	$rdata["Password"] = random_str($passwordlength);
	$ret["status"] = true; // status, true on success, false on failure/ error
	$ret["data"] = $rdata; // contains payload/ return data
	$ret["message"] = "mkdir(\"" . $uploaddir . "\"); successful. Work directory for this session is: <strong>" . $uploaddir . "</strong>"; // contains error message, if any
}


if ($gdata["Action"] == "Rotate") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$uploaddir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));

	$filepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $jdata["Filename"]));
	$filepathbackup = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $jdata["FileBackup"]));
	$exp = explode(".", $jdata["Filename"]);
	$file_ext = strtolower(end($exp));
	$a = getimagesize($filepathbackup);
	//print_r($a);
	//echo "<br />\n\n<br />";
	if ($file_ext == "png") {
		$imgtype = "png";
	} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
		$imgtype = "jpeg";
	} else {
		echo "Error: Incorrect image file extension.\n\n";
		exit; // --
	}
	$func = "imagecreatefrom" . $imgtype;
	$img = $func($filepathbackup);
	$res = imageresolution($img);
	//print_r($res);
	if ($jdata["Direction"] == "CCW") {
		$angle = $jdata["Rotation"] + 90;
	} else {
		$angle = $jdata["Rotation"] - 90;
	}
	$angle = $angle % 360;
	if ($angle > 180) {
		$angle = -($angle - 180);
	}
	$jdata["Rotation"] = $angle;
	//echo $jdata["Direction"];
	//echo $angle;
	$imgr = imagerotate($img, $angle, 0);
	//$res = imageresolution($imgr);
	//echo "<br />\n\n<br />";
	//print_r($res);
	//imageresolution($imgr, $res[0]);
	//echo "<br />\n\n<br />";
	//print_r($res);
	//$p = $d . "t1.png";
	$func = "image" . $imgtype;
	$func($imgr, $filepath);

	$file_name_noext = ""; // can derive from $exp  by substr from file_name
	if (count($exp) > 1) {
		for ($i=0; $i<(count($exp) - 1); $i++) {
			if (strlen($file_name_noext) > 0) {
				$file_name_noext = trim($file_name_noext) . "." . $exp[$i];
			} else {
				$file_name_noext = $exp[$i];
			}
		}
	} else {
		$file_name_noext = $file_name;
	}


	$filename_backup = $file_name_noext . "_original." . $file_ext;
	$file_backup = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_backup));
	$filename_thumbnail = $file_name_noext . "_thumbnail." . $file_ext;
	$file_thumbnail = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_thumbnail));

	if ($file_ext == "png") {
		$imgtype = "png";
	} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
		$imgtype = "jpeg";
	} else {
		echo "Error: Incorrect image file extension.\n\n";
		exit; // --
	}
	$func = "imagecreatefrom" . $imgtype;
	$img = $func($filepath);
	//$res = imageresolution($img);
	$func = "image" . $imgtype;
	$imgs = imagescale($img, $ThumbnailSize);
	$func($imgs, $file_thumbnail);

	// Prepare LibreOffice profile folders, two for two conversions
	//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $Nowprecise;
	$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, "LibreOffice" . $Nowprecise));
	$i = 0;
	while (is_dir($LOprofilepath)) {
		$r = rand(1, 10000);
		$dd = new DateTime();
		$Nowpreciseupdated = $dd->format("Y-m-d_Hisu"); // $Nowpreciseupdated = $dd->format("YmdHisu");
		$i = $i + 1;
		$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
		//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
		$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOprofiledir));
		if ($i > 100) {
			//exit;
		}
	}
	mkdir($LOprofilepath);
	$LOprofilepath1 = $LOprofilepath . "1";
	mkdir($LOprofilepath1);
	$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
	$LOprofilepath1 = str_replace("\\", "/", $LOprofilepath1);
	if ($file_ext != "pdf") {
		$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $uploaddircomplete . "\" \"" . $filepath . "\"";// 2>&1";
	}
	//echo sys_get_temp_dir();
	$LOhomedir = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOhome));
	if (!is_dir($LOhomedir)) {
		mkdir($LOhomedir);
	}
	putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
	$ex = $LObinarypath . " $LOcomm 2>&1";
	//echo ".......";
	exec($ex, $output, $r);
	//echo ">>> " . $ex . "</br>\n";
	//print_r($output);
	//echo "<br />\n\n<br />";
	//echo ">>>" . $ex . "\n\n";
	//echo "Return code: " . $r . "\n";
	if ($r) {
		echo $ex . "\n";
		print_r($output);
		echo "Return code: " . $r . "\n";
	}
	$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); //  just generated
	$file_thumbnail_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . "_pdf.pdf"));
	$file_thumbnail_pdf_thumbnail = $file_name_noext . "_pdf.png";
	copy($file_pdf, $file_thumbnail_pdf);

	$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath1 . "\" --writer --convert-to png --outdir \"" . $uploaddircomplete . "\" \"" . $file_thumbnail_pdf . "\"";
	$ex = $LObinarypath . " $LOcomm 2>&1";
	$output = "";
	exec($ex, $output, $r);
	//echo $ex . "\n\n";
	//echo "Return code: " . $r . "\n";
	if ($r) {
		echo $ex . "\n";
		print_r($output);
		echo "Return code: " . $r . "\n";
	}
	// remove $file_thumbnail_pdf
	unlink($file_thumbnail_pdf);


	$filepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_thumbnail_pdf_thumbnail));
	$img = imagecreatefrompng($filepath);
	//$res = imageresolution($img);
	$imgs = imagescale($img, $ThumbnailSize);
	imagepng($imgs, $filepath);




	$rdata = $jdata;
	$ret["status"] = true; // status, true on success, false on failure/ error
	$ret["data"] = $rdata; // contains payload/ return data
	$ret["message"] = " image rotated successfully"; // contains error message, if any
	//print_r($ret);
}





//print_r($gdata);
if ($gdata["Action"] == "Upload") {
	if ($_POST["ConvertImage"] == "true") {
		foreach ($CheckboxImageExtensions as $cie)
		{
			$found = false;
			foreach ($extensions as $key => $val)
			{
				if ($val == $cie) {
					$found = true;
				}
			}
			if (!$found) {
				array_push($extensions, $cie);
			}
		}
	} else {
		foreach ($CheckboxImageExtensions as $cie)
		{
			foreach ($extensions as $key => $val)
			{
				if ($val == $cie) {
					unset($extensions[$key]);
				}
			}
		}
	}
	if ($_POST["ConvertDoc"] == "true") {
		foreach ($CheckboxDocExtensions as $cde)
		{
			$found = false;
			foreach ($extensions as $key => $val)
			{
				if ($val == $cde) {
					$found = true;
				}
			}
			if (!$found) {
				array_push($extensions, $cde);
			}
		}
	} else {
		foreach ($CheckboxDocExtensions as $cde)
		{
			foreach ($extensions as $key => $val)
			{
				if ($val == $cde) {
					unset($extensions[$key]);
				}
			}
		}
	}

	$uploaddir = str_replace("/", DIRECTORY_SEPARATOR, $_POST["Directory"]);
	$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));
	if (!is_dir($uploaddircomplete)) {
		mkdir($uploaddircomplete);
	}
	$Password = $_POST["Password"];
	if(isset($_FILES[$fileelement])){
		$errors = array();
		$file_name = $_FILES[$fileelement]['name'];
		$file_size = $_FILES[$fileelement]['size'];
		$file_tmp = $_FILES[$fileelement]['tmp_name'];
		$file_type = $_FILES[$fileelement]['type'];
		$a = [$file_name, $file_size, $file_tmp, $file_type];
	    if (!($_FILES['file']['error'] === UPLOAD_ERR_OK)) {
	       echo "upload failed with error code " . $_FILES['file']['error'];
	    }
		$exp = explode('.', $_FILES[$fileelement]['name']);
		$file_ext = strtolower(end($exp));
		$file_name_noext = ""; // can derive from $exp  by substr from file_name
		if (count($exp) > 1) {
			for ($i=0; $i<(count($exp) - 1); $i++) {
				if (strlen($file_name_noext) > 0) {
					$file_name_noext = trim($file_name_noext) . "." . $exp[$i];
				} else {
					$file_name_noext = $exp[$i];
				}
			}
		} else {
			$file_name_noext = $file_name;
		}
		// check if filenames empty
		//$extensions = array("jpeg", "jpg", "png", "pdf", "odt", "doc", "docx");
		//$imgextensions = array("jpeg", "jpg", "png");

		//if(in_array($file_ext, $extensions) === false){
		//	$errors[] = "extension not allowed, please choose a JPEG or PNG file.";
		//}

		//if($file_size > 2097152){
		//	$errors[] = 'File size must be less than 2 MB';
		//}

		if(empty($errors)==true){
			$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $file_name_noext . "." . $file_ext));
			$i = 0;
			$found = true;
			while($found == true) {
				$found = false;
				$fils = scandir($uploaddircomplete);
				foreach($fils as $fil) {
					$dexp = explode(".", $fil);
					$dname = "";
					if (count($dexp) == 1) {
						$dname = $fil;
					} else {
						for($j=0; $j<(count($dexp)-1); $j++) {
							if ($dname != "") {
								$dname = $dname . ".";
							}
							$dname = $dname . $dexp[$j];
						}
					}
					if ($file_name_noext == $dname) {
						$found == true;
						$i = $i + 1;
						$file_name_noext = $file_name_noext . "_" . $i;
						$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $file_name_noext . "." . $file_ext));
					}
					//echo ">" . $fil . "\n";
					//echo "comparing... " . $file_name_noext . " to " . $dname . "<br />\n";
				}
			}
			/*while(file_exists($file_upload)) {
				$i = $i + 1;
				$file_name_noext = $file_name_noext . "_" . $i;
				$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $file_name_noext . "." . $file_ext));
			}*/
			move_uploaded_file($file_tmp, $file_upload);

			$filename_backup = "";
			$Rotation = 0;
			$filename_thumbnail = "";

			if(in_array($file_ext, $imgextensions) === true){
				$filename_backup = $file_name_noext . "_original." . $file_ext;
				$file_backup = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_backup));
				$filename_thumbnail = $file_name_noext . "_thumbnail." . $file_ext;
				$file_thumbnail = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_thumbnail));
				copy($file_upload, $file_backup);
				if ($file_ext == "png") {
					$imgtype = "png";
				} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
					$imgtype = "jpeg";
				} else {
					echo "Error: Incorrect image file extension.\n\n";
					exit; // --
				}
				$func = "imagecreatefrom" . $imgtype;
				$img = $func($file_upload);
				//$res = imageresolution($img);
				$imgsize = getimagesize($file_upload);
				// Rotate landscape to portrait only when converting to pdf
				if(in_array($file_ext, $extensions) === true) {
					$func = "image" . $imgtype;
					// Image rotate
					if ($imgsize[0] > $imgsize[1]) { // width > height, rotate
						$Rotation = 90;
						$img = imagerotate($img, $Rotation, 0);
						$func($img, $file_upload);
					}
				}
				$func = "imagecreatefrom" . $imgtype;
				$img = $func($file_upload);
				$imgsize = getimagesize($file_upload);
				$func = "image" . $imgtype;
				if (($imgsize[0] > $Maximagepixels) || ($imgsize[1] > $Maximagepixels)) {
					$aratio = $imgsize[0] / $imgsize[1];
					//echo "W: " . $imgsize[0] . "\n\n";
					//echo "H: " . $imgsize[1] . "\n\n";
					//echo "AR: " . $aratio . "\n\n";
					//echo "Max: " . $Maximagepixels;
					if ($imgsize[0] > $imgsize[1]) { // width > height
						$imgs = imagescale($img, $Maximagepixels, ($Maximagepixels/$aratio));
						//echo "/: " . $Maximagepixels/$aratio;
					} else {
						$imgs = imagescale($img, ($Maximagepixels*$aratio), $Maximagepixels);
						//echo "*: " . $Maximagepixels*$aratio;
					}
					$func($imgs, $file_upload);
				}
				$imgst = imagescale($img, $ThumbnailSize);
				$func($imgst, $file_thumbnail);
			}
			$rPDF_file = "";
			$rPDF_thumbnailfile = "";
			//if(in_array($file_ext, $extensions) === true) {
			// Prepare LibreOffice profile folders, two for two conversions
			//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $Nowprecise;
			$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, "LibreOffice" . $Nowprecise));
			$i = 0;
			while (is_dir($LOprofilepath)) {
				$r = rand(1, 10000);
				$dd = new DateTime();
				$Nowpreciseupdated = $dd->format("Y-m-d_Hisu"); // $Nowpreciseupdated = $dd->format("YmdHisu");
				$i = $i + 1;
				$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
				//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
				$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOprofiledir));
				if ($i > 100) {
					//exit;
				}
			}
			mkdir($LOprofilepath);
			$LOprofilepath1 = $LOprofilepath . "1";
			mkdir($LOprofilepath1);
			$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
			$LOprofilepath1 = str_replace("\\", "/", $LOprofilepath1);

			if(in_array($file_ext, $extensions) === true) {
				//echo sys_get_temp_dir();
				$LOhomedir = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOhome));
				if (!is_dir($LOhomedir)) {
					mkdir($LOhomedir);
				}
				putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
				if ($file_ext != "pdf") {
					if (in_array($file_ext, $a2psextensions) === true)
					{
						$filePS = $file_name_noext . ".ps";
						$filePDF = $file_name_noext . ".pdf";
						$pspath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $filePS));
						$pdfpath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $filePDF));

				        // a2ps can't work with utf-8 , used for german special chars "äöüß". Convert to ISO-8859-1 first:
				        $fileiconvcmd = 'iconv --from-code=UTF-8 --to-code=ISO-8859-1 ' . $file_upload . ' > ' . $file_upload . '.iso88;';
				        exec($fileiconvcmd);
				        $filepscmd = 'a2ps -1 -B -M a4 --header="Faxcover by Web@rchiv (c) " -f 12 ' . $file_upload . '.iso88 -o ' . $pspath . ';';
						exec($filepscmd);
						// Remove old pdf, as file_exists would check for new pdf
						if (file_exists($pdfpath)) {
							$rmoldpdf = 'rm -f ' . $pdfpath;
							exec($rmoldpdf);
						}
						if (file_exists($pspath)) {
							$filepdfcmd = $ps2pdfbinarypath . ' ' . $pspath . ' ' . $pdfpath;
							exec($filepdfcmd);
						}
					} else {
						$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $uploaddircomplete . "\" \"" . $file_upload . "\"";// 2>&1";

						$ex = $LObinarypath . " $LOcomm 2>&1";
						//echo ".......";
						exec($ex, $output, $r);
						//echo ">>> " . $ex . "</br>\n";
						//print_r($output);
						//echo "<br />\n\n<br />";
						//echo ">>>" . $ex . "\n\n";
						//echo "Return code: " . $r . "\n";
						if ($r) {
							echo $ex . "\n";
							print_r($output);
							echo "Return code: " . $r . "\n";
						}
					}
				}
			}
			$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); //  just generated
			if (file_exists($file_pdf)) {
				$rPDF_file = $file_name_noext . ".pdf";
			}
			if((in_array($file_ext, $thumbnailextensions) === true) && (file_exists($file_pdf))) {
				$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); //  just generated
				$file_thumbnail_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . "_pdf.pdf"));
				$file_thumbnail_pdf_thumbnail = $file_name_noext . "_pdf.png";
				if ($PDFPreview)
				{
					copy($file_pdf, $file_thumbnail_pdf);
					$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath1 . "\" --writer --convert-to png --outdir \"" . $uploaddircomplete . "\" \"" . $file_thumbnail_pdf . "\"";
					$ex = $LObinarypath . " $LOcomm 2>&1";
					$output = "";
					exec($ex, $output, $r);
					//echo $ex . "\n\n";
					//echo "Return code: " . $r . "\n";
					if ($r) {
						echo $ex . "\n";
						print_r($output);
						echo "Return code: " . $r . "\n";
					}
					// remove $file_thumbnail_pdf
					unlink($file_thumbnail_pdf);
					//$rPDF_file = $file_name_noext . ".pdf";
					$rPDF_thumbnailfile = $file_thumbnail_pdf_thumbnail;

					$filepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_thumbnail_pdf_thumbnail));
					$img = imagecreatefrompng($filepath);
					//$res = imageresolution($img);
					//print_r(getimagesize($filepath));
					$imgs = imagescale($img, $ThumbnailSize);
					imagepng($imgs, $filepath);
					//print_r(getimagesize($filepath));
				}
			}

			//$rdata["Directory"] = $Directory;
			$rdata["Filename"] = $file_name_noext . "." . $file_ext;
			//$rdata["FilenameURL"] = $rdata["Directory"] . "/" . $file_name;
			/*$rdata["FilenamePDFURL"] = str_replace("\\", "/", $file_pdf);*/
			$rdata["PDF"] = $rPDF_file;
			//$rdata["PDFURL"] = $rdata["Directory"] . "/" . $file_name_noext . ".pdf";
			$rdata["ThumbnailPDF"] = $rPDF_thumbnailfile;
			$rdata["FileBackup"] = $filename_backup;
			$rdata["Rotation"] = $Rotation;
			$rdata["Thumbnail"] = $filename_thumbnail;
			$rdata["Extension"] = $file_ext;
			$rdata["status"] = "active"; // for UI

			$ret["status"] = true; // status, true on success, false on failure/ error
			$ret["data"] = $rdata; // contains payload/ return data
			$ret["message"] = " file uploaded successfully"; // contains error message, if any


		}else{
			print_r($errors);
		}
	}
} // end Action == Upload
// Linux zip/ unzip
// zip -r file.zip directory
// unzip file.zip

if ($gdata["Action"] == "ConvertFileToPDF") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	//$filepath = join(DIRECTORY_SEPARATOR, array($jdata["Directory"], $jdata["Filename"]));
	$Directory = $jdata["Directory"];
	$dirpath = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$dirpathcomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $dirpath));

	$uploaddir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));
	if (!is_dir($uploaddircomplete)) {
		mkdir($uploaddircomplete);
	}

	$file_name = $jdata["Filename"];
	$exp = explode('.', $file_name);
	$file_ext = strtolower(end($exp));
	$file_name_noext = ""; // can derive from $exp  by substr from file_name
	if (count($exp) > 1) {
		for ($i=0; $i<(count($exp) - 1); $i++) {
			if (strlen($file_name_noext) > 0) {
				$file_name_noext = trim($file_name_noext) . "." . $exp[$i];
			} else {
				$file_name_noext = $exp[$i];
			}
		}
	} else {
		$file_name_noext = $file_name;
	}
	// check if filenames empty
	//$extensions = array("jpeg", "jpg", "png", "pdf", "odt", "doc", "docx");
	//$imgextensions = array("jpeg", "jpg", "png");

	//if(in_array($file_ext, $extensions) === false){
	//	$errors[] = "extension not allowed, please choose a JPEG or PNG file.";
	//}

	//if($file_size > 2097152){
	//	$errors[] = 'File size must be less than 2 MB';
	//}

	$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $file_name_noext . "." . $file_ext));
	/*
	$i = 0;
	$found = true;
	while($found == true) {
		$found = false;
		$fils = scandir($uploaddircomplete);
		foreach($fils as $fil) {
			$dexp = explode(".", $fil);
			$dname = "";
			if (count($dexp) == 1) {
				$dname = $fil;
			} else {
				for($j=0; $j<(count($dexp)-1); $j++) {
					if ($dname != "") {
						$dname = $dname . ".";
					}
					$dname = $dname . $dexp[$j];
				}
			}
			if ($file_name_noext == $dname) {
				$found == true;
				$i = $i + 1;
				$file_name_noext = $file_name_noext . "_" . $i;
				$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $file_name_noext . "." . $file_ext));
			}
			//echo ">" . $fil . "\n";
			//echo "comparing... " . $file_name_noext . " to " . $dname . "<br />\n";
		}
	}*/
	/*while(file_exists($file_upload)) {
		$i = $i + 1;
		$file_name_noext = $file_name_noext . "_" . $i;
		$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $file_name_noext . "." . $file_ext));
	}*/
	//move_uploaded_file($file_tmp, $file_upload);

	$filename_backup = "";
	$Rotation = 0;
	$filename_thumbnail = "";

	if(in_array($file_ext, $imgextensions) === true){
		$filename_backup = $file_name_noext . "_original." . $file_ext;
		$file_backup = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_backup));
		$filename_thumbnail = $file_name_noext . "_thumbnail." . $file_ext;
		$file_thumbnail = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_thumbnail));
		copy($file_upload, $file_backup);
		if ($file_ext == "png") {
			$imgtype = "png";
		} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
			$imgtype = "jpeg";
		} else {
			echo "Error: Incorrect image file extension.\n\n";
			exit; // --
		}
		$func = "imagecreatefrom" . $imgtype;
		$img = $func($file_upload);
		//$res = imageresolution($img);
		$imgsize = getimagesize($file_upload);
		// Rotate landscape to portrait only when converting to pdf
		if(in_array($file_ext, $extensions) === true) {
			$func = "image" . $imgtype;
			// Image rotate
			if ($imgsize[0] > $imgsize[1]) { // width > height, rotate
				$Rotation = 90;
				$img = imagerotate($img, $Rotation, 0);
				$func($img, $file_upload);
			}
		}
		$func = "imagecreatefrom" . $imgtype;
		$img = $func($file_upload);
		$imgsize = getimagesize($file_upload);
		$func = "image" . $imgtype;
		if (($imgsize[0] > $Maximagepixels) || ($imgsize[1] > $Maximagepixels)) {
			$aratio = $imgsize[0] / $imgsize[1];
			//echo "W: " . $imgsize[0] . "\n\n";
			//echo "H: " . $imgsize[1] . "\n\n";
			//echo "AR: " . $aratio . "\n\n";
			//echo "Max: " . $Maximagepixels;
			if ($imgsize[0] > $imgsize[1]) { // width > height
				$imgs = imagescale($img, $Maximagepixels, ($Maximagepixels/$aratio));
				//echo "/: " . $Maximagepixels/$aratio;
			} else {
				$imgs = imagescale($img, ($Maximagepixels*$aratio), $Maximagepixels);
				//echo "*: " . $Maximagepixels*$aratio;
			}
			$func($imgs, $file_upload);
		}
		$imgst = imagescale($img, $ThumbnailSize);
		$func($imgst, $file_thumbnail);
	}
	$rPDF_file = "";
	$rPDF_thumbnailfile = "";
	//if(in_array($file_ext, $extensions) === true) {
	// Prepare LibreOffice profile folders, two for two conversions
	//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $Nowprecise;
	$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, "LibreOffice" . $Nowprecise));
	$i = 0;
	while (is_dir($LOprofilepath)) {
		$r = rand(1, 10000);
		$dd = new DateTime();
		$Nowpreciseupdated = $dd->format("Y-m-d_Hisu"); // $Nowpreciseupdated = $dd->format("YmdHisu");
		$i = $i + 1;
		$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
		//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
		$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOprofiledir));
		if ($i > 100) {
			//exit;
		}
	}
	mkdir($LOprofilepath);
	$LOprofilepath1 = $LOprofilepath . "1";
	mkdir($LOprofilepath1);
	$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
	$LOprofilepath1 = str_replace("\\", "/", $LOprofilepath1);

	if(in_array($file_ext, $extensions) === true) {
		//echo sys_get_temp_dir();
		$LOhomedir = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOhome));
		if (!is_dir($LOhomedir)) {
			mkdir($LOhomedir);
		}
		putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
		if ($file_ext != "pdf") {
			if (in_array($file_ext, $a2psextensions) === true)
			{
				$filePS = $file_name_noext . ".ps";
				$filePDF = $file_name_noext . ".pdf";
				$pspath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $filePS));
				$pdfpath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $filePDF));

		        // a2ps can't work with utf-8 , used for german special chars "äöüß". Convert to ISO-8859-1 first:
		        $fileiconvcmd = 'iconv --from-code=UTF-8 --to-code=ISO-8859-1 ' . $file_upload . ' > ' . $file_upload . '.iso88;';
		        exec($fileiconvcmd);
		        $filepscmd = 'a2ps -1 -B -M a4 --header="Faxcover by Web@rchiv (c) " -f 12 ' . $file_upload . '.iso88 -o ' . $pspath . ';';
				exec($filepscmd);
				// Remove old pdf, as file_exists would check for new pdf
				if (file_exists($pdfpath)) {
					$rmoldpdf = 'rm -f ' . $pdfpath;
					exec($rmoldpdf);
				}
				if (file_exists($pspath)) {
					$filepdfcmd = $ps2pdfbinarypath . ' ' . $pspath . ' ' . $pdfpath;
					exec($filepdfcmd);
				}
			} else {
				$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $uploaddircomplete . "\" \"" . $file_upload . "\"";// 2>&1";

				$ex = $LObinarypath . " $LOcomm 2>&1";
				//echo ".......";
				exec($ex, $output, $r);
				//echo ">>> " . $ex . "</br>\n";
				//print_r($output);
				//echo "<br />\n\n<br />";
				//echo ">>>" . $ex . "\n\n";
				//echo "Return code: " . $r . "\n";
				if ($r) {
					echo $ex . "\n";
					print_r($output);
					echo "Return code: " . $r . "\n";
				}
			}
		}
	} else {
		$errormessage = "The file extension <strong>" . $file_ext . "</strong> cannot be converted to PDF";
	}
	$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); //  just generated
	if (file_exists($file_pdf)) {
		$rPDF_file = $file_name_noext . ".pdf";
	}
	if((in_array($file_ext, $thumbnailextensions) === true) && (file_exists($file_pdf))) {
		$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); //  just generated
		$file_thumbnail_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . "_pdf.pdf"));
		$file_thumbnail_pdf_thumbnail = $file_name_noext . "_pdf.png";
		if ($PDFPreview)
		{
			copy($file_pdf, $file_thumbnail_pdf);
			$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath1 . "\" --writer --convert-to png --outdir \"" . $uploaddircomplete . "\" \"" . $file_thumbnail_pdf . "\"";
			$ex = $LObinarypath . " $LOcomm 2>&1";
			$output = "";
			exec($ex, $output, $r);
			//echo $ex . "\n\n";
			//echo "Return code: " . $r . "\n";
			if ($r) {
				echo $ex . "\n";
				print_r($output);
				echo "Return code: " . $r . "\n";
			}
			// remove $file_thumbnail_pdf
			unlink($file_thumbnail_pdf);
			//$rPDF_file = $file_name_noext . ".pdf";
			$rPDF_thumbnailfile = $file_thumbnail_pdf_thumbnail;

			$filepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_thumbnail_pdf_thumbnail));
			$img = imagecreatefrompng($filepath);
			//$res = imageresolution($img);
			//print_r(getimagesize($filepath));
			$imgs = imagescale($img, $ThumbnailSize);
			imagepng($imgs, $filepath);
			//print_r(getimagesize($filepath));
		}
	}

	//$rdata["Directory"] = $Directory;
	$rdata["Filename"] = $jdata["Filename"];
	//$rdata["FilenameURL"] = $rdata["Directory"] . "/" . $file_name;
	/*$rdata["FilenamePDFURL"] = str_replace("\\", "/", $file_pdf);*/
	$rdata["PDF"] = $rPDF_file;
	//$rdata["PDFURL"] = $rdata["Directory"] . "/" . $file_name_noext . ".pdf";
	$rdata["ThumbnailPDF"] = $rPDF_thumbnailfile;
	$rdata["FileBackup"] = $jdata["FileBackup"];
	$rdata["Rotation"] = $Rotation;
	$rdata["Thumbnail"] = $filename_thumbnail;
	$rdata["Extension"] = $jdata["Extension"];
	$rdata["FileID"] = $jdata["FileID"];

	$rdata["status"] = "active"; // for UI

	if ($rPDF_file != "") {
		$ret["status"] = true; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = "File successfully converted to PDF."; // contains error message, if any
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = $errormessage; // contains error message, if any
	}
	//print_r($ret);
}


if ($gdata["Action"] == "DeleteFile") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	//$filepath = join(DIRECTORY_SEPARATOR, array($jdata["Directory"], $jdata["Filename"]));
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$dirpath = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$dirpathcomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $dirpath));

	//$filepath = join(DIRECTORY_SEPARATOR, array($dirpathcomplete, $jdata["Filename"]));
	$filepath = $jdata["Filename"];
	$pdfpath = $jdata["PDF"];
	$thumbnailpdfpath = $jdata["ThumbnailPDF"];
	$thumbnailpath = $jdata["Thumbnail"];
	$files = [$filepath, $pdfpath, $thumbnailpdfpath, $thumbnailpath];
	for ($i=0; $i<count($files); $i++) {
		if (strlen(trim($files[$i])) > 0) {
			$fpath = join(DIRECTORY_SEPARATOR, array($dirpathcomplete, $files[$i]));
			if (file_exists($fpath)) {
				$r = unlink($fpath);
				if (!$r) {
					// log error to text file?
				}
			}
		}
	}
	$rdata["FileID"] = $jdata["FileID"];
	$ret["status"] = true; // status, true on success, false on failure/ error
	$ret["data"] = $rdata; // contains payload/ return data
	$ret["message"] = " file deleted successfully"; // contains error message, if any
	//print_r($ret);
}





if ($gdata["Action"] == "GetCurrentDocuments") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$tmpdocs = explode(";", $jdata["CurrentDocuments"]);
	$Mode = $jdata["Mode"];

	$uploaddir = str_replace("/", DIRECTORY_SEPARATOR, $jdata["Directory"]);
	$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));
	if (!is_dir($uploaddircomplete)) {
		mkdir($uploaddircomplete);
	}


	$cdocs = [];
	$cdocids = "";
	// Get document IDs for table
	foreach ($tmpdocs as $tdoc) {
		if (trim($tdoc) != "") {
			array_push($cdocs, intval(trim($tdoc)));
			if ($cdocids != "") {
				$cdocids .= ", ";
			}
			$cdocids .= $tdoc;
		}
	}

	// cause to convert to pdf or not, the documents
	if ($Mode == "email")
	{
		$extensions = [];
		$thumbnailextensions = [];
	}

	try {
		$conn = DBOpenConnection();
		$sql = "SELECT * FROM doarch WHERE id in (" . $cdocids . ")";
		$stmt = $conn->prepare($sql);
		//$stmt->bindValue(':Barcode', $jdata['Barcode'], PDO::PARAM_STR);

		$stmt->execute(); // true or false
		$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

		$ret["data"] = $stmt->fetchAll();
		/*$ret["data"] = [	[	"company" => "abc", "faxnumber" => "111"	],
							[	"company" => "def", "faxnumber" => "222"	],
							[	"company" => "ghi", "faxnumber" => "333"	]	];*/
		if (!$ret) {
			$ret["status"] = false;
			$ret["message"] = false;
		}
		else {
			$ret["status"] = true;
		}
		$failedfiles = [];
		if ($ret["status"] == true) {
			$errors = array();
			$dbres = $ret["data"];
			$ret["data"] = [];
			$ret["data"]["files"] = [];
			$ret["data"]["failedfiles"] = [];
			foreach ($dbres as $dbrow) {
				$file_name = $dbrow["docFileName"];
				$exp = explode('.', $file_name);
				$file_ext = strtolower(end($exp));
				$file_name_noext = ""; // can derive from $exp  by substr from file_name
				if (count($exp) > 1) {
					for ($i=0; $i<(count($exp) - 1); $i++) {
						if (strlen($file_name_noext) > 0) {
							$file_name_noext = trim($file_name_noext) . "." . $exp[$i];
						} else {
							$file_name_noext = $exp[$i];
						}
					}
				} else {
					$file_name_noext = $file_name;
				}
				$fname = "";
				$fdateexp = explode(" ", $dbrow["datUser"]);
				$fdate = $fdateexp[0];
				$fdiscipline = limittext($dbrow["discipl"], 20);
				$fremark = limittext($dbrow["rem5"], 20);
				$fname = trim($fdiscipline);
				if (!(strlen($fname) > 0)) {
					$fname = trim($fremark);
				}
				/*
				echo $fname . "<br />";
				$exp = str_split($fname);
				foreach ($exp as $key => $val)
				{
					 echo ".." . json_decode('"\u0228"') . "<br />";
					 echo "_" . json_decode('"\u{0196"') . "<br />";
					if ($val == "\u0228")
					{
						echo "?>>>";
					}
					echo $val . " - " . "<br />";
				}*/

				$fname = subst_specialchars_filenames($fname);
				$fname .= "_" . $fdate;
				$fname = str_replace(" ", "_", $fname);
				$file_current = join(DIRECTORY_SEPARATOR, array(getcwd(), $currentdocumentslocation, $file_name_noext . "." . $file_ext));
				$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $fname . "." . $file_ext));
				$file_name_noext = $fname;

				$i = 0;
				$found = true;
				while($found == true) {
					$found = false;
					$fils = scandir($uploaddircomplete);
					foreach($fils as $fil) {
						$dexp = explode(".", $fil);
						$dname = "";
						if (count($dexp) == 1) {
							$dname = $fil;
						} else {
							for($j=0; $j<(count($dexp)-1); $j++) {
								if ($dname != "") {
									$dname = $dname . ".";
								}
								$dname = $dname . $dexp[$j];
							}
						}
						$fname = str_replace(" ", "_", $fname);
						if ($fname == $dname) {
							$found == true;
							$i = $i + 1;
							$fname = $fname . "_" . $i;
							$file_name_noext = $fname;
							$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $fname . "." . $file_ext));
						}
						//echo ">" . $fil . "\n";
						//echo "comparing... " . $file_name_noext . " to " . $dname . "<br />\n";
					}
				}
				/*while(file_exists($file_upload)) {
					$i = $i + 1;
					$file_name_noext = $file_name_noext . "_" . $i;
					$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $file_name_noext . "." . $file_ext));
				}*/
				if ((!file_exists($file_current)) || is_dir($file_current)) {
					$ff = [];
					$ff["dbdocid"] = $dbrow["id"];
					array_push($failedfiles, $ff);
				} else {
					copy($file_current, $file_upload);
					touch($file_upload, strtotime($dbrow["datUser"]));
	
					$filename_backup = "";
					$Rotation = 0;
					$filename_thumbnail = "";
	
					if(in_array($file_ext, $imgextensions) === true){
						$filename_backup = $file_name_noext . "_original." . $file_ext;
						$file_backup = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_backup));
						$filename_thumbnail = $file_name_noext . "_thumbnail." . $file_ext;
						$file_thumbnail = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_thumbnail));
						copy($file_upload, $file_backup);
						if ($file_ext == "png") {
							$imgtype = "png";
						} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
							$imgtype = "jpeg";
						} else {
							echo "Error: Incorrect image file extension.\n\n";
							exit; // --
						}
						$func = "imagecreatefrom" . $imgtype;
						$img = $func($file_upload);
						//$res = imageresolution($img);
						$imgsize = getimagesize($file_upload);
						$func = "image" . $imgtype;
						// Image rotate
						if (($Mode == "fax") && ($imgsize[0] > $imgsize[1])) { // width > height, rotate
							$Rotation = 90;
							$img = imagerotate($img, $Rotation, 0);
							$func($img, $file_upload);
						}
						$func = "imagecreatefrom" . $imgtype;
						$img = $func($file_upload);
						$imgsize = getimagesize($file_upload);
						$func = "image" . $imgtype;
						if (($imgsize[0] > $Maximagepixels) || ($imgsize[1] > $Maximagepixels)) {
							$aratio = $imgsize[0] / $imgsize[1];
							//echo "W: " . $imgsize[0] . "\n\n";
							//echo "H: " . $imgsize[1] . "\n\n";
							//echo "AR: " . $aratio . "\n\n";
							//echo "Max: " . $Maximagepixels;
							if ($imgsize[0] > $imgsize[1]) { // width > height
								$imgs = imagescale($img, $Maximagepixels, ($Maximagepixels/$aratio));
								//echo "/: " . $Maximagepixels/$aratio;
							} else {
								$imgs = imagescale($img, ($Maximagepixels*$aratio), $Maximagepixels);
								//echo "*: " . $Maximagepixels*$aratio;
							}
							$func($imgs, $file_upload);
						}
						$imgst = imagescale($img, $ThumbnailSize);
						$func($imgst, $file_thumbnail);
					}
					$rPDF_file = "";
					$rPDF_thumbnailfile = "";
					//if(in_array($file_ext, $extensions) === true){
					// Prepare LibreOffice profile folders, two for two conversions
					//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $Nowprecise;
					$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, "LibreOffice" . $Nowprecise));
					$i = 0;
					while (is_dir($LOprofilepath)) {
						$r = rand(1, 10000);
						$dd = new DateTime();
						$Nowpreciseupdated = $dd->format("Y-m-d_Hisu"); // $Nowpreciseupdated = $dd->format("YmdHisu");
						$i = $i + 1;
						$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
						//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
						$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOprofiledir));
						if ($i > 100) {
							//exit;
						}
					}
					mkdir($LOprofilepath);
					$LOprofilepath1 = $LOprofilepath . "1";
					mkdir($LOprofilepath1);
					$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
					$LOprofilepath1 = str_replace("\\", "/", $LOprofilepath1);
	
					if(in_array($file_ext, $extensions) === true) {
						//echo sys_get_temp_dir();
						$LOhomedir = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOhome));
						if (!is_dir($LOhomedir)) {
							mkdir($LOhomedir);
						}
						putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
						if ($file_ext != "pdf") {
							if (in_array($file_ext, $a2psextensions) === true)
							{
								$filePS = $file_name_noext . ".ps";
								$filePDF = $file_name_noext . ".pdf";
								$pspath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $filePS));
								$pdfpath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $filePDF));
	
						        // a2ps can't work with utf-8 , used for german special chars "äöüß". Convert to ISO-8859-1 first:
						        $fileiconvcmd = 'iconv --from-code=UTF-8 --to-code=ISO-8859-1 ' . $file_upload . ' > ' . $file_upload . '.iso88;';
						        exec($fileiconvcmd);
						        $filepscmd = 'a2ps -1 -B -M a4 --header="Faxcover by Web@rchiv (c) " -f 12 ' . $file_upload . '.iso88 -o ' . $pspath . ';';
								exec($filepscmd);
								// Remove old pdf, as file_exists would check for new pdf
								if (file_exists($pdfpath)) {
									$rmoldpdf = 'rm -f ' . $pdfpath;
									exec($rmoldpdf);
								}
								if (file_exists($pspath)) {
									$filepdfcmd = $ps2pdfbinarypath . ' ' . $pspath . ' ' . $pdfpath;
									exec($filepdfcmd);
								}
							} else {
								$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $uploaddircomplete . "\" \"" . $file_upload . "\"";// 2>&1";
	
								$ex = $LObinarypath . " $LOcomm 2>&1";
								//echo ".......";
								exec($ex, $output, $r);
								//echo ">>> " . $ex . "</br>\n";
								//print_r($output);
								//echo "<br />\n\n<br />";
								//echo ">>>" . $ex . "\n\n";
								//echo "Return code: " . $r . "\n";
								if ($r) {
									echo $ex . "\n";
									print_r($output);
									echo "Return code: " . $r . "\n";
								}
							}
						}
					}
					$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); //  just generated
					if (file_exists($file_pdf)) {
						$rPDF_file = $file_name_noext . ".pdf";
					}
					if ((in_array($file_ext, $thumbnailextensions) === true) && (file_exists($file_pdf))) {
						$file_thumbnail_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . "_pdf.pdf"));
						$file_thumbnail_pdf_thumbnail = $file_name_noext . "_pdf.png";
						if ($PDFPreview)
						{
							copy($file_pdf, $file_thumbnail_pdf);
	
							$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath1 . "\" --writer --convert-to png --outdir \"" . $uploaddircomplete . "\" \"" . $file_thumbnail_pdf . "\"";
							$ex = $LObinarypath . " $LOcomm 2>&1";
							$output = "";
							exec($ex, $output, $r);
							//echo $ex . "\n\n";
							//echo "Return code: " . $r . "\n";
							if ($r) {
								echo $ex . "\n";
								print_r($output);
								echo "Return code: " . $r . "\n";
							}
							// remove $file_thumbnail_pdf
							unlink($file_thumbnail_pdf);
							//$rPDF_file = $file_name_noext . ".pdf";
							$rPDF_thumbnailfile = $file_thumbnail_pdf_thumbnail;
	
							$filepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_thumbnail_pdf_thumbnail));
							$img = imagecreatefrompng($filepath);
							//$res = imageresolution($img);
							//print_r(getimagesize($filepath));
							$imgs = imagescale($img, $ThumbnailSize);
							imagepng($imgs, $filepath);
							//print_r(getimagesize($filepath));
						}
					}
	
					$rdata["dbdocid"] = $dbrow["id"];
					//$rdata["Directory"] = $Directory;
					$rdata["Filename"] = $file_name_noext . "." . $file_ext;
					//$rdata["FilenameURL"] = $rdata["Directory"] . "/" . $file_name;
					/*$rdata["FilenamePDFURL"] = str_replace("\\", "/", $file_pdf);*/
					$rdata["PDF"] = $rPDF_file;
					//$rdata["PDFURL"] = $rdata["Directory"] . "/" . $file_name_noext . ".pdf";
					$rdata["ThumbnailPDF"] = $rPDF_thumbnailfile;
					$rdata["FileBackup"] = $filename_backup;
					$rdata["Rotation"] = $Rotation;
					$rdata["Thumbnail"] = $filename_thumbnail;
					$rdata["Extension"] = $file_ext;
					$rdata["status"] = "active"; // for UI

					array_push($ret["data"]["files"], $rdata);
					//$ret["data"] = $rdata; // contains payload/ return data
				} // end else... if (!file_exists)
			} // end foreach ($dbres as $dbrow) {
		}
		$ret["data"]["failedfiles"] = $failedfiles;
		$ret["status"] = true; // status, true on success, false on failure/ error
		if (count($ret["data"]["files"]) > 0)
		{
			$ret["message"] .= "xzxSuccessful documents: <br />"; // contains error message, if any
			foreach ($ret["data"]["files"] as $file)
			{
				$ret["message"] .= $file["dbdocid"] . "<br />";
			}
		}
		if (strlen($ret["message"]) > 0)
		{
			$ret["message"] .= "<br />";
		}
		if (count($ret["data"]["failedfiles"]) > 0)
		{
			$ret["message"] .= "xzxFailed documents: <br />"; // contains error message, if any
			$ret["message"] .= "<small>xzx(Presumably they are still scans (tif's), please merge first)</small><br />";
			foreach ($ret["data"]["failedfiles"] as $file)
			{
				$ret["message"] .= $file["dbdocid"] . "<br />";
			}
		}
		if (strlen($ret["message"]) == 0)
		{
			$ret["message"] .= "No documents imported.";
		}
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	}
	$conn = null;
	/*$ret["status"] = $res["status"];
	$ret["message"] = $res["message"];
	$ret["data"] = $res["data"];*/
	//echo json_encode($res, JSON_FORCE_OBJECT);
}

/*
if ($gdata["Action"] == "GetCurrentDocuments1") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$tmpdocs = explode(";", $jdata["CurrentDocuments"]);
	$cdocs = [];
	$cdocids = "";
	// Get document IDs for table
	foreach ($tmpdocs as $tdoc) {
		if (trim($tdoc) != "") {
			array_push($cdocs, intval(trim($tdoc)));
			if ($cdocids != "") {
				$cdocids .= ", ";
			}
			$cdocids .= $tdoc;
		}
	}

	try {
		$conn = DBOpenConnection();
		$sql = "SELECT id, docFileName FROM doarch WHERE id in (" . $cdocids . ")";
		$stmt = $conn->prepare($sql);
		//$stmt->bindValue(':Barcode', $jdata['Barcode'], PDO::PARAM_STR);

		$stmt->execute(); // true or false
		$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

		$ret["data"] = $stmt->fetchAll();
		if (!$ret) {
			$ret["status"] = false;
			$ret["message"] = false;
		}
		else {
			$ret["status"] = true;
		}
		if ($ret["status"] == true) {
			$errors = array();
			$dbres = $ret["data"];
			foreach ($dbres as $dbrow) {
				$file_name = $dbrow["docFileName"];
				$exp = explode('.', $file_name);
				$file_ext = strtolower(end($exp));
				$file_name_noext = ""; // can derive from $exp  by substr from file_name
				if (count($exp) > 1) {
					for ($i=0; $i<(count($exp) - 1); $i++) {
						if (strlen($file_name_noext) > 0) {
							$file_name_noext = trim($file_name_noext) . "." . $exp[$i];
						} else {
							$file_name_noext = $exp[$i];
						}
					}
				} else {
					$file_name_noext = $file_name;
				}
				$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $file_name_noext . "." . $file_ext));
			} // end foreach ($dbres as $dbrow) {

			$filename_backup = "";
			$Rotation = 0;
			$filename_thumbnail = "";

			if(in_array($file_ext, $imgextensions) === true){
				$filename_backup = $file_name_noext . "_original." . $file_ext;
				$file_backup = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_backup));
				$filename_thumbnail = $file_name_noext . "_thumbnail." . $file_ext;
				$file_thumbnail = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_thumbnail));
				copy($file_upload, $file_backup);
				if ($file_ext == "png") {
					$imgtype = "png";
				} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
					$imgtype = "jpeg";
				} else {
					echo "Error: Incorrect image file extension.\n\n";
					exit; // --
				}
				$func = "imagecreatefrom" . $imgtype;
				$img = $func($file_upload);
				//$res = imageresolution($img);
				$imgsize = getimagesize($file_upload);
				$func = "image" . $imgtype;
				if ($imgsize[0] > $imgsize[1]) { // width > height, rotate
					$Rotation = 90;
					$img = imagerotate($img, $Rotation, 0);
					$func($img, $file_upload);
				}
				$func = "imagecreatefrom" . $imgtype;
				$img = $func($file_upload);
				$imgsize = getimagesize($file_upload);
				$func = "image" . $imgtype;
				if (($imgsize[0] > $Maximagepixels) || ($imgsize[1] > $Maximagepixels)) {
					$aratio = $imgsize[0] / $imgsize[1];
					//echo "W: " . $imgsize[0] . "\n\n";
					//echo "H: " . $imgsize[1] . "\n\n";
					//echo "AR: " . $aratio . "\n\n";
					//echo "Max: " . $Maximagepixels;
					if ($imgsize[0] > $imgsize[1]) { // width > height
						$imgs = imagescale($img, $Maximagepixels, ($Maximagepixels/$aratio));
						//echo "/: " . $Maximagepixels/$aratio;
					} else {
						$imgs = imagescale($img, ($Maximagepixels*$aratio), $Maximagepixels);
						//echo "*: " . $Maximagepixels*$aratio;
					}
					$func($imgs, $file_upload);
				}
				$imgst = imagescale($img, 100);
				$func($imgst, $file_thumbnail);
			}
			$rPDF_file = "";
			$rPDF_thumbnailfile = "";
			if(in_array($file_ext, $extensions) === true){
				// Prepare LibreOffice profile folders, two for two conversions
				//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $Nowprecise;
				$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, "LibreOffice" . $Nowprecise));
				$i = 0;
				while (is_dir($LOprofilepath)) {
					$r = rand(1, 10000);
					$dd = new DateTime();
					$Nowpreciseupdated = $dd->format("Y-m-d_Hisu"); // $Nowpreciseupdated = $dd->format("YmdHisu");
					$i = $i + 1;
					$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
					//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
					$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOprofiledir));
					if ($i > 100) {
						//exit;
					}
				}
				mkdir($LOprofilepath);
				$LOprofilepath1 = $LOprofilepath . "1";
				mkdir($LOprofilepath1);
				$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
				$LOprofilepath1 = str_replace("\\", "/", $LOprofilepath1);

				//echo sys_get_temp_dir();
				$LOhomedir = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOhome));
				if (!is_dir($LOhomedir)) {
					mkdir($LOhomedir);
				}
				putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
				if ($file_ext != "pdf") {
					$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $uploaddircomplete . "\" \"" . $file_upload . "\"";// 2>&1";

					$ex = $LObinarypath . " $LOcomm 2>&1";
					//echo ".......";
					exec($ex, $output, $r);
					//echo ">>> " . $ex . "</br>\n";
					//print_r($output);
					//echo "<br />\n\n<br />";
					//echo ">>>" . $ex . "\n\n";
					//echo "Return code: " . $r . "\n";
					if ($r) {
						echo $ex . "\n";
						print_r($output);
						echo "Return code: " . $r . "\n";
					}
				}
				$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); //  just generated
				$file_thumbnail_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . "_pdf.pdf"));
				$file_thumbnail_pdf_thumbnail = $file_name_noext . "_pdf.png";
				copy($file_pdf, $file_thumbnail_pdf);

				$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath1 . "\" --writer --convert-to png --outdir \"" . $uploaddircomplete . "\" \"" . $file_thumbnail_pdf . "\"";
				$ex = $LObinarypath . " $LOcomm 2>&1";
				$output = "";
				exec($ex, $output, $r);
				//echo $ex . "\n\n";
				//echo "Return code: " . $r . "\n";
				if ($r) {
					echo $ex . "\n";
					print_r($output);
					echo "Return code: " . $r . "\n";
				}
				// remove $file_thumbnail_pdf
				unlink($file_thumbnail_pdf);
				$rPDF_file = $file_name_noext . ".pdf";
				$rPDF_thumbnailfile = $file_thumbnail_pdf_thumbnail;

				$filepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_thumbnail_pdf_thumbnail));
				$img = imagecreatefrompng($filepath);
				//$res = imageresolution($img);
				//print_r(getimagesize($filepath));
				$imgs = imagescale($img, 100);
				imagepng($imgs, $filepath);
				//print_r(getimagesize($filepath));
			}

			$rdata["dbdocid"] = $dbrow["id"];
			//$rdata["Directory"] = $Directory;
			$rdata["Filename"] = $file_name_noext . "." . $file_ext;
			//$rdata["FilenameURL"] = $rdata["Directory"] . "/" . $file_name;
			$rdata["PDF"] = $rPDF_file;
			$rdata["ThumbnailPDF"] = $rPDF_thumbnailfile;
			$rdata["FileBackup"] = $filename_backup;
			$rdata["Rotation"] = $Rotation;
			$rdata["Thumbnail"] = $filename_thumbnail;
			$rdata["Extension"] = $file_ext;
			$rdata["status"] = "active"; // for UI

			$ret["status"] = true; // status, true on success, false on failure/ error
			$ret["data"] = $rdata; // contains payload/ return data
			$ret["message"] = " current documents returned successfully"; // contains error message, if any
		}
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	}
	$conn = null;
}
*/




if ($gdata["Action"] == "PrepareFax") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$pdffiles = "";
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
	removedirs($outputpdfdircomplete);
	if (!(count($jdata["ListFiles"]) > 0)) {
		//--
		echo "Error: Files list is empty.\n\n";
		exit;
	}
	foreach($jdata["ListFiles"] as $file) {
		//print_r($file);
		if ($file["status"] == "active") {
			$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["PDF"]));
			if ($file["PDF"] != "") {
				if (file_exists($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			}
		}
	}
	//$CombinedPDF = $PDFname . "_" . $Nowprecise . "." . $PDFext;
	$exp = explode("/", $Directory);
	$CombinedPDF = $PDFname . "_" . end($exp) . "." . $PDFext;
	$outputpdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CombinedPDF));
	$outputpdfurl = join("/", array($outputpdfdir, $CombinedPDF));
	/*$i = 1;
	while (file_exists($outputpdfpath)) {
		$i = $i + 1;
		//$file_upload = join(DIRECTORY_SEPARATOR, array($uploaddir, $file_name_noext . "_" . $i . "." . $file_ext));
		$outputpdfpath = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir, $Nowprecise . "_" . $i . "." . ".pdf"));
		$outputpdfurl = join(DIRECTORY_SEPARATOR, array($outputpdfdir, $Nowprecise . "_" . $i . "." . ".pdf"));
	}*/
	$cpdfsuccess = true;
	if (strlen(trim($pdffiles)) > 0) {
		$ex = $PDFtkbinarypath . " " . trim($pdffiles) . " cat output " . $outputpdfpath;
		exec($ex, $output, $r);
		if ($r) {
			echo $ex . "\n";
			print_r($output);
			echo "Return code: " . $r . "\n";
			$cpdfsuccess = false;
		}
	} else {
		$cpdfsuccess = false;
	}
	//pdftk in1.pdf in2.pdf cat output out1.pdf
	//if (file_exists($outputpdfpath)) {
	$rdata["mode"] = $jdata["mode"];
	if (($cpdfsuccess) && (file_exists($outputpdfpath))) {
		$rdata["FaxPDF"] = $outputpdfurl;
		$ret["status"] = true; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = " fax pdf file generated successfully"; // contains error message, if any
	} else {
		$rdata["FaxPDF"] = "";
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = "pdf could not be generated. Please make sure atleast one of the uploaded files is a document or image file."; // contains error message, if any
	}
}


if ($gdata["Action"] == "PrepareArchive") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$pdffiles = "";
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
	$exp = explode("/", $Directory);
	//$file_archive = $Archivename . "_" . end($exp) . "." . $Archiveext;
	//$file_archive_open = $Archiveopenname . "_" . $Archivename . "_" . end($exp) . "." . $Archiveext;
	$timestringold = end($exp);
	$timestring = substr($timestringold, 0, 4) . "-" . substr($timestringold, 5, 2) . "-" . substr($timestringold, 8, 2) . "_" . substr($timestringold, 11, 2) . ":" . substr($timestringold, 13, 2) . "_" . substr($timestringold, 15);
	$file_archive = $Archivename . "_" . $timestring . "." . $Archiveext;
	$file_archive_open = $Archiveopenname . "_" . $Archivename . "_" . $timestring . "." . $Archiveext;
	removedirs($outputpdfdircomplete);
	// Prepare password pdf
	$Passwordfile = $Passwordfilename . "_" . end($exp) . "." . $Passwordext;
	$Passwordfile_noext = $Passwordfilename . "_" . end($exp);
	$file = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $Passwordfile));
	$Passwordtext = "<!DOCTYPE html>
<html>
	<head>
		<title></title>
	</head>
	<body>
		Password for archive:<br /><br />
		Filename: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>" . $file_archive . "</strong><br />
		Password: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>" . $Password . "</strong>
	</body>
</html>";
	$f = fopen($file, "w");
	if (!$f) {
		throw new Exception("Could not open file: " . basename($file) . "<br />Please check directory/ file permissions.");
	}
	fputs($f, $Passwordtext);
	fclose($f);
	// Prepare LibreOffice profile folder
	$LOprofilepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, "LibreOffice" . $Nowprecise));
	$i = 0;
	while (is_dir($LOprofilepath)) {
		$r = rand(1, 10000);
		$dd = new DateTime();
		$Nowpreciseupdated = $dd->format("Y-m-d_Hisu"); // $Nowpreciseupdated = $dd->format("YmdHisu");
		$i = $i + 1;
		$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
		//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
		$LOprofilepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $LOprofiledir));
		if ($i > 100) {
			//exit;
		}
	}
	mkdir($LOprofilepath);
	$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
	$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $outputpdfdircomplete . "\" \"" . $file . "\"";// 2>&1";
	$LOhomedir = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $LOhome));
	if (!is_dir($LOhomedir)) {
		mkdir($LOhomedir);
	}
	putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
	$ex = $LObinarypath . " $LOcomm 2>&1";
	//echo ".......";
	exec($ex, $output, $r);
	if ($r) {
		echo $ex . "\n";
		print_r($output);
		echo "Return code: " . $r . "\n";
	}
	$PasswordfilePDF = $Passwordfile_noext . ".pdf";
	$pdffiles = "";
	/*if (!(count($jdata["ListFiles"]) > 0)) {
		//--
		echo "Error: Files list is empty.\n\n";
		exit;
	}*/
	foreach($jdata["ListFiles"] as $file) {
		if ($file["status"] == "active") {
			/*if(in_array($file["Extension"], $imgextensions) === true){ // image extensions
				$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["Filename"]));
				if (file_exists($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			} else {*/
			$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["PDF"]));
			if ((file_exists($pdfpath)) && (!is_dir($pdfpath)) && (in_array($file["Extension"], $imgextensions) === false)) {
				$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
			} else { // Not image or pdf type
				$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["Filename"]));
				if (file_exists($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			}
			//}
		}
	}

	$outputarchivepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file_archive));
	$outputarchiveurl = str_replace("\\", "/", join(DIRECTORY_SEPARATOR, array($outputpdfdir, $file_archive)));
	$outputarchivepathopen = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file_archive_open));
	$outputarchiveurlopen = str_replace("\\", "/", join(DIRECTORY_SEPARATOR, array($outputpdfdir, $file_archive_open)));
	if (file_exists($outputarchivepath)) {
		unlink($outputarchivepath);
	}
	if (file_exists($outputarchivepathopen)) {
		unlink($outputarchivepathopen);
	}
	$archivesuccess = false;
	if (strlen(trim($pdffiles)) > 0) {
		$ex = $Szbinarypath . " a -t" . $Archivetype . " " . $outputarchivepathopen . " " . trim($pdffiles);
		//echo $ex . "\n\n";
		$archivesuccess = true;
		exec($ex, $output, $r);
		if ($r) {
			echo $ex . "\n";
			print_r($output);
			echo "Return code: " . $r . "\n";
			$archivesuccess = false;
		}
		$archivesuccess = false;
		if ((strlen($Password) >= $passwordlength) && file_exists($outputarchivepathopen)) {
			$ex = $Szbinarypath . " a -t" . $Archivetype . " -p" . $Password . " " . $outputarchivepath . " " . $outputarchivepathopen;
			//echo $ex . "\n\n";
			$archivesuccess = true;
			exec($ex, $output, $r);
			if ($r) {
				echo $ex . "\n";
				print_r($output);
				echo "Return code: " . $r . "\n";
				$archivesuccess = false;
			}
		}
	}
	removedirs($outputpdfdircomplete);
	//print_r($output);
	//pdftk in1.pdf in2.pdf cat output out1.pdf
	$rdata["Archive"] = $outputarchiveurl;
	$rdata["ArchiveSize"] = filesize($outputarchivepath);
	$rdata["ArchiveOpen"] = $outputarchiveurlopen;
	$rdata["ArchiveOpenSize"] = filesize($outputarchivepathopen);
	$rdata["PasswordPDF"] = $PasswordfilePDF;
	$rdata["mode"] = $jdata["mode"];

	if (($archivesuccess) && (file_exists($outputarchivepath))) {
		$ret["status"] = true; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = " archive file generated successfully"; // contains error message, if any
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = " archive could not be generated. Please make sure the files are uploaded and password is minimum required length (" . $passswordlength . ")."; // contains error message, if any
	}
}


if ($gdata["Action"] == "GetSetup") {    // load from textdata/doc2faxEmail_emailfooter.txt
	$file = join(DIRECTORY_SEPARATOR, array(getcwd(), $EmailFooterFile));
	$fc = file_get_contents($file);
	$rdata["EmailMsgTempl"] = "";
	$rdata["SenderName"] = "";
	$rdata["ReplyEmail"] = "";
	$rdata["Text"] = "";
	if ($fc) {
		$exp = explode($EmailFooterFileContentsSeparator, $fc);   // Separator = *|*|*
		if (count($exp) > 3)
		{
			$rdata["EmailMsgTempl"] = $exp[0];
			$rdata["SenderName"] = $exp[1];
			$rdata["ReplyEmail"] = $exp[2];
			$rdata["Text"] = $exp[3];
		}
	}
	$ret["status"] = true; // status, true on success, false on failure/ error
	$ret["data"] = $rdata; // contains payload/ return data
	$ret["message"] = "Email text loaded successfully"; // contains error message, if any
}

if ($gdata["Action"] == "LoadSetupExample") {        // Template text for e-Mail body, without html tags: textdata/doc2faxEmail_emailfooter.txt . Edit or load from example: doc2faxEmail_setup.php
	$file = join(DIRECTORY_SEPARATOR, array(getcwd(), $EmailFooterExample));  // File = EmailBody-and-EmailFooter-File, addes to file: Standard FaxCover Text
	$fc = file_get_contents($file);
	$rdata["EmailMsgTempl"] = "";
	$rdata["SenderName"] = "";
	$rdata["ReplyEmail"] = "";
	$rdata["Text"] = "";
	if ($fc) {
		$exp = explode($EmailFooterFileContentsSeparator, $fc);
		if (count($exp) > 3)
		{
			$rdata["EmailMsgTempl"] = $exp[0];
			$rdata["SenderName"] = $exp[1];
			$rdata["ReplyEmail"] = $exp[2];
			$rdata["Text"] = $exp[3];
		}
	}
	$ret["status"] = true; // status, true on success, false on failure/ error
	$ret["data"] = $rdata; // contains payload/ return data
	$ret["message"] = "Email-body example text loaded successfully"; // contains error message, if any
}

if ($gdata["Action"] == "LoadMessageTemplate") {     // Template text for e-Mail body, without html tags: textdata/doc2faxEmail_emailfooter.txt . Edit or load from example: doc2faxEmail_setup.php
	$file = join(DIRECTORY_SEPARATOR, array(getcwd(), $EmailFooterFile));  // File = EmailBody-and-EmailFooter-File, addes to file: Standard FaxCover Text
	$fc = file_get_contents($file);
	$rdata["EmailMsgTempl"] = "";
	$rdata["SenderName"] = "";
	$rdata["ReplyEmail"] = "";
	$rdata["Text"] = "";
	if ($fc) {
		$exp = explode($EmailFooterFileContentsSeparator, $fc);
		if (count($exp) > 3)
		{
			$rdata["EmailMsgTempl"] = $exp[0];
			$rdata["SenderName"] = $exp[1];     // unused at the moment
			$rdata["ReplyEmail"] = $exp[2];    //  unused at the moment
			$rdata["Text"] = $exp[3];          // email footer (html coded)
		}
	}
	$ret["status"] = true; // status, true on success, false on failure/ error
	$ret["data"] = $rdata; // contains payload/ return data
	$ret["message"] = "Standard email message text loaded successfully"; // contains error message, if any
}


if ($gdata["Action"] == "SaveSetup") {   // in doc2faxEmail_setup.php: save all to textdata/doc2faxEmail_emailfooter.txt
	$SenderName = $jdata["SenderName"];
	$EmailMsgTempl = $jdata["EmailMsgTempl"];
	$ReplyEmail = $jdata["ReplyEmail"];
	$Text = $jdata["Text"];

	$TextContents = $EmailMsgTempl;
	$TextContents .= $EmailFooterFileContentsSeparator;  // Separator = *|*|*
	$TextContents .= $SenderName;
	$TextContents .= $EmailFooterFileContentsSeparator;
	$TextContents .= $ReplyEmail;
	$TextContents .= $EmailFooterFileContentsSeparator;
	$TextContents .= $Text;

	$file = join(DIRECTORY_SEPARATOR, array(getcwd(), $EmailFooterFile));  // textdata/doc2faxEmail_emailfooter.txt
	$rdata["SenderName"] = $SenderName;
	$rdata["EmailMsgTempl"] = $EmailMsgTempl;
	$rdata["ReplyEmail"] = $ReplyEmail;
	$rdata["Text"] = $Text;

	$f = fopen($file, "w");
	if (!$f) {
		//throw new Exception("Could not open file: " . basename($file) . "<br />Please check directory/ file permissions.");
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = "Could not open file: " . basename($file) . "<br />Please check directory/ file permissions."; // contains error message, if any
	} else {
		$ret["status"] = true; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = "xzyFooter text saved successfully"; // contains error message, if any
		fputs($f, $TextContents);
		fclose($f);
	}
}








///////////////////////////////////////////////////////////////////////////
//								Send Fax/ Email
///////////////////////////////////////////////////////////////////////////


if ($gdata["Action"] == "SendFax") {

	$file = join(DIRECTORY_SEPARATOR, array(getcwd(), $EmailFooterFile));  // textdata/doc2faxEmail_emailfooter.txt
	$fc = file_get_contents($file);
	$FSetup = [];
	//$FSetup["EmailMsgTempl"] = "";
	$FSetup["SenderName"] = "";
	$FSetup["ReplyEmail"] = "";
	//$FSetup["Text"] = "";
	if ($fc) {
		$exp = explode($EmailFooterFileContentsSeparator, $fc);
		if (count($exp) > 3)
		{
			//$FSetup["EmailMsgTempl"] = $exp[0];
			$FSetup["SenderName"] = $exp[1];
			$FSetup["ReplyEmail"] = $exp[2];
			//$FSetup["Text"] = $exp[3];
		}
	}
	//$FaxReplaceValues["OfficeName"] = $FSetup["SenderName"]; // any longer read from setup-file
	//$FaxReplaceValues["Email_reply_to_email"] = $FSetup["ReplyEmail"]; // any longer read from setup-file


	include("doc2faxEmail_sendFax_ger.php");
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$pdffiles = "";
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$Subject = $jdata["Subject"];
	$Message = $jdata["Message"];
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
	removedirs($outputpdfdircomplete);

	//$outputpdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $jdata["FaxFileName"]));
	$outputpdfpath = join(DIRECTORY_SEPARATOR, array(getcwd(), $jdata["FaxFileName"]));

	if ($jdata["FaxType"] == "Combined") {
		if (strlen($Message) > 0) {
			$cpdfsuccess = false;
			// Begin prepare cover pdf
			//-$pdffiles = "";
			//-$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
			//-$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
			$exp = explode("/", $Directory);
			removedirs($outputpdfdircomplete);
			// Prepare cover pdf
			$Coverfile = $Coverfilename . "_" . end($exp) . "." . $Coverext;
			$Coverfile_noext = $Coverfilename . "_" . end($exp);
			$file = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $Coverfile));
			//$Covertext = $Subject . "\n\n" . $Message;
			$Covertext = $Message;

			$Appendedfilepath = join(DIRECTORY_SEPARATOR, array($FaxCoverAdvertisementFile));
			$AppendedContents = file_get_contents($Appendedfilepath);

			// Replace placeholders
			foreach ($FaxReplaceValues as $key => $val)
			{
				$frv = $FaxReplaceKeyword . $key;
				$AppendedContents = str_replace($frv, $val, $AppendedContents);
			}

			$f = fopen($file, "w");
			if (!$f) {
				throw new Exception("Could not open file: " . basename($file) . "<br />Please check directory/ file permissions.");
			}
			$Covertext .= "\n\n\n" . $AppendedContents;
			$Covertext = mb_convert_encoding($Covertext, "UTF-8");
			fputs($f, $Covertext);
			fclose($f);
			/*
			// Prepare LibreOffice profile folder
			$LOprofilepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, "LibreOffice" . $Nowprecise));
			$i = 0;
			while (is_dir($LOprofilepath)) {
				$r = rand(1, 10000);
				$dd = new DateTime();
				$Nowpreciseupdated = $dd->format("Y-m-d_Hisu"); // $Nowpreciseupdated = $dd->format("YmdHisu");
				$i = $i + 1;
				$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
				//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
				$LOprofilepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $LOprofiledir));
				if ($i > 100) {
					//exit;
				}
			}
			mkdir($LOprofilepath);
			$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
			$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $outputpdfdircomplete . "\" \"" . $file . "\"";// 2>&1";
			$LOhomedir = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $LOhome));
			if (!is_dir($LOhomedir)) {
				mkdir($LOhomedir);
			}
			putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
			$ex = $LObinarypath . " $LOcomm 2>&1";
			//echo ".......";
			exec($ex, $output, $r);
			if ($r) {
				echo $ex . "\n";
				print_r($output);
				echo "Return code: " . $r . "\n";
			}*/
			$CoverfilePS = $Coverfile_noext . ".ps";
			$CoverfilePDF = $Coverfile_noext . ".pdf";
			// End prepare cover pdf
			$pspath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CoverfilePS));
			$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CoverfilePDF));

	        // a2ps can't work with utf-8 , used for german special chars "äöüß". Convert to ISO-8859-1 first:
	        $covericonvcmd = 'iconv --from-code=UTF-8 --to-code=ISO-8859-1 ' . $file . ' > ' . $file . '.iso88;';
	        exec($covericonvcmd);
	        $coverpscmd = 'a2ps -1 -B -M a4 --header="Faxcover by Web@rchiv (c) " -f 12 ' . $file . '.iso88 -o ' . $pspath . ';';
			exec($coverpscmd);
			// Remove old pdf, as file_exists would check for new pdf
			if (file_exists($pdfpath)) {
				$rmoldpdf = 'rm -f ' . $pdfpath;
				exec($rmoldpdf);
			}
			if (file_exists($pspath)) {
				$coverpdfcmd = $ps2pdfbinarypath . ' ' . $pspath . ' ' . $pdfpath;
				exec($coverpdfcmd);
			}

			// Cover pdf file
			if (file_exists($pdfpath)) {
				$cpdfsuccess = true;
				$pdffiles = "\"" . $pdfpath . "\"";
			}
			if ($cpdfsuccess == true) {
				// Cover pdf file and combined pdf file
				if (file_exists($outputpdfpath) && (!is_dir($outputpdfpath)))
				{
					$pdffiles = $pdfpath . " \"" . $outputpdfpath . "\"";
				}
				//$CombinedPDF = $PDFname . "_" . $Nowprecise . "." . $PDFext;
				$exp = explode("/", $Directory);
				$CombinedCoverPDF = $PDFname . "_cover_" . end($exp) . "." . $PDFext;
				$outputpdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CombinedCoverPDF));
				$outputpdfurl = join("/", array($outputpdfdir, $CombinedPDF));

				if (strlen(trim($pdffiles)) > 0) {
					$ex = $PDFtkbinarypath . " " . trim($pdffiles) . " cat output " . $outputpdfpath;
					exec($ex, $output, $r);
					if ($r) {
						echo $ex . "\n";
						print_r($output);
						echo "Return code: " . $r . "\n";
						$cpdfsuccess = false;
					}
				} else {
					$cpdfsuccess = false;
				}
			}
		} else {
			$cpdfsuccess = true;
		}

	} elseif ($jdata["FaxType"] == "Password") {   // Password = Code for ZIP of sent email
		$cpdfsuccess = false;
		// Begin prepare cover pdf
		//-$pdffiles = "";
		//-$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
		//-$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
		$exp = explode("/", $Directory);
		removedirs($outputpdfdircomplete);
		// Prepare cover pdf
		$Coverfile = $Coverfilename . "_" . end($exp) . "." . $Coverext;
		$Coverfile_noext = $Coverfilename . "_" . end($exp);
		$file = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $Coverfile));
        $Covertext = "Der Entschlüsslungscode für alle ZIP-Dateien von uns, " . $FaxReplaceValues["OfficeName"] . ":\n\n                                  " . $Password . "\n\n";

		$Appendedfilepath = join(DIRECTORY_SEPARATOR, array($FaxPasswordAdvertisementFile));
		$AppendedContents = file_get_contents($Appendedfilepath);

		// Replace placeholders
		foreach ($FaxReplaceValues as $key => $val)
		{
			$frv = $FaxReplaceKeyword . $key;
			$AppendedContents = str_replace($frv, $val, $AppendedContents);
		}

		$f = fopen($file, "w");
		if (!$f) {
			throw new Exception("Could not open file: " . basename($file) . "<br />Please check directory/ file permissions.");
		}
		$Covertext .= "\n\n\n" . $AppendedContents;
		$Covertext = mb_convert_encoding($Covertext, "UTF-8");
		fputs($f, $Covertext);
		fclose($f);

		$CoverfilePS = $Coverfile_noext . ".ps";
		$CoverfilePDF = $Coverfile_noext . ".pdf";
		// End prepare cover pdf
		$pspath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CoverfilePS));
		$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CoverfilePDF));

        // a2ps can't work with utf-8 , used for german special chars "äöüß". Convert to ISO-8859-1 first:
        $covericonvcmd = 'iconv --from-code=UTF-8 --to-code=ISO-8859-1 ' . $file . ' > ' . $file . '.iso88;';
        exec($covericonvcmd);
        $coverpscmd = 'a2ps -1 -B -M a4 --header="Faxcover by Web@rchiv (c) " -f 12 ' . $file . '.iso88 -o ' . $pspath . ';';
		exec($coverpscmd);
		// Remove old pdf, as file_exists would check for new pdf
		if (file_exists($pdfpath)) {
			$rmoldpdf = 'rm -f ' . $pdfpath;
			exec($rmoldpdf);
		}
		if (file_exists($pspath)) {
			$coverpdfcmd = $ps2pdfbinarypath . ' ' . $pspath . ' ' . $pdfpath;
			exec($coverpdfcmd);
		}

		// Cover pdf file
		if (file_exists($pdfpath)) {
			$cpdfsuccess = true;
			$pdffiles = "\"" . $pdfpath . "\"";
		}
		if ($cpdfsuccess == true) {
			// Cover pdf file and combined pdf file
			if (file_exists($outputpdfpath) && (!is_dir($outputpdfpath)))
			{
				$pdffiles = $pdfpath . " \"" . $outputpdfpath . "\"";
			}
			//$CombinedPDF = $PDFname . "_" . $Nowprecise . "." . $PDFext;
			$exp = explode("/", $Directory);
			$CombinedCoverPDF = $PDFname . "_cover_" . end($exp) . "." . $PDFext;
			$outputpdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CombinedCoverPDF));
			$outputpdfurl = join("/", array($outputpdfdir, $CombinedPDF));

			if (strlen(trim($pdffiles)) > 0) {
				$ex = $PDFtkbinarypath . " " . trim($pdffiles) . " cat output " . $outputpdfpath;
				exec($ex, $output, $r);
				if ($r) {
					echo $ex . "\n";
					print_r($output);
					echo "Return code: " . $r . "\n";
					$cpdfsuccess = false;
				}
			} else {
				$cpdfsuccess = false;
			}
		}
		/*$outputpdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $jdata["FaxFileName"]));
		$cpdfsuccess = false;
		if (file_exists($outputpdfpath)) {
			$cpdfsuccess = true;
		}*/
	} else { // $jdata["FaxType"] == "Single"
		$outputpdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $jdata["FaxFileName"]));
		$cpdfsuccess = false;
		if (file_exists($outputpdfpath)) {
			$cpdfsuccess = true;
		}
	}

	//pdftk in1.pdf in2.pdf cat output out1.pdf
	if (($cpdfsuccess) && (file_exists($outputpdfpath))) {
		$faxcontacts = [];
		foreach ($jdata["FaxRecipients"] as $fcs)
		{
			$fcs["FaxNumber"] = cleancontactnumber($fcs["FaxNumber"]);
			array_push($faxcontacts, $fcs);
		}
		$sf = SendFax($faxcontacts, $outputpdfpath);
		if ($sf[0] === true) {
			$ret["status"] = true; // status, true on success, false on failure/ error
			$ret["data"] = ""; // contains payload/ return data
			$ret["message"] = "<span class=\"success\">" . $sf[2] . "</span><br /><span class=\"technical\"><strong>Return code: </strong>" . $sf[1] . "</span>";
		} else {
			$ret["status"] = false; // status, true on success, false on failure/ error
			$ret["data"] = ""; // contains payload/ return data
			$ret["message"] = " the fax system returned error code <strong>" . $sf[1] . "</strong>.<br /><strong>Description: </strong>" . $sf[2];
		}
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = ""; // contains payload/ return data
		//$ret["message"] = " pdf could not be generated for fax document. Please make sure atleast one of the uploaded files is a document or image file .";
		$ret["message"] = " pdf not available for fax document. Please make sure the document(s) and/ or image file(s) has been successfully converted to pdf and that the pdf exists and then retry .";
	}
}









if ($gdata["Action"] == "SendEmail") {
	include("doc2faxEmail_sendEmail_ger.php");
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$Subject = $jdata["Subject"];
	$Message = $jdata["Message"];
	$Ccemail = $jdata["CCEMail"];
	$Attachment = $jdata["Attachment"];
	$pdffiles = "";
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
	$exp = explode("/", $Directory);
	//$file_archive = $Archivename . "_" . end($exp) . "." . $Archiveext;
	//$file_archive_open = $Archiveopenname . "_" . $Archivename . "_" . end($exp) . "." . $Archiveext;
	$timestringold = end($exp);
	$timestring = substr($timestringold, 0, 4) . "-" . substr($timestringold, 5, 2) . "-" . substr($timestringold, 8, 2) . "_" . substr($timestringold, 11, 2) . ":" . substr($timestringold, 13, 2) . "_" . substr($timestringold, 15);
	$file_archive = $Archivename . "_" . $timestring . "." . $Archiveext;
	$file_archive_open = $Archiveopenname . "_" . $Archivename . "_" . $timestring . "." . $Archiveext;
	removedirs($outputpdfdircomplete);

	$pdffiles = "";
	/*if (!(count($jdata["ListFiles"]) > 0)) {
		//--
		echo "Error: Files list is empty.\n\n";
		exit;
	}*/
	/*foreach($jdata["ListFiles"] as $file) {
		//print_r($file);
		//$filepdf = str_replace("/", DIRECTORY_SEPARATOR, $file["PDF"]);
		if ($file["status"] == "active") {
			$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["PDF"]));
			if ((file_exists($pdfpath)) && (!is_dir($pdfpath)) && (in_array($file["Extension"], $imgextensions) === false)) {
				$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
			} else { // Not image or pdf type
				$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["Filename"]));
				if (file_exists($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			}

		}
	}*/
	/*$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CombinedPDF));
	if (file_exists($pdfpath)) {
		$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
	}*/
	//$file_archive = $Archivename . "_" . $Nowprecise . "." . $Archiveext;
	$outputarchivepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file_archive));
	$outputarchiveurl = str_replace("\\", "/", join(DIRECTORY_SEPARATOR, array($outputpdfdir, $file_archive)));
	$outputarchivepathopen = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file_archive_open));
	$outputarchiveurlopen = str_replace("\\", "/", join(DIRECTORY_SEPARATOR, array($outputpdfdir, $file_archive_open)));
	$archivesuccess = true;
	if ((!file_exists($outputarchivepath)) || is_dir($outputarchivepath)) { // Archive not already available, re-generate
		//echo "Error: Archive file not found.<br />Please check if archive is generated. Please check directory write permissions for folder: " . $uploadlocation . "<br />";
		$archivesuccess = false;
		$outputarchivepath = "";
		$outputarchiveurl = "";
		$outputarchivepathopen = "";
		$outputarchiveurlopen = "";
	}
	if ($Attachment == false)
	{
		$archivesuccess = true;
	}

	if ($archivesuccess) { // && (file_exists($outputarchivepath))) {
		// Load Settings Begin
		// working...
		$file = join(DIRECTORY_SEPARATOR, array(getcwd(), $EmailFooterFile));
		$fc = file_get_contents($file);
		$sdata["EmailMsgTempl"] = "";
		$sdata["SenderName"] = "";
		$sdata["ReplyEmail"] = "";
		$sdata["Text"] = "";
		if ($fc) {
			$exp = explode($EmailFooterFileContentsSeparator, $fc);
			if (count($exp) > 3)
			{
				$sdata["EmailMsgTempl"] = $exp[0];
				$sdata["SenderName"] = $exp[1];
				$sdata["ReplyEmail"] = $exp[2];
				$sdata["Text"] = $exp[3];
			}
		}
		// Load Settings End
		$Message = str_replace($Password, "*****", $Message);
		$sf = SendEmail($jdata["EmailRecipients"], $Ccemail, $Attachment, $outputarchivepath, $outputarchiveurl, $Archivemimetype, $Subject, $Message, $sdata["Text"], $FaxReplaceValues);
		if ($sf[0] === true) {
			/*$str = "";
			foreach($jdata["EmailRecipients"] as $fecontact)
			{
				if (strlen($str) == 0)
				{
					$str = '{ 	Name : \"' . $fecontact["Name"] . '\",
								FaxNumber : \"' . $fecontact["FaxNumber"] . '\",
								EMail : \"' . $fecontact["EMail"] . '\"	}';
				} else {
					$str .= ', { 	Name : \"' . $fecontact["Name"] . '\",
									FaxNumber : \"' . $fecontact["FaxNumber"] . '\",
									EMail : \"' . $fecontact["EMail"] . '\"	}';
				}
			}
			$str = '{' . $str . '}';*/
			$rdata["Password"] = $Password;
			$rdata["Recipients"] = $jdata["EmailRecipients"];
			$rdata["Attachment"] = (strlen($outputarchivepath) > 0);
			$ret["status"] = true; // status, true on success, false on failure/ error
			$ret["data"] = $rdata; // contains payload/ return data
			$ret["message"] = "<span class=\"success\">" . $sf[2] . "</span>";
			//-if (file_exists($outputarchivepath)) {
				$ret["message"] .= " Kennwort: <strong>" . $Password . "</strong>";
			//-}
			$ret["message"] .= "<br /><br /><span class=\"technical\"><strong>Return code: </strong>" . $sf[1] . " (<strong>Remark: </strong> " . $jdata["EmailRecipients"][0]["Remark"] . ")</span>";
			if (strlen($outputarchivepath) > 0) // attachment
			{
				// todo: should check all numbers...?
				if (strlen($jdata["EmailRecipients"][0]["FaxNumber"]) > 0) {
					$ret["message"] .= "<br /><br /><a href=\"javascript:SendFax('Password');\">Hier klicken um das Entschlüsselungs-Kennwort per Fax zu senden</a>";
				}
			}
		} else {
			$ret["status"] = false; // status, true on success, false on failure/ error
			$ret["data"] = ""; // contains payload/ return data
			$ret["message"] = " the email system returned error code <strong>" . $sf[1] . "</strong>.<br /><strong>Description: </strong>" . $sf[2]; // contains error message, if any
		}
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = ""; // contains payload/ return data
		$ret["message"] = "No archive found. Please make sure the archive has been prepared."; // contains error message, if any
	}
}













///////////////////////////////////////////////////////////////////////////
//								Archive db interface
///////////////////////////////////////////////////////////////////////////


//if (($gdata["Action"] == "GetFaxContacts") || ($gdata["Action"] == "GetFaxContactsPassword")) {
if ($gdata["Action"] == "GetFaxContacts") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)

	try {
		$conn = DBOpenConnection();
		//$sql = "SELECT * FROM AddressBook, AddressBookFAX WHERE AddressBook.abook_id = AddressBookFAX.abook_id";
		$sql = "SELECT * FROM doc2faxEmail ORDER BY fe_name";
		$stmt = $conn->prepare($sql);
		//$stmt->bindValue(':Barcode', $jdata['Barcode'], PDO::PARAM_STR);

		$stmt->execute(); // true or false
		$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

		$ret["data"] = $stmt->fetchAll();
		/*$ret["data"] = [	[	"company" => "abc", "faxnumber" => "111"	],
							[	"company" => "def", "faxnumber" => "222"	],
							[	"company" => "ghi", "faxnumber" => "333"	]	];*/
		if (!$ret) {
			$ret["status"] = false;
			$ret["message"] = false;
		}
		else {
			$ret["status"] = true;
		}
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	}
	$conn = null;
	/*$ret["status"] = $res["status"];
	$ret["message"] = $res["message"];
	$ret["data"] = $res["data"];*/
	//echo json_encode($res, JSON_FORCE_OBJECT);
}

if ($gdata["Action"] == "GetEmailContacts") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)

	try {
		$conn = DBOpenConnection();
		//$conn = DBOpenConnection($Dbavantfaxname);
		//$sql = "SELECT * FROM AddressBook, AddressBookEmail WHERE AddressBook.abook_id = AddressBookEmail.abook_id";
		//$sql = "SELECT * FROM AddressBook, AddressBookFAX WHERE AddressBook.abook_id = AddressBookFAX.abook_id"; //"SELECT * FROM AddressBookEmail";// WHERE AddressBook.abook_id = AddressBookEmail.abook_id";
		$sql = "SELECT * FROM doc2faxEmail ORDER BY fe_name";
		$stmt = $conn->prepare($sql);
		//$stmt->bindValue(':Barcode', $jdata['Barcode'], PDO::PARAM_STR);

		$stmt->execute(); // true or false
		$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

		$ret["data"] = $stmt->fetchAll();
		/*$ret["data"] = [	[	"contact_name" => "abc", "contact_email" => "111@email.com"	],
							[	"contact_name" => "def", "contact_email" => "222@email.com"	],
							[	"contact_name" => "ghi", "contact_email" => "333@email.com"	]	];*/
		if (!$ret) {
			$ret["status"] = false;
			$ret["message"] = false;
		}
		else {
			$ret["status"] = true;
		}
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	}
	$conn = null;
	/*$ret["status"] = $res["status"];
	$ret["message"] = $res["message"];
	$ret["data"] = $res["data"];*/
	//echo json_encode($res, JSON_FORCE_OBJECT);
}

if ($gdata["Action"] == "GetFaxEmailContacts") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)

	try {
		$conn = DBOpenConnection();
		//$sql = "SELECT * FROM AddressBook, AddressBookFAX, AddressBookEmail WHERE AddressBook.abook_id = AddressBookFAX.abook_id";
		//$sql = "SELECT * FROM AddressBookFAX LEFT JOIN AddressBook ON AddressBookFAX.abook_id = AddressBook.abook_id LEFT JOIN AddressBookEmail ON AddressBook.abook_id = AddressBookEmail.abook_id";
		$sql = "SELECT * FROM doc2faxEmail ORDER BY fe_name";
		$stmt = $conn->prepare($sql);
		//$stmt->bindValue(':Barcode', $jdata['Barcode'], PDO::PARAM_STR);

		$stmt->execute(); // true or false
		$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

		$ret["data"] = $stmt->fetchAll();
		/*$ret["data"] = [	[	"company" => "abc", "faxnumber" => "111"	],
							[	"company" => "def", "faxnumber" => "222"	],
							[	"company" => "ghi", "faxnumber" => "333"	]	];*/
		if (!$ret) {
			$ret["status"] = false;
			$ret["message"] = false;
		}
		else {
			$ret["status"] = true;
		}
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	}
	$conn = null;
	/*$ret["status"] = $res["status"];
	$ret["message"] = $res["message"];
	$ret["data"] = $res["data"];*/
	//echo json_encode($res, JSON_FORCE_OBJECT);
}


if ($gdata["Action"] == "SavePassword") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$ret["data"] = [];
	$ret["data"]["FEID"] = $jdata["FEID"];
	try {
		$conn = DBOpenConnection();
		$sql = "UPDATE doc2faxEmail SET fe_crypt = :Password WHERE id = :ID";
		$stmt = $conn->prepare($sql);
		$stmt->bindValue(':ID', $jdata['ID'], PDO::PARAM_INT);
		$stmt->bindValue(':Password', $jdata['Password'], PDO::PARAM_STR);

		$ret["status"] = $stmt->execute(); // true or false
		$ret["data"]["ID"] = $jdata["ID"];
		$ret["data"]["Password"] = $jdata["Password"];
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	}
	$conn = null;
}


if ($gdata["Action"] == "SaveContact") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	try {
		$conn = DBOpenConnection();
		if (intval($jdata["ID"]) > 0)
		{
			$sql = "UPDATE doc2faxEmail SET fe_name = :Name, fe_crypt = :Password, fe_faxnr = :FaxNumber, fe_email = :EMail, fe_rem = :Remark WHERE id = :ID";
			$stmt = $conn->prepare($sql);
			$stmt->bindValue(':ID', $jdata['ID'], PDO::PARAM_INT);
			$stmt->bindValue(':Name', $jdata['Name'], PDO::PARAM_STR);
			$stmt->bindValue(':Password', $jdata['Password'], PDO::PARAM_STR);
			$stmt->bindValue(':FaxNumber', $jdata['FaxNumber'], PDO::PARAM_STR);
			$stmt->bindValue(':EMail', $jdata['EMail'], PDO::PARAM_STR);
			$stmt->bindValue(':Remark', $jdata['Remark'], PDO::PARAM_STR);

			$ret["status"] = $stmt->execute(); // true or false
		} else {
			$sql = "INSERT INTO doc2faxEmail (fe_name, fe_crypt, fe_faxnr, fe_email, fe_rem) VALUES (:Name, :Password, :FaxNumber, :EMail, :Remark)";
			$stmt = $conn->prepare($sql);
			$stmt->bindValue(':Name', $jdata['Name'], PDO::PARAM_STR);
			$stmt->bindValue(':Password', $jdata['Password'], PDO::PARAM_STR);
			$stmt->bindValue(':FaxNumber', $jdata['FaxNumber'], PDO::PARAM_STR);
			$stmt->bindValue(':EMail', $jdata['EMail'], PDO::PARAM_STR);
			$stmt->bindValue(':Remark', $jdata['Remark'], PDO::PARAM_STR);

			$ret["status"] = $stmt->execute(); // true or false
		}
		if ($ret["status"])
		{
			$sql = "SELECT * FROM doc2faxEmail ORDER BY fe_name";
			$stmt = $conn->prepare($sql);

			$stmt->execute(); // true or false
			$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false
			$ret["data"] = $stmt->fetchAll();
		}
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	}
	$conn = null;
}

if ($gdata["Action"] == "DeleteContact") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$ID = $jdata["ID"];
	$FEID = $jdata["FEID"];
	try {
		$conn = DBOpenConnection();
		if (intval($jdata["ID"]) > 0)
		{
			$sql = "DELETE FROM doc2faxEmail WHERE id = :ID";
			$stmt = $conn->prepare($sql);
			$stmt->bindValue(':ID', $jdata['ID'], PDO::PARAM_INT);

			$ret["status"] = $stmt->execute(); // true or false
		}
		if ($ret["status"])
		{
			$sql = "SELECT * FROM doc2faxEmail ORDER BY fe_name";
			$stmt = $conn->prepare($sql);

			$stmt->execute(); // true or false
			$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false
			$ret["data"] = $stmt->fetchAll();
		} else {
			$ret["message"] = "Query failed.";
		}
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	}
	$conn = null;
}

if ($gdata["Action"] == "SearchContact") {
	//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$Search = $jdata["Search"];
	try {
		$conn = DBOpenConnection();
		$sql = "SELECT * FROM doc2faxEmail";
		$stmt = $conn->prepare($sql);
		//$stmt->bindValue(':Search', "%" . $Search . "%", PDO::PARAM_STR);

		$stmt->execute(); // true or false
		$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

		$list = $stmt->fetchAll();
		$matchlist = array();
		if (!$list) {
			$ret["status"] = false;
			$ret["message"] = false;
		}
		else {
			$ret["status"] = true;
			$sexp = explode(",", $Search);
			$Search = "/.*" . preg_quote($Search) . ".*/i";
			//echo "DB results: " . count($list) . "\n\n";
			for ($i=0; $i<count($list); $i++) {
				$name = $list[$i]["fe_name"];
				$faxnr = $list[$i]["fe_faxnr"];
				$email = $list[$i]["fe_email"];
				//echo $name . "\n";
				if ((preg_match($Search, $name) == 1) || (preg_match($Search, $faxnr) == 1) || (preg_match($Search, $email) == 1)) {
					//if (count($matchlist) < 7) {
						array_push($matchlist, $list[$i]);
					//}
				}
			}
			//} // end if (is_numeric($search)) else
			//echo "Matchlist results: " . count($matchlist) . "\n\n";
			//print_r($matchlist);
		}
		$ret["data"] = $matchlist;
		$ret["message"] = "";
		//$ret["message"] = $search;
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	    $ret["data"] = array();
	}
	$conn = null;
}

/*if ($gdata["Action"] == "SearchContact") {
	$Search = $jdata["Search"];
	try {
		$conn = DBOpenConnection();
		$sql = "SELECT * FROM doc2faxEmail WHERE fe_name LIKE :Search";
		$stmt = $conn->prepare($sql);
		$stmt->bindValue(':Search', "%" . $Search . "%", PDO::PARAM_STR);

		$stmt->execute(); // true or false
		$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

		$list = $stmt->fetchAll();
		$matchlist = $list;
		if (!$list) {
			$ret["status"] = false;
			$ret["message"] = false;
		}
		else {
			$ret["status"] = true;
			$ret["message"] = "";
		}
		$ret["data"] = $matchlist;
		//$ret["message"] = $search;
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	    $ret["data"] = array();
	}
	$conn = null;
}*/


if ($EnableUTF8) {
	echo json_encode(utf8ize($ret), JSON_FORCE_OBJECT); // Doesn't encode non-English characters without UTF-8
} else {
	echo json_encode($ret, JSON_FORCE_OBJECT); // Doesn't encode non-English characters without UTF-8
}

// https://stackoverflow.com/questions/19361282/why-would-json-encode-return-an-empty-string
function utf8ize($d) {
	if (is_array($d)) {
		foreach ($d as $k => $v) {
			$d[$k] = utf8ize($v);
		}
	} else if (is_string ($d)) {
		return utf8_encode($d);
	}
	return $d;
}

function deutf8ize($d) {
	if (is_array($d)) {
		foreach ($d as $k => $v) {
			$d[$k] = deutf8ize($v);
		}
	} else if (is_string ($d)) {
		return utf8_decode($d);
	}
	return $d;
}


/**
 * Generate a random string, using a cryptographically secure
 * pseudorandom number generator (random_int)
 *
 * For PHP 7, random_int is a PHP core function
 * For PHP 5.x, depends on https://github.com/paragonie/random_compat
 *
 * @param int $length      How many characters do we want?
 * @param string $keyspace A string of all possible characters
 *                         to select from
 * @return string
 */
function random_str_old(
    $length,
    $keyspace = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'
    //`~!@#$%^&*()-_+=\|/?[{}]<,>.
    //!#%&*()-+=?<,>.
) {
    $str = '';
    //$max = mb_strlen($keyspace, '8bit') - 1;
    $max = strlen($keyspace) - 1;
    if ($max < 1) {
        throw new Exception('$keyspace must be at least two characters long');
    }
    for ($i = 0; $i < $length; ++$i) {
        $str .= $keyspace[random_int(0, $max)];
    }
    // aim: update $str that the following is granted: one char of each of these 4 "char-groups": (0..9), (a..z), (A..Z), (!#%&*()-+=?<,>.)
    //   You can do it so: 1. create 4 different randon mumbers between  0 and $length-1
    //                     2. replace these 4 positions in $str by one randomly found char in these 4 "char-groups"
    //   Or do you have better idea to reach the aim faster?
    return $str;
}


function random_str(
    $length
) {
	$keys = [];
	$keys[0] = [];
	$keys[0]["keyspace"] = "123456789";   // not use 0 <-> O
	$keys[0]["mincount"] = 1; // how many to include
	$keys[0]["maxcount"] = 1; // how many to include
	$keys[1] = [];
	$keys[1]["keyspace"] = "abcdefghijklmnopqrstuvwxyz";
	$keys[1]["mincount"] = 1; // how many to include
	$keys[1]["maxcount"] = 1; // how many to include
	$keys[2] = [];
	$keys[2]["keyspace"] = "ABCDEFGHIJKLMNPQRSTUVWXYZ"; // not use O <-> 0
	$keys[2]["mincount"] = 1; // how many to include
	$keys[2]["maxcount"] = 1; // how many to include
	$keys[3] = [];
	$keys[3]["keyspace"] = "!#%*-+=?,[."; // & ( ) < > ] / \ better not use
	$keys[3]["mincount"] = 1; // how many to include
	$keys[3]["maxcount"] = 1; // how many to include

    $str = '';

    $c = 0;
    while (strlen($str) < $length)
    {
	    for ($i = 0; $i < count($keys); ++$i)
	    {
	        //$max = mb_strlen($keyspace, '8bit') - 1;
		    $max = strlen($keys[$i]["keyspace"]); - 1;
		    if ($max < 1) {
		        throw new Exception('$keyspace must be at least two characters long');
		    }
		    $str .= $keys[$i]["keyspace"][random_int(0, $max)];
	    }
	}
	$str = substr($str, 0, $length);
	shuffle($str);
    /*for ($i = 0; $i < $length; ++$i) {
        $str .= $keyspace[random_int(0, $max)];
    }*/
    // aim: update $str that the following is granted: one char of each of these 4 "char-groups": (0..9), (a..z), (A..Z), (!#%&*()-+=?<,>.)
    //   You can do it so: 1. create 4 different randon mumbers between  0 and $length-1
    //                     2. replace these 4 positions in $str by one randomly found char in these 4 "char-groups"
    //   Or do you have better idea to reach the aim faster?
    return $str;
}


function removedirs($directory) {
	$dirs = scandir($directory);
	foreach($dirs as $dir) {
		$d = join(DIRECTORY_SEPARATOR, array($directory, $dir));
		if ((trim($dir) != ".") && (trim($dir) != "..") && (is_dir(trim($d)))) {
			if (DIRECTORY_SEPARATOR == "\\") {
				$ex = "rmdir /S /Q \"" . trim($d) . "\"";
			} else {
				$ex = "rm -rf \"" . trim($d) . "\"";
			}
			exec($ex, $output, $r);
			/*if ($r) {
				echo $ex . "\n";
				print_r($output);
				echo "Return code: " . $r . "\n";
			}*/
		}
	}
}


// cleans contact number (telephone, fax) from non-numeric characters
function cleancontactnumber($number) {
	$remchars = [" ", "-", "/", ".", ","];
	foreach ($remchars as $ch)
	{
		$number = str_replace($ch, "", $number);
	}
	return $number;
}

function subst_specialchars_filenames($text) {
    $specialchars=array("!","|","#","*","<",">"," ", "'",",", "/", "\\", "\"", "\:","°",".","`","^");
    $ret=str_replace($specialchars,"_",$text);
    return $ret;
    }

function limittext($text, $length) {
	$ret = $text;
	if (strlen($text) > $length)
	{
		$ret = substr($ret, 0, $length);
	}
	return $ret;
}

function mbStringToArray ($string) {
    $strlen = mb_strlen($string);
    while ($strlen) {
        $array[] = mb_substr($string,0,1,"UTF-8");
        $string = mb_substr($string,1,$strlen,"UTF-8");
        $strlen = mb_strlen($string);
    }
    return $array;
}
?>
